//
// Copyright (c) 2010-2018 Antmicro
// Copyright (c) 2011-2015 Realtime Embedded
//
// This file is licensed under the MIT License.
// Full license text is available in 'licenses/MIT.txt'.
//
using System;
using System.Runtime.InteropServices;

namespace Antmicro.Renode.Utilities.Binding
{
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64(UInt64 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64(ActionUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64(UInt64 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64(FuncUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64(UInt64 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64(FuncInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64(UInt64 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64(FuncStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64(UInt64 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64(FuncUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64(UInt64 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64(FuncIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32(Int32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32(ActionInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32(Int32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32(FuncUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32(Int32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32(FuncInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32(Int32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32(FuncStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32(Int32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32(FuncUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32(Int32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32(FuncIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionString(String param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionString(ActionString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64String(String param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64String(FuncUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32String(String param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32String(FuncInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringString(String param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringString(FuncStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32String(String param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32String(FuncUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrString(String param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrString(FuncIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32(UInt32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32(ActionUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32(UInt32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32(FuncUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32(UInt32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32(FuncInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32(UInt32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32(FuncStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32(UInt32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32(FuncUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32(UInt32 param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32(FuncIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtr(IntPtr param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtr(ActionIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtr(IntPtr param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtr(FuncUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtr(IntPtr param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtr(FuncInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtr(IntPtr param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtr(FuncStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtr(IntPtr param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtr(FuncUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtr(IntPtr param0);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtr(FuncIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64(UInt64 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64(ActionUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64(UInt64 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64(FuncUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64(UInt64 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64(FuncInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64(UInt64 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64(FuncStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64(UInt64 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64(FuncUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64(UInt64 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64(FuncIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32(UInt64 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32(ActionUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32(UInt64 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32(FuncUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32(UInt64 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32(FuncInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32(UInt64 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32(FuncStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32(UInt64 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32(FuncUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32(UInt64 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32(FuncIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64String(UInt64 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64String(ActionUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64String(UInt64 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64String(FuncUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64String(UInt64 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64String(FuncInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64String(UInt64 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64String(FuncStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64String(UInt64 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64String(FuncUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64String(UInt64 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64String(FuncIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32(UInt64 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32(ActionUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32(UInt64 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32(FuncUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32(UInt64 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32(FuncInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32(UInt64 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32(FuncStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32(UInt64 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32(FuncUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32(UInt64 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32(FuncIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtr(UInt64 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtr(ActionUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtr(UInt64 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtr(FuncUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtr(UInt64 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtr(FuncInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtr(UInt64 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtr(FuncStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtr(UInt64 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtr(FuncUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtr(UInt64 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtr(FuncIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64(Int32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64(ActionInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64(Int32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64(FuncUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64(Int32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64(FuncInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64(Int32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64(FuncStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64(Int32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64(FuncUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64(Int32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64(FuncIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32(Int32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32(ActionInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32(Int32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32(FuncUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32(Int32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32(FuncInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32(Int32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32(FuncStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32(Int32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32(FuncUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32(Int32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32(FuncIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32String(Int32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32String(ActionInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32String(Int32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32String(FuncUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32String(Int32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32String(FuncInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32String(Int32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32String(FuncStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32String(Int32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32String(FuncUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32String(Int32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32String(FuncIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32(Int32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32(ActionInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32(Int32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32(FuncUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32(Int32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32(FuncInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32(Int32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32(FuncStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32(Int32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32(FuncUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32(Int32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32(FuncIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtr(Int32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtr(ActionInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtr(Int32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtr(FuncUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtr(Int32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtr(FuncInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtr(Int32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtr(FuncStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtr(Int32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtr(FuncUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtr(Int32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtr(FuncIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64(String param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64(ActionStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64(String param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64(FuncUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64(String param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64(FuncInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64(String param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64(FuncStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64(String param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64(FuncUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64(String param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64(FuncIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32(String param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32(ActionStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32(String param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32(FuncUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32(String param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32(FuncInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32(String param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32(FuncStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32(String param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32(FuncUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32(String param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32(FuncIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringString(String param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringString(ActionStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringString(String param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringString(FuncUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringString(String param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringString(FuncInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringString(String param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringString(FuncStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringString(String param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringString(FuncUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringString(String param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringString(FuncIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32(String param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32(ActionStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32(String param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32(FuncUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32(String param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32(FuncInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32(String param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32(FuncStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32(String param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32(FuncUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32(String param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32(FuncIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtr(String param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtr(ActionStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtr(String param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtr(FuncUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtr(String param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtr(FuncInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtr(String param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtr(FuncStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtr(String param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtr(FuncUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtr(String param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtr(FuncIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64(UInt32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64(ActionUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64(UInt32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64(FuncUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64(UInt32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64(FuncInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64(UInt32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64(FuncStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64(UInt32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64(FuncUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64(UInt32 param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64(FuncIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32(UInt32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32(ActionUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32(UInt32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32(FuncUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32(UInt32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32(FuncInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32(UInt32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32(FuncStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32(UInt32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32(FuncUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32(UInt32 param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32(FuncIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32String(UInt32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32String(ActionUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32String(UInt32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32String(FuncUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32String(UInt32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32String(FuncInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32String(UInt32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32String(FuncStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32String(UInt32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32String(FuncUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32String(UInt32 param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32String(FuncIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32(UInt32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32(ActionUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32(UInt32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32(FuncUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32(UInt32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32(FuncInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32(UInt32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32(FuncStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32(UInt32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32(FuncUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32(UInt32 param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32(FuncIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtr(UInt32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtr(ActionUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtr(UInt32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtr(FuncUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtr(UInt32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtr(FuncInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtr(UInt32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtr(FuncStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtr(UInt32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtr(FuncUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtr(UInt32 param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtr(FuncIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64(IntPtr param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64(ActionIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64(IntPtr param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64(FuncUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64(IntPtr param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64(FuncInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64(IntPtr param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64(FuncStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64(IntPtr param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64(FuncUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64(IntPtr param0, UInt64 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64(FuncIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32(IntPtr param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32(ActionIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32(IntPtr param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32(FuncUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32(IntPtr param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32(FuncInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32(IntPtr param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32(FuncStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32(IntPtr param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32(FuncUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32(IntPtr param0, Int32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32(FuncIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrString(IntPtr param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrString(ActionIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrString(IntPtr param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrString(FuncUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrString(IntPtr param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrString(FuncInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrString(IntPtr param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrString(FuncStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrString(IntPtr param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrString(FuncUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrString(IntPtr param0, String param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrString(FuncIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32(IntPtr param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32(ActionIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32(IntPtr param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32(FuncUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32(IntPtr param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32(FuncInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32(IntPtr param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32(FuncStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32(IntPtr param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32(FuncUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32(IntPtr param0, UInt32 param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32(FuncIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtr(IntPtr param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtr(ActionIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtr(IntPtr param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtr(FuncUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtr(IntPtr param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtr(FuncInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtr(IntPtr param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtr(FuncStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtr(IntPtr param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtr(FuncUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtr(FuncIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt64(ActionUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt64(FuncUInt64UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt64(FuncInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt64(FuncStringUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt64(FuncUInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt64(FuncIntPtrUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64Int32(UInt64 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64Int32(ActionUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64Int32(UInt64 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64Int32(FuncUInt64UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64Int32(UInt64 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64Int32(FuncInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64Int32(UInt64 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64Int32(FuncStringUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64Int32(UInt64 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64Int32(FuncUInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64Int32(UInt64 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64Int32(FuncIntPtrUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64String(UInt64 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64String(ActionUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64String(UInt64 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64String(FuncUInt64UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64String(UInt64 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64String(FuncInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64String(UInt64 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64String(FuncStringUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64String(UInt64 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64String(FuncUInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64String(UInt64 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64String(FuncIntPtrUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt32(ActionUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt32(FuncUInt64UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt32(FuncInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt32(FuncStringUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt32(FuncUInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt32(FuncIntPtrUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64IntPtr(UInt64 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64IntPtr(ActionUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64IntPtr(UInt64 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64IntPtr(FuncUInt64UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64IntPtr(UInt64 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64IntPtr(FuncInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64IntPtr(UInt64 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64IntPtr(FuncStringUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64IntPtr(UInt64 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64IntPtr(FuncUInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64IntPtr(UInt64 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64IntPtr(FuncIntPtrUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt64(UInt64 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt64(ActionUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt64(UInt64 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt64(FuncUInt64UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt64(UInt64 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt64(FuncInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt64(UInt64 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt64(FuncStringUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt64(UInt64 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt64(FuncUInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt64(UInt64 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt64(FuncIntPtrUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32Int32(UInt64 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32Int32(ActionUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32Int32(UInt64 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32Int32(FuncUInt64UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32Int32(UInt64 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32Int32(FuncInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32Int32(UInt64 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32Int32(FuncStringUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32Int32(UInt64 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32Int32(FuncUInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32Int32(UInt64 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32Int32(FuncIntPtrUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32String(UInt64 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32String(ActionUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32String(UInt64 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32String(FuncUInt64UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32String(UInt64 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32String(FuncInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32String(UInt64 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32String(FuncStringUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32String(UInt64 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32String(FuncUInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32String(UInt64 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32String(FuncIntPtrUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt32(UInt64 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt32(ActionUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt32(UInt64 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt32(FuncUInt64UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt32(UInt64 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt32(FuncInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt32(UInt64 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt32(FuncStringUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt32(UInt64 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt32(FuncUInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt32(UInt64 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt32(FuncIntPtrUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32IntPtr(UInt64 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32IntPtr(ActionUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32IntPtr(UInt64 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32IntPtr(FuncUInt64UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32IntPtr(UInt64 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32IntPtr(FuncInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32IntPtr(UInt64 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32IntPtr(FuncStringUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32IntPtr(UInt64 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32IntPtr(FuncUInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32IntPtr(UInt64 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32IntPtr(FuncIntPtrUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt64(UInt64 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt64(ActionUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt64(UInt64 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt64(FuncUInt64UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt64(UInt64 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt64(FuncInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt64(UInt64 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt64(FuncStringUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt64(UInt64 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt64(FuncUInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt64(UInt64 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt64(FuncIntPtrUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringInt32(UInt64 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringInt32(ActionUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringInt32(UInt64 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringInt32(FuncUInt64UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringInt32(UInt64 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringInt32(FuncInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringInt32(UInt64 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringInt32(FuncStringUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringInt32(UInt64 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringInt32(FuncUInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringInt32(UInt64 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringInt32(FuncIntPtrUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringString(UInt64 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringString(ActionUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringString(UInt64 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringString(FuncUInt64UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringString(UInt64 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringString(FuncInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringString(UInt64 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringString(FuncStringUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringString(UInt64 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringString(FuncUInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringString(UInt64 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringString(FuncIntPtrUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt32(UInt64 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt32(ActionUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt32(UInt64 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt32(FuncUInt64UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt32(UInt64 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt32(FuncInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt32(UInt64 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt32(FuncStringUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt32(UInt64 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt32(FuncUInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt32(UInt64 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt32(FuncIntPtrUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringIntPtr(UInt64 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringIntPtr(ActionUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringIntPtr(UInt64 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringIntPtr(FuncUInt64UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringIntPtr(UInt64 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringIntPtr(FuncInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringIntPtr(UInt64 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringIntPtr(FuncStringUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringIntPtr(UInt64 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringIntPtr(FuncUInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringIntPtr(UInt64 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringIntPtr(FuncIntPtrUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt64(UInt64 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt64(ActionUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt64(UInt64 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt64(FuncUInt64UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt64(UInt64 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt64(FuncInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt64(UInt64 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt64(FuncStringUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt64(UInt64 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt64(FuncUInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt64(UInt64 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt64(FuncIntPtrUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32Int32(UInt64 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32Int32(ActionUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32Int32(UInt64 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32Int32(FuncUInt64UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32Int32(UInt64 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32Int32(FuncInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32Int32(UInt64 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32Int32(FuncStringUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32Int32(UInt64 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32Int32(FuncUInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32Int32(UInt64 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32Int32(FuncIntPtrUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32String(UInt64 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32String(ActionUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32String(UInt64 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32String(FuncUInt64UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32String(UInt64 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32String(FuncInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32String(UInt64 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32String(FuncStringUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32String(UInt64 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32String(FuncUInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32String(UInt64 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32String(FuncIntPtrUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt32(ActionUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt32(FuncUInt64UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt32(FuncInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt32(FuncStringUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt32(FuncUInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt32(FuncIntPtrUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32IntPtr(UInt64 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32IntPtr(ActionUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32IntPtr(UInt64 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32IntPtr(FuncUInt64UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32IntPtr(UInt64 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32IntPtr(FuncInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32IntPtr(UInt64 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32IntPtr(FuncStringUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32IntPtr(UInt64 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32IntPtr(FuncUInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32IntPtr(UInt64 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32IntPtr(FuncIntPtrUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt64(UInt64 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt64(ActionUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt64(UInt64 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt64(FuncUInt64UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt64(UInt64 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt64(FuncInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt64(UInt64 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt64(FuncStringUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt64(UInt64 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt64(FuncUInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt64(UInt64 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt64(FuncIntPtrUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrInt32(UInt64 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrInt32(ActionUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrInt32(UInt64 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrInt32(FuncUInt64UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrInt32(UInt64 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrInt32(FuncInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrInt32(UInt64 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrInt32(FuncStringUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrInt32(UInt64 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrInt32(FuncUInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrInt32(UInt64 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrInt32(FuncIntPtrUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrString(UInt64 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrString(ActionUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrString(UInt64 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrString(FuncUInt64UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrString(UInt64 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrString(FuncInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrString(UInt64 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrString(FuncStringUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrString(UInt64 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrString(FuncUInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrString(UInt64 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrString(FuncIntPtrUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt32(UInt64 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt32(ActionUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt32(UInt64 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt32(FuncUInt64UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt32(UInt64 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt32(FuncInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt32(UInt64 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt32(FuncStringUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt32(UInt64 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt32(FuncUInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt32(UInt64 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt32(FuncIntPtrUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrIntPtr(ActionUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrIntPtr(FuncUInt64UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrIntPtr(FuncInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrIntPtr(FuncStringUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrIntPtr(FuncUInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrIntPtr(FuncIntPtrUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt64(ActionInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt64(FuncUInt64Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt64(FuncInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt64(FuncStringInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt64(FuncUInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt64(FuncIntPtrInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64Int32(Int32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64Int32(ActionInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64Int32(Int32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64Int32(FuncUInt64Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64Int32(Int32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64Int32(FuncInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64Int32(Int32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64Int32(FuncStringInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64Int32(Int32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64Int32(FuncUInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64Int32(Int32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64Int32(FuncIntPtrInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64String(Int32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64String(ActionInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64String(Int32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64String(FuncUInt64Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64String(Int32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64String(FuncInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64String(Int32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64String(FuncStringInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64String(Int32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64String(FuncUInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64String(Int32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64String(FuncIntPtrInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt32(Int32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt32(ActionInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt32(Int32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt32(FuncUInt64Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt32(Int32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt32(FuncInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt32(Int32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt32(FuncStringInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt32(Int32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt32(FuncUInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt32(Int32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt32(FuncIntPtrInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64IntPtr(Int32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64IntPtr(ActionInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64IntPtr(Int32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64IntPtr(FuncUInt64Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64IntPtr(Int32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64IntPtr(FuncInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64IntPtr(Int32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64IntPtr(FuncStringInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64IntPtr(Int32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64IntPtr(FuncUInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64IntPtr(Int32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64IntPtr(FuncIntPtrInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt64(Int32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt64(ActionInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt64(Int32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt64(FuncUInt64Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt64(Int32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt64(FuncInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt64(Int32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt64(FuncStringInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt64(Int32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt64(FuncUInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt64(Int32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt64(FuncIntPtrInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32Int32(Int32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32Int32(ActionInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32Int32(Int32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32Int32(FuncUInt64Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32Int32(Int32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32Int32(FuncInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32Int32(Int32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32Int32(FuncStringInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32Int32(Int32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32Int32(FuncUInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32Int32(Int32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32Int32(FuncIntPtrInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32String(Int32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32String(ActionInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32String(Int32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32String(FuncUInt64Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32String(Int32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32String(FuncInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32String(Int32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32String(FuncStringInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32String(Int32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32String(FuncUInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32String(Int32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32String(FuncIntPtrInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt32(Int32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt32(ActionInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt32(Int32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt32(FuncUInt64Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt32(Int32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt32(FuncInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt32(Int32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt32(FuncStringInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt32(Int32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt32(FuncUInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt32(Int32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt32(FuncIntPtrInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32IntPtr(Int32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32IntPtr(ActionInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32IntPtr(Int32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32IntPtr(FuncUInt64Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32IntPtr(Int32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32IntPtr(FuncInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32IntPtr(Int32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32IntPtr(FuncStringInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32IntPtr(Int32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32IntPtr(FuncUInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32IntPtr(Int32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32IntPtr(FuncIntPtrInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt64(Int32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt64(ActionInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt64(Int32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt64(FuncUInt64Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt64(Int32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt64(FuncInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt64(Int32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt64(FuncStringInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt64(Int32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt64(FuncUInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt64(Int32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt64(FuncIntPtrInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringInt32(Int32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringInt32(ActionInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringInt32(Int32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringInt32(FuncUInt64Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringInt32(Int32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringInt32(FuncInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringInt32(Int32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringInt32(FuncStringInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringInt32(Int32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringInt32(FuncUInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringInt32(Int32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringInt32(FuncIntPtrInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringString(Int32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringString(ActionInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringString(Int32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringString(FuncUInt64Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringString(Int32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringString(FuncInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringString(Int32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringString(FuncStringInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringString(Int32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringString(FuncUInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringString(Int32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringString(FuncIntPtrInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt32(Int32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt32(ActionInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt32(Int32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt32(FuncUInt64Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt32(Int32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt32(FuncInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt32(Int32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt32(FuncStringInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt32(Int32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt32(FuncUInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt32(Int32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt32(FuncIntPtrInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringIntPtr(Int32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringIntPtr(ActionInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringIntPtr(Int32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringIntPtr(FuncUInt64Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringIntPtr(Int32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringIntPtr(FuncInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringIntPtr(Int32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringIntPtr(FuncStringInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringIntPtr(Int32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringIntPtr(FuncUInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringIntPtr(Int32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringIntPtr(FuncIntPtrInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt64(Int32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt64(ActionInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt64(Int32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt64(FuncUInt64Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt64(Int32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt64(FuncInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt64(Int32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt64(FuncStringInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt64(Int32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt64(FuncUInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt64(Int32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt64(FuncIntPtrInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32Int32(Int32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32Int32(ActionInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32Int32(Int32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32Int32(FuncUInt64Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32Int32(Int32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32Int32(FuncInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32Int32(Int32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32Int32(FuncStringInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32Int32(Int32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32Int32(FuncUInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32Int32(Int32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32Int32(FuncIntPtrInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32String(Int32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32String(ActionInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32String(Int32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32String(FuncUInt64Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32String(Int32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32String(FuncInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32String(Int32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32String(FuncStringInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32String(Int32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32String(FuncUInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32String(Int32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32String(FuncIntPtrInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt32(ActionInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt32(FuncUInt64Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt32(FuncInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt32(FuncStringInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt32(FuncUInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt32(FuncIntPtrInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32IntPtr(Int32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32IntPtr(ActionInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32IntPtr(Int32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32IntPtr(FuncUInt64Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32IntPtr(Int32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32IntPtr(FuncInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32IntPtr(Int32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32IntPtr(FuncStringInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32IntPtr(Int32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32IntPtr(FuncUInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32IntPtr(Int32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32IntPtr(FuncIntPtrInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt64(Int32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt64(ActionInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt64(Int32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt64(FuncUInt64Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt64(Int32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt64(FuncInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt64(Int32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt64(FuncStringInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt64(Int32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt64(FuncUInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt64(Int32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt64(FuncIntPtrInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrInt32(Int32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrInt32(ActionInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrInt32(Int32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrInt32(FuncUInt64Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrInt32(Int32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrInt32(FuncInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrInt32(Int32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrInt32(FuncStringInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrInt32(Int32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrInt32(FuncUInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrInt32(Int32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrInt32(FuncIntPtrInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrString(Int32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrString(ActionInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrString(Int32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrString(FuncUInt64Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrString(Int32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrString(FuncInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrString(Int32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrString(FuncStringInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrString(Int32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrString(FuncUInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrString(Int32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrString(FuncIntPtrInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt32(Int32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt32(ActionInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt32(Int32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt32(FuncUInt64Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt32(Int32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt32(FuncInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt32(Int32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt32(FuncStringInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt32(Int32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt32(FuncUInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt32(Int32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt32(FuncIntPtrInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrIntPtr(ActionInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrIntPtr(FuncUInt64Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrIntPtr(FuncInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrIntPtr(FuncStringInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrIntPtr(FuncUInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrIntPtr(FuncIntPtrInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt64(String param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt64(ActionStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt64(String param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt64(FuncUInt64StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt64(String param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt64(FuncInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt64(String param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt64(FuncStringStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt64(String param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt64(FuncUInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt64(String param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt64(FuncIntPtrStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64Int32(String param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64Int32(ActionStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64Int32(String param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64Int32(FuncUInt64StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64Int32(String param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64Int32(FuncInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64Int32(String param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64Int32(FuncStringStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64Int32(String param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64Int32(FuncUInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64Int32(String param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64Int32(FuncIntPtrStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64String(String param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64String(ActionStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64String(String param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64String(FuncUInt64StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64String(String param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64String(FuncInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64String(String param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64String(FuncStringStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64String(String param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64String(FuncUInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64String(String param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64String(FuncIntPtrStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt32(String param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt32(ActionStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt32(String param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt32(FuncUInt64StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt32(String param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt32(FuncInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt32(String param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt32(FuncStringStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt32(String param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt32(FuncUInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt32(String param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt32(FuncIntPtrStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64IntPtr(String param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64IntPtr(ActionStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64IntPtr(String param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64IntPtr(FuncUInt64StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64IntPtr(String param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64IntPtr(FuncInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64IntPtr(String param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64IntPtr(FuncStringStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64IntPtr(String param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64IntPtr(FuncUInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64IntPtr(String param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64IntPtr(FuncIntPtrStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt64(String param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt64(ActionStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt64(String param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt64(FuncUInt64StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt64(String param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt64(FuncInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt64(String param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt64(FuncStringStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt64(String param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt64(FuncUInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt64(String param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt64(FuncIntPtrStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32Int32(String param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32Int32(ActionStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32Int32(String param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32Int32(FuncUInt64StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32Int32(String param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32Int32(FuncInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32Int32(String param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32Int32(FuncStringStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32Int32(String param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32Int32(FuncUInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32Int32(String param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32Int32(FuncIntPtrStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32String(String param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32String(ActionStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32String(String param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32String(FuncUInt64StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32String(String param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32String(FuncInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32String(String param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32String(FuncStringStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32String(String param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32String(FuncUInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32String(String param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32String(FuncIntPtrStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt32(String param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt32(ActionStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt32(String param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt32(FuncUInt64StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt32(String param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt32(FuncInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt32(String param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt32(FuncStringStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt32(String param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt32(FuncUInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt32(String param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt32(FuncIntPtrStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32IntPtr(String param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32IntPtr(ActionStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32IntPtr(String param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32IntPtr(FuncUInt64StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32IntPtr(String param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32IntPtr(FuncInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32IntPtr(String param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32IntPtr(FuncStringStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32IntPtr(String param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32IntPtr(FuncUInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32IntPtr(String param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32IntPtr(FuncIntPtrStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt64(String param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt64(ActionStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt64(String param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt64(FuncUInt64StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt64(String param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt64(FuncInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt64(String param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt64(FuncStringStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt64(String param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt64(FuncUInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt64(String param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt64(FuncIntPtrStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringInt32(String param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringInt32(ActionStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringInt32(String param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringInt32(FuncUInt64StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringInt32(String param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringInt32(FuncInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringInt32(String param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringInt32(FuncStringStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringInt32(String param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringInt32(FuncUInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringInt32(String param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringInt32(FuncIntPtrStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringString(String param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringString(ActionStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringString(String param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringString(FuncUInt64StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringString(String param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringString(FuncInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringString(String param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringString(FuncStringStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringString(String param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringString(FuncUInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringString(String param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringString(FuncIntPtrStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt32(String param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt32(ActionStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt32(String param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt32(FuncUInt64StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt32(String param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt32(FuncInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt32(String param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt32(FuncStringStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt32(String param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt32(FuncUInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt32(String param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt32(FuncIntPtrStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringIntPtr(String param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringIntPtr(ActionStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringIntPtr(String param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringIntPtr(FuncUInt64StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringIntPtr(String param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringIntPtr(FuncInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringIntPtr(String param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringIntPtr(FuncStringStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringIntPtr(String param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringIntPtr(FuncUInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringIntPtr(String param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringIntPtr(FuncIntPtrStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt64(String param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt64(ActionStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt64(String param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt64(FuncUInt64StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt64(String param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt64(FuncInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt64(String param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt64(FuncStringStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt64(String param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt64(FuncUInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt64(String param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt64(FuncIntPtrStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32Int32(String param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32Int32(ActionStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32Int32(String param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32Int32(FuncUInt64StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32Int32(String param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32Int32(FuncInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32Int32(String param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32Int32(FuncStringStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32Int32(String param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32Int32(FuncUInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32Int32(String param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32Int32(FuncIntPtrStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32String(String param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32String(ActionStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32String(String param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32String(FuncUInt64StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32String(String param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32String(FuncInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32String(String param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32String(FuncStringStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32String(String param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32String(FuncUInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32String(String param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32String(FuncIntPtrStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt32(String param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt32(ActionStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt32(String param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt32(FuncUInt64StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt32(String param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt32(FuncInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt32(String param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt32(FuncStringStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt32(String param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt32(FuncUInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt32(String param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt32(FuncIntPtrStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32IntPtr(String param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32IntPtr(ActionStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32IntPtr(String param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32IntPtr(FuncUInt64StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32IntPtr(String param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32IntPtr(FuncInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32IntPtr(String param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32IntPtr(FuncStringStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32IntPtr(String param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32IntPtr(FuncUInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32IntPtr(String param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32IntPtr(FuncIntPtrStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt64(String param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt64(ActionStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt64(String param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt64(FuncUInt64StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt64(String param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt64(FuncInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt64(String param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt64(FuncStringStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt64(String param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt64(FuncUInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt64(String param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt64(FuncIntPtrStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrInt32(String param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrInt32(ActionStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrInt32(String param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrInt32(FuncUInt64StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrInt32(String param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrInt32(FuncInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrInt32(String param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrInt32(FuncStringStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrInt32(String param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrInt32(FuncUInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrInt32(String param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrInt32(FuncIntPtrStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrString(String param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrString(ActionStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrString(String param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrString(FuncUInt64StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrString(String param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrString(FuncInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrString(String param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrString(FuncStringStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrString(String param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrString(FuncUInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrString(String param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrString(FuncIntPtrStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt32(String param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt32(ActionStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt32(String param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt32(FuncUInt64StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt32(String param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt32(FuncInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt32(String param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt32(FuncStringStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt32(String param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt32(FuncUInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt32(String param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt32(FuncIntPtrStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrIntPtr(ActionStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrIntPtr(FuncUInt64StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrIntPtr(FuncInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrIntPtr(FuncStringStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrIntPtr(FuncUInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrIntPtr(FuncIntPtrStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt64(ActionUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt64(FuncUInt64UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt64(FuncInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt64(FuncStringUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt64(FuncUInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt64(FuncIntPtrUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64Int32(UInt32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64Int32(ActionUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64Int32(UInt32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64Int32(FuncUInt64UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64Int32(UInt32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64Int32(FuncInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64Int32(UInt32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64Int32(FuncStringUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64Int32(UInt32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64Int32(FuncUInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64Int32(UInt32 param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64Int32(FuncIntPtrUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64String(UInt32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64String(ActionUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64String(UInt32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64String(FuncUInt64UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64String(UInt32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64String(FuncInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64String(UInt32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64String(FuncStringUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64String(UInt32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64String(FuncUInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64String(UInt32 param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64String(FuncIntPtrUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt32(UInt32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt32(ActionUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt32(UInt32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt32(FuncUInt64UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt32(UInt32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt32(FuncInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt32(UInt32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt32(FuncStringUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt32(UInt32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt32(FuncUInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt32(UInt32 param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt32(FuncIntPtrUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64IntPtr(UInt32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64IntPtr(ActionUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64IntPtr(UInt32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64IntPtr(FuncUInt64UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64IntPtr(UInt32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64IntPtr(FuncInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64IntPtr(UInt32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64IntPtr(FuncStringUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64IntPtr(UInt32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64IntPtr(FuncUInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64IntPtr(UInt32 param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64IntPtr(FuncIntPtrUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt64(UInt32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt64(ActionUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt64(UInt32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt64(FuncUInt64UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt64(UInt32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt64(FuncInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt64(UInt32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt64(FuncStringUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt64(UInt32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt64(FuncUInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt64(UInt32 param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt64(FuncIntPtrUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32Int32(UInt32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32Int32(ActionUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32Int32(UInt32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32Int32(FuncUInt64UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32Int32(UInt32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32Int32(FuncInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32Int32(UInt32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32Int32(FuncStringUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32Int32(UInt32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32Int32(FuncUInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32Int32(UInt32 param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32Int32(FuncIntPtrUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32String(UInt32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32String(ActionUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32String(UInt32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32String(FuncUInt64UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32String(UInt32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32String(FuncInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32String(UInt32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32String(FuncStringUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32String(UInt32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32String(FuncUInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32String(UInt32 param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32String(FuncIntPtrUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt32(UInt32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt32(ActionUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt32(UInt32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt32(FuncUInt64UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt32(UInt32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt32(FuncInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt32(UInt32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt32(FuncStringUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt32(UInt32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt32(FuncUInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt32(UInt32 param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt32(FuncIntPtrUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32IntPtr(UInt32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32IntPtr(ActionUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32IntPtr(UInt32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32IntPtr(FuncUInt64UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32IntPtr(UInt32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32IntPtr(FuncInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32IntPtr(UInt32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32IntPtr(FuncStringUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32IntPtr(UInt32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32IntPtr(FuncUInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32IntPtr(UInt32 param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32IntPtr(FuncIntPtrUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt64(UInt32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt64(ActionUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt64(UInt32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt64(FuncUInt64UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt64(UInt32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt64(FuncInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt64(UInt32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt64(FuncStringUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt64(UInt32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt64(FuncUInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt64(UInt32 param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt64(FuncIntPtrUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringInt32(UInt32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringInt32(ActionUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringInt32(UInt32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringInt32(FuncUInt64UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringInt32(UInt32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringInt32(FuncInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringInt32(UInt32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringInt32(FuncStringUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringInt32(UInt32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringInt32(FuncUInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringInt32(UInt32 param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringInt32(FuncIntPtrUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringString(UInt32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringString(ActionUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringString(UInt32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringString(FuncUInt64UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringString(UInt32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringString(FuncInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringString(UInt32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringString(FuncStringUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringString(UInt32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringString(FuncUInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringString(UInt32 param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringString(FuncIntPtrUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt32(UInt32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt32(ActionUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt32(UInt32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt32(FuncUInt64UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt32(UInt32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt32(FuncInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt32(UInt32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt32(FuncStringUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt32(UInt32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt32(FuncUInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt32(UInt32 param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt32(FuncIntPtrUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringIntPtr(UInt32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringIntPtr(ActionUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringIntPtr(UInt32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringIntPtr(FuncUInt64UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringIntPtr(UInt32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringIntPtr(FuncInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringIntPtr(UInt32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringIntPtr(FuncStringUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringIntPtr(UInt32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringIntPtr(FuncUInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringIntPtr(UInt32 param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringIntPtr(FuncIntPtrUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt64(ActionUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt64(FuncUInt64UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt64(FuncInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt64(FuncStringUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt64(FuncUInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt64(FuncIntPtrUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32Int32(UInt32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32Int32(ActionUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32Int32(UInt32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32Int32(FuncUInt64UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32Int32(UInt32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32Int32(FuncInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32Int32(UInt32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32Int32(FuncStringUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32Int32(UInt32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32Int32(FuncUInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32Int32(UInt32 param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32Int32(FuncIntPtrUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32String(UInt32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32String(ActionUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32String(UInt32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32String(FuncUInt64UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32String(UInt32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32String(FuncInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32String(UInt32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32String(FuncStringUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32String(UInt32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32String(FuncUInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32String(UInt32 param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32String(FuncIntPtrUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt32(ActionUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt32(FuncUInt64UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt32(FuncInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt32(FuncStringUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt32(FuncUInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt32(FuncIntPtrUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32IntPtr(UInt32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32IntPtr(ActionUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32IntPtr(UInt32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32IntPtr(FuncUInt64UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32IntPtr(UInt32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32IntPtr(FuncInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32IntPtr(UInt32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32IntPtr(FuncStringUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32IntPtr(UInt32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32IntPtr(FuncUInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32IntPtr(UInt32 param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32IntPtr(FuncIntPtrUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt64(UInt32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt64(ActionUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt64(UInt32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt64(FuncUInt64UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt64(UInt32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt64(FuncInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt64(UInt32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt64(FuncStringUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt64(UInt32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt64(FuncUInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt64(UInt32 param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt64(FuncIntPtrUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrInt32(UInt32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrInt32(ActionUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrInt32(UInt32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrInt32(FuncUInt64UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrInt32(UInt32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrInt32(FuncInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrInt32(UInt32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrInt32(FuncStringUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrInt32(UInt32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrInt32(FuncUInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrInt32(UInt32 param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrInt32(FuncIntPtrUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrString(UInt32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrString(ActionUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrString(UInt32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrString(FuncUInt64UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrString(UInt32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrString(FuncInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrString(UInt32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrString(FuncStringUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrString(UInt32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrString(FuncUInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrString(UInt32 param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrString(FuncIntPtrUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt32(UInt32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt32(ActionUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt32(UInt32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt32(FuncUInt64UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt32(UInt32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt32(FuncInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt32(UInt32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt32(FuncStringUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt32(UInt32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt32(FuncUInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt32(UInt32 param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt32(FuncIntPtrUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrIntPtr(ActionUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrIntPtr(FuncUInt64UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrIntPtr(FuncInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrIntPtr(FuncStringUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrIntPtr(FuncUInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrIntPtr(FuncIntPtrUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt64(ActionIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt64(FuncUInt64IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt64(FuncInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt64(FuncStringIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt64(FuncUInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt64(FuncIntPtrIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64Int32(IntPtr param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64Int32(ActionIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64Int32(IntPtr param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64Int32(FuncUInt64IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64Int32(IntPtr param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64Int32(FuncInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64Int32(IntPtr param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64Int32(FuncStringIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64Int32(IntPtr param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64Int32(FuncUInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64Int32(IntPtr param0, UInt64 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64Int32(FuncIntPtrIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64String(IntPtr param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64String(ActionIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64String(IntPtr param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64String(FuncUInt64IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64String(IntPtr param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64String(FuncInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64String(IntPtr param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64String(FuncStringIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64String(IntPtr param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64String(FuncUInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64String(IntPtr param0, UInt64 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64String(FuncIntPtrIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt32(IntPtr param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt32(ActionIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt32(IntPtr param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt32(FuncUInt64IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt32(IntPtr param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt32(FuncInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt32(IntPtr param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt32(FuncStringIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt32(IntPtr param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt32(FuncUInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt32(IntPtr param0, UInt64 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt32(FuncIntPtrIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64IntPtr(IntPtr param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64IntPtr(ActionIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64IntPtr(IntPtr param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64IntPtr(FuncUInt64IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64IntPtr(IntPtr param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64IntPtr(FuncInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64IntPtr(IntPtr param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64IntPtr(FuncStringIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64IntPtr(IntPtr param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64IntPtr(FuncUInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64IntPtr(IntPtr param0, UInt64 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64IntPtr(FuncIntPtrIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt64(IntPtr param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt64(ActionIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt64(IntPtr param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt64(FuncUInt64IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt64(IntPtr param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt64(FuncInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt64(IntPtr param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt64(FuncStringIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt64(IntPtr param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt64(FuncUInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt64(IntPtr param0, Int32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt64(FuncIntPtrIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32Int32(IntPtr param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32Int32(ActionIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32Int32(IntPtr param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32Int32(FuncUInt64IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32Int32(IntPtr param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32Int32(FuncInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32Int32(IntPtr param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32Int32(FuncStringIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32Int32(IntPtr param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32Int32(FuncUInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32Int32(IntPtr param0, Int32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32Int32(FuncIntPtrIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32String(IntPtr param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32String(ActionIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32String(IntPtr param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32String(FuncUInt64IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32String(IntPtr param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32String(FuncInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32String(IntPtr param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32String(FuncStringIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32String(IntPtr param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32String(FuncUInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32String(IntPtr param0, Int32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32String(FuncIntPtrIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt32(ActionIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt32(FuncUInt64IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt32(FuncInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt32(FuncStringIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt32(FuncUInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt32(FuncIntPtrIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32IntPtr(IntPtr param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32IntPtr(ActionIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32IntPtr(IntPtr param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32IntPtr(FuncUInt64IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32IntPtr(IntPtr param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32IntPtr(FuncInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32IntPtr(IntPtr param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32IntPtr(FuncStringIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32IntPtr(IntPtr param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32IntPtr(FuncUInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32IntPtr(IntPtr param0, Int32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32IntPtr(FuncIntPtrIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt64(IntPtr param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt64(ActionIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt64(IntPtr param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt64(FuncUInt64IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt64(IntPtr param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt64(FuncInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt64(IntPtr param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt64(FuncStringIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt64(IntPtr param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt64(FuncUInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt64(IntPtr param0, String param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt64(FuncIntPtrIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringInt32(IntPtr param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringInt32(ActionIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringInt32(IntPtr param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringInt32(FuncUInt64IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringInt32(IntPtr param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringInt32(FuncInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringInt32(IntPtr param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringInt32(FuncStringIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringInt32(IntPtr param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringInt32(FuncUInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringInt32(IntPtr param0, String param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringInt32(FuncIntPtrIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringString(IntPtr param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringString(ActionIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringString(IntPtr param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringString(FuncUInt64IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringString(IntPtr param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringString(FuncInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringString(IntPtr param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringString(FuncStringIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringString(IntPtr param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringString(FuncUInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringString(IntPtr param0, String param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringString(FuncIntPtrIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt32(IntPtr param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt32(ActionIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt32(IntPtr param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt32(FuncUInt64IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt32(IntPtr param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt32(FuncInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt32(IntPtr param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt32(FuncStringIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt32(IntPtr param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt32(FuncUInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt32(IntPtr param0, String param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt32(FuncIntPtrIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringIntPtr(IntPtr param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringIntPtr(ActionIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringIntPtr(IntPtr param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringIntPtr(FuncUInt64IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringIntPtr(IntPtr param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringIntPtr(FuncInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringIntPtr(IntPtr param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringIntPtr(FuncStringIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringIntPtr(IntPtr param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringIntPtr(FuncUInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringIntPtr(IntPtr param0, String param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringIntPtr(FuncIntPtrIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt64(IntPtr param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt64(ActionIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt64(IntPtr param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt64(FuncUInt64IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt64(IntPtr param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt64(FuncInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt64(IntPtr param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt64(FuncStringIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt64(IntPtr param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt64(FuncUInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt64(IntPtr param0, UInt32 param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt64(FuncIntPtrIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32Int32(IntPtr param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32Int32(ActionIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32Int32(IntPtr param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32Int32(FuncUInt64IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32Int32(IntPtr param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32Int32(FuncInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32Int32(IntPtr param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32Int32(FuncStringIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32Int32(IntPtr param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32Int32(FuncUInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32Int32(IntPtr param0, UInt32 param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32Int32(FuncIntPtrIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32String(IntPtr param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32String(ActionIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32String(IntPtr param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32String(FuncUInt64IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32String(IntPtr param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32String(FuncInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32String(IntPtr param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32String(FuncStringIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32String(IntPtr param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32String(FuncUInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32String(IntPtr param0, UInt32 param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32String(FuncIntPtrIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt32(ActionIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt32(FuncUInt64IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt32(FuncInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt32(FuncStringIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt32(FuncUInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt32(FuncIntPtrIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32IntPtr(IntPtr param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32IntPtr(ActionIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32IntPtr(IntPtr param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32IntPtr(FuncUInt64IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32IntPtr(IntPtr param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32IntPtr(FuncInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32IntPtr(IntPtr param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32IntPtr(FuncStringIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32IntPtr(IntPtr param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32IntPtr(FuncUInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32IntPtr(IntPtr param0, UInt32 param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32IntPtr(FuncIntPtrIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt64(ActionIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt64(FuncUInt64IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt64(FuncInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt64(FuncStringIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt64(FuncUInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, UInt64 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt64(FuncIntPtrIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrInt32(IntPtr param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrInt32(ActionIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrInt32(IntPtr param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrInt32(FuncUInt64IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrInt32(IntPtr param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrInt32(FuncInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrInt32(IntPtr param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrInt32(FuncStringIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrInt32(IntPtr param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrInt32(FuncUInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrInt32(IntPtr param0, IntPtr param1, Int32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrInt32(FuncIntPtrIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrString(IntPtr param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrString(ActionIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrString(IntPtr param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrString(FuncUInt64IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrString(IntPtr param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrString(FuncInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrString(IntPtr param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrString(FuncStringIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrString(IntPtr param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrString(FuncUInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrString(IntPtr param0, IntPtr param1, String param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrString(FuncIntPtrIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt32(ActionIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt32(FuncUInt64IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt32(FuncInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt32(FuncStringIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt32(FuncUInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, UInt32 param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt32(FuncIntPtrIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrIntPtr(ActionIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrIntPtr(FuncUInt64IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrIntPtr(FuncInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrIntPtr(FuncStringIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrIntPtr(FuncUInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrIntPtr(FuncIntPtrIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt64UInt64(ActionUInt64UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt64UInt64(FuncUInt64UInt64UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt64UInt64(FuncInt32UInt64UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt64UInt64(FuncStringUInt64UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt64UInt64(FuncUInt32UInt64UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt64UInt64(UInt64 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt64UInt64(FuncIntPtrUInt64UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt64Int32(UInt64 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt64Int32(ActionUInt64UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt64Int32(UInt64 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt64Int32(FuncUInt64UInt64UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt64Int32(UInt64 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt64Int32(FuncInt32UInt64UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt64Int32(UInt64 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt64Int32(FuncStringUInt64UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt64Int32(UInt64 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt64Int32(FuncUInt32UInt64UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt64Int32(UInt64 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt64Int32(FuncIntPtrUInt64UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt64String(UInt64 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt64String(ActionUInt64UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt64String(UInt64 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt64String(FuncUInt64UInt64UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt64String(UInt64 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt64String(FuncInt32UInt64UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt64String(UInt64 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt64String(FuncStringUInt64UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt64String(UInt64 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt64String(FuncUInt32UInt64UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt64String(UInt64 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt64String(FuncIntPtrUInt64UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt64UInt32(ActionUInt64UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt64UInt32(FuncUInt64UInt64UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt64UInt32(FuncInt32UInt64UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt64UInt32(FuncStringUInt64UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt64UInt32(FuncUInt32UInt64UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt64UInt32(UInt64 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt64UInt32(FuncIntPtrUInt64UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt64IntPtr(UInt64 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt64IntPtr(ActionUInt64UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt64IntPtr(UInt64 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt64IntPtr(FuncUInt64UInt64UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt64IntPtr(UInt64 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt64IntPtr(FuncInt32UInt64UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt64IntPtr(UInt64 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt64IntPtr(FuncStringUInt64UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt64IntPtr(UInt64 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt64IntPtr(FuncUInt32UInt64UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt64IntPtr(UInt64 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt64IntPtr(FuncIntPtrUInt64UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64Int32UInt64(UInt64 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64Int32UInt64(ActionUInt64UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64Int32UInt64(UInt64 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64Int32UInt64(FuncUInt64UInt64UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64Int32UInt64(UInt64 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64Int32UInt64(FuncInt32UInt64UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64Int32UInt64(UInt64 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64Int32UInt64(FuncStringUInt64UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64Int32UInt64(UInt64 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64Int32UInt64(FuncUInt32UInt64UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64Int32UInt64(UInt64 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64Int32UInt64(FuncIntPtrUInt64UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64Int32Int32(UInt64 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64Int32Int32(ActionUInt64UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64Int32Int32(UInt64 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64Int32Int32(FuncUInt64UInt64UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64Int32Int32(UInt64 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64Int32Int32(FuncInt32UInt64UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64Int32Int32(UInt64 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64Int32Int32(FuncStringUInt64UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64Int32Int32(UInt64 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64Int32Int32(FuncUInt32UInt64UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64Int32Int32(UInt64 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64Int32Int32(FuncIntPtrUInt64UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64Int32String(UInt64 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64Int32String(ActionUInt64UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64Int32String(UInt64 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64Int32String(FuncUInt64UInt64UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64Int32String(UInt64 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64Int32String(FuncInt32UInt64UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64Int32String(UInt64 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64Int32String(FuncStringUInt64UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64Int32String(UInt64 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64Int32String(FuncUInt32UInt64UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64Int32String(UInt64 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64Int32String(FuncIntPtrUInt64UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64Int32UInt32(UInt64 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64Int32UInt32(ActionUInt64UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64Int32UInt32(UInt64 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64Int32UInt32(FuncUInt64UInt64UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64Int32UInt32(UInt64 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64Int32UInt32(FuncInt32UInt64UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64Int32UInt32(UInt64 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64Int32UInt32(FuncStringUInt64UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64Int32UInt32(UInt64 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64Int32UInt32(FuncUInt32UInt64UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64Int32UInt32(UInt64 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64Int32UInt32(FuncIntPtrUInt64UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64Int32IntPtr(UInt64 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64Int32IntPtr(ActionUInt64UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64Int32IntPtr(UInt64 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64Int32IntPtr(FuncUInt64UInt64UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64Int32IntPtr(UInt64 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64Int32IntPtr(FuncInt32UInt64UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64Int32IntPtr(UInt64 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64Int32IntPtr(FuncStringUInt64UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64Int32IntPtr(UInt64 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64Int32IntPtr(FuncUInt32UInt64UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64Int32IntPtr(UInt64 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64Int32IntPtr(FuncIntPtrUInt64UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64StringUInt64(UInt64 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64StringUInt64(ActionUInt64UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64StringUInt64(UInt64 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64StringUInt64(FuncUInt64UInt64UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64StringUInt64(UInt64 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64StringUInt64(FuncInt32UInt64UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64StringUInt64(UInt64 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64StringUInt64(FuncStringUInt64UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64StringUInt64(UInt64 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64StringUInt64(FuncUInt32UInt64UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64StringUInt64(UInt64 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64StringUInt64(FuncIntPtrUInt64UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64StringInt32(UInt64 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64StringInt32(ActionUInt64UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64StringInt32(UInt64 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64StringInt32(FuncUInt64UInt64UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64StringInt32(UInt64 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64StringInt32(FuncInt32UInt64UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64StringInt32(UInt64 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64StringInt32(FuncStringUInt64UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64StringInt32(UInt64 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64StringInt32(FuncUInt32UInt64UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64StringInt32(UInt64 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64StringInt32(FuncIntPtrUInt64UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64StringString(UInt64 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64StringString(ActionUInt64UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64StringString(UInt64 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64StringString(FuncUInt64UInt64UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64StringString(UInt64 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64StringString(FuncInt32UInt64UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64StringString(UInt64 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64StringString(FuncStringUInt64UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64StringString(UInt64 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64StringString(FuncUInt32UInt64UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64StringString(UInt64 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64StringString(FuncIntPtrUInt64UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64StringUInt32(UInt64 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64StringUInt32(ActionUInt64UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64StringUInt32(UInt64 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64StringUInt32(FuncUInt64UInt64UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64StringUInt32(UInt64 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64StringUInt32(FuncInt32UInt64UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64StringUInt32(UInt64 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64StringUInt32(FuncStringUInt64UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64StringUInt32(UInt64 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64StringUInt32(FuncUInt32UInt64UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64StringUInt32(UInt64 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64StringUInt32(FuncIntPtrUInt64UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64StringIntPtr(UInt64 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64StringIntPtr(ActionUInt64UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64StringIntPtr(UInt64 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64StringIntPtr(FuncUInt64UInt64UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64StringIntPtr(UInt64 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64StringIntPtr(FuncInt32UInt64UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64StringIntPtr(UInt64 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64StringIntPtr(FuncStringUInt64UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64StringIntPtr(UInt64 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64StringIntPtr(FuncUInt32UInt64UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64StringIntPtr(UInt64 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64StringIntPtr(FuncIntPtrUInt64UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt32UInt64(UInt64 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt32UInt64(ActionUInt64UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt32UInt64(UInt64 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt32UInt64(FuncUInt64UInt64UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt32UInt64(UInt64 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt32UInt64(FuncInt32UInt64UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt32UInt64(UInt64 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt32UInt64(FuncStringUInt64UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt32UInt64(UInt64 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt32UInt64(FuncUInt32UInt64UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt32UInt64(UInt64 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt32UInt64(FuncIntPtrUInt64UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt32Int32(UInt64 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt32Int32(ActionUInt64UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt32Int32(UInt64 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt32Int32(FuncUInt64UInt64UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt32Int32(UInt64 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt32Int32(FuncInt32UInt64UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt32Int32(UInt64 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt32Int32(FuncStringUInt64UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt32Int32(UInt64 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt32Int32(FuncUInt32UInt64UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt32Int32(UInt64 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt32Int32(FuncIntPtrUInt64UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt32String(UInt64 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt32String(ActionUInt64UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt32String(UInt64 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt32String(FuncUInt64UInt64UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt32String(UInt64 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt32String(FuncInt32UInt64UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt32String(UInt64 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt32String(FuncStringUInt64UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt32String(UInt64 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt32String(FuncUInt32UInt64UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt32String(UInt64 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt32String(FuncIntPtrUInt64UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt32UInt32(UInt64 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt32UInt32(ActionUInt64UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt32UInt32(UInt64 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt32UInt32(FuncUInt64UInt64UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt32UInt32(UInt64 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt32UInt32(FuncInt32UInt64UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt32UInt32(UInt64 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt32UInt32(FuncStringUInt64UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt32UInt32(UInt64 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt32UInt32(FuncUInt32UInt64UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt32UInt32(UInt64 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt32UInt32(FuncIntPtrUInt64UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64UInt32IntPtr(UInt64 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64UInt32IntPtr(ActionUInt64UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64UInt32IntPtr(UInt64 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64UInt32IntPtr(FuncUInt64UInt64UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64UInt32IntPtr(UInt64 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64UInt32IntPtr(FuncInt32UInt64UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64UInt32IntPtr(UInt64 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64UInt32IntPtr(FuncStringUInt64UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64UInt32IntPtr(UInt64 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64UInt32IntPtr(FuncUInt32UInt64UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64UInt32IntPtr(UInt64 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64UInt32IntPtr(FuncIntPtrUInt64UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64IntPtrUInt64(UInt64 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64IntPtrUInt64(ActionUInt64UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64IntPtrUInt64(UInt64 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64IntPtrUInt64(FuncUInt64UInt64UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64IntPtrUInt64(UInt64 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64IntPtrUInt64(FuncInt32UInt64UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64IntPtrUInt64(UInt64 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64IntPtrUInt64(FuncStringUInt64UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64IntPtrUInt64(UInt64 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64IntPtrUInt64(FuncUInt32UInt64UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64IntPtrUInt64(UInt64 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64IntPtrUInt64(FuncIntPtrUInt64UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64IntPtrInt32(UInt64 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64IntPtrInt32(ActionUInt64UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64IntPtrInt32(UInt64 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64IntPtrInt32(FuncUInt64UInt64UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64IntPtrInt32(UInt64 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64IntPtrInt32(FuncInt32UInt64UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64IntPtrInt32(UInt64 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64IntPtrInt32(FuncStringUInt64UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64IntPtrInt32(UInt64 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64IntPtrInt32(FuncUInt32UInt64UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64IntPtrInt32(UInt64 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64IntPtrInt32(FuncIntPtrUInt64UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64IntPtrString(UInt64 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64IntPtrString(ActionUInt64UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64IntPtrString(UInt64 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64IntPtrString(FuncUInt64UInt64UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64IntPtrString(UInt64 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64IntPtrString(FuncInt32UInt64UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64IntPtrString(UInt64 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64IntPtrString(FuncStringUInt64UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64IntPtrString(UInt64 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64IntPtrString(FuncUInt32UInt64UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64IntPtrString(UInt64 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64IntPtrString(FuncIntPtrUInt64UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64IntPtrUInt32(UInt64 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64IntPtrUInt32(ActionUInt64UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64IntPtrUInt32(UInt64 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64IntPtrUInt32(FuncUInt64UInt64UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64IntPtrUInt32(UInt64 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64IntPtrUInt32(FuncInt32UInt64UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64IntPtrUInt32(UInt64 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64IntPtrUInt32(FuncStringUInt64UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64IntPtrUInt32(UInt64 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64IntPtrUInt32(FuncUInt32UInt64UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64IntPtrUInt32(UInt64 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64IntPtrUInt32(FuncIntPtrUInt64UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt64IntPtrIntPtr(UInt64 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt64IntPtrIntPtr(ActionUInt64UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt64IntPtrIntPtr(UInt64 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt64IntPtrIntPtr(FuncUInt64UInt64UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt64IntPtrIntPtr(UInt64 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt64IntPtrIntPtr(FuncInt32UInt64UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt64IntPtrIntPtr(UInt64 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt64IntPtrIntPtr(FuncStringUInt64UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt64IntPtrIntPtr(UInt64 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt64IntPtrIntPtr(FuncUInt32UInt64UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt64IntPtrIntPtr(UInt64 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt64IntPtrIntPtr(FuncIntPtrUInt64UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt64UInt64(UInt64 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt64UInt64(ActionUInt64Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt64UInt64(UInt64 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt64UInt64(FuncUInt64UInt64Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt64UInt64(UInt64 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt64UInt64(FuncInt32UInt64Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt64UInt64(UInt64 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt64UInt64(FuncStringUInt64Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt64UInt64(UInt64 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt64UInt64(FuncUInt32UInt64Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt64UInt64(UInt64 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt64UInt64(FuncIntPtrUInt64Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt64Int32(UInt64 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt64Int32(ActionUInt64Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt64Int32(UInt64 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt64Int32(FuncUInt64UInt64Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt64Int32(UInt64 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt64Int32(FuncInt32UInt64Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt64Int32(UInt64 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt64Int32(FuncStringUInt64Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt64Int32(UInt64 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt64Int32(FuncUInt32UInt64Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt64Int32(UInt64 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt64Int32(FuncIntPtrUInt64Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt64String(UInt64 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt64String(ActionUInt64Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt64String(UInt64 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt64String(FuncUInt64UInt64Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt64String(UInt64 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt64String(FuncInt32UInt64Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt64String(UInt64 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt64String(FuncStringUInt64Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt64String(UInt64 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt64String(FuncUInt32UInt64Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt64String(UInt64 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt64String(FuncIntPtrUInt64Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt64UInt32(UInt64 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt64UInt32(ActionUInt64Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt64UInt32(UInt64 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt64UInt32(FuncUInt64UInt64Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt64UInt32(UInt64 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt64UInt32(FuncInt32UInt64Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt64UInt32(UInt64 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt64UInt32(FuncStringUInt64Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt64UInt32(UInt64 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt64UInt32(FuncUInt32UInt64Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt64UInt32(UInt64 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt64UInt32(FuncIntPtrUInt64Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt64IntPtr(UInt64 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt64IntPtr(ActionUInt64Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt64IntPtr(UInt64 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt64IntPtr(FuncUInt64UInt64Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt64IntPtr(UInt64 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt64IntPtr(FuncInt32UInt64Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt64IntPtr(UInt64 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt64IntPtr(FuncStringUInt64Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt64IntPtr(UInt64 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt64IntPtr(FuncUInt32UInt64Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt64IntPtr(UInt64 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt64IntPtr(FuncIntPtrUInt64Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32Int32UInt64(UInt64 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32Int32UInt64(ActionUInt64Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32Int32UInt64(UInt64 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32Int32UInt64(FuncUInt64UInt64Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32Int32UInt64(UInt64 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32Int32UInt64(FuncInt32UInt64Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32Int32UInt64(UInt64 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32Int32UInt64(FuncStringUInt64Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32Int32UInt64(UInt64 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32Int32UInt64(FuncUInt32UInt64Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32Int32UInt64(UInt64 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32Int32UInt64(FuncIntPtrUInt64Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32Int32Int32(UInt64 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32Int32Int32(ActionUInt64Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32Int32Int32(UInt64 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32Int32Int32(FuncUInt64UInt64Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32Int32Int32(UInt64 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32Int32Int32(FuncInt32UInt64Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32Int32Int32(UInt64 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32Int32Int32(FuncStringUInt64Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32Int32Int32(UInt64 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32Int32Int32(FuncUInt32UInt64Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32Int32Int32(UInt64 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32Int32Int32(FuncIntPtrUInt64Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32Int32String(UInt64 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32Int32String(ActionUInt64Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32Int32String(UInt64 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32Int32String(FuncUInt64UInt64Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32Int32String(UInt64 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32Int32String(FuncInt32UInt64Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32Int32String(UInt64 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32Int32String(FuncStringUInt64Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32Int32String(UInt64 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32Int32String(FuncUInt32UInt64Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32Int32String(UInt64 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32Int32String(FuncIntPtrUInt64Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32Int32UInt32(UInt64 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32Int32UInt32(ActionUInt64Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32Int32UInt32(UInt64 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32Int32UInt32(FuncUInt64UInt64Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32Int32UInt32(UInt64 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32Int32UInt32(FuncInt32UInt64Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32Int32UInt32(UInt64 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32Int32UInt32(FuncStringUInt64Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32Int32UInt32(UInt64 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32Int32UInt32(FuncUInt32UInt64Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32Int32UInt32(UInt64 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32Int32UInt32(FuncIntPtrUInt64Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32Int32IntPtr(UInt64 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32Int32IntPtr(ActionUInt64Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32Int32IntPtr(UInt64 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32Int32IntPtr(FuncUInt64UInt64Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32Int32IntPtr(UInt64 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32Int32IntPtr(FuncInt32UInt64Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32Int32IntPtr(UInt64 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32Int32IntPtr(FuncStringUInt64Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32Int32IntPtr(UInt64 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32Int32IntPtr(FuncUInt32UInt64Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32Int32IntPtr(UInt64 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32Int32IntPtr(FuncIntPtrUInt64Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32StringUInt64(UInt64 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32StringUInt64(ActionUInt64Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32StringUInt64(UInt64 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32StringUInt64(FuncUInt64UInt64Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32StringUInt64(UInt64 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32StringUInt64(FuncInt32UInt64Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32StringUInt64(UInt64 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32StringUInt64(FuncStringUInt64Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32StringUInt64(UInt64 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32StringUInt64(FuncUInt32UInt64Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32StringUInt64(UInt64 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32StringUInt64(FuncIntPtrUInt64Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32StringInt32(UInt64 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32StringInt32(ActionUInt64Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32StringInt32(UInt64 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32StringInt32(FuncUInt64UInt64Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32StringInt32(UInt64 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32StringInt32(FuncInt32UInt64Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32StringInt32(UInt64 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32StringInt32(FuncStringUInt64Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32StringInt32(UInt64 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32StringInt32(FuncUInt32UInt64Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32StringInt32(UInt64 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32StringInt32(FuncIntPtrUInt64Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32StringString(UInt64 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32StringString(ActionUInt64Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32StringString(UInt64 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32StringString(FuncUInt64UInt64Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32StringString(UInt64 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32StringString(FuncInt32UInt64Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32StringString(UInt64 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32StringString(FuncStringUInt64Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32StringString(UInt64 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32StringString(FuncUInt32UInt64Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32StringString(UInt64 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32StringString(FuncIntPtrUInt64Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32StringUInt32(UInt64 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32StringUInt32(ActionUInt64Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32StringUInt32(UInt64 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32StringUInt32(FuncUInt64UInt64Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32StringUInt32(UInt64 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32StringUInt32(FuncInt32UInt64Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32StringUInt32(UInt64 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32StringUInt32(FuncStringUInt64Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32StringUInt32(UInt64 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32StringUInt32(FuncUInt32UInt64Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32StringUInt32(UInt64 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32StringUInt32(FuncIntPtrUInt64Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32StringIntPtr(UInt64 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32StringIntPtr(ActionUInt64Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32StringIntPtr(UInt64 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32StringIntPtr(FuncUInt64UInt64Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32StringIntPtr(UInt64 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32StringIntPtr(FuncInt32UInt64Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32StringIntPtr(UInt64 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32StringIntPtr(FuncStringUInt64Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32StringIntPtr(UInt64 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32StringIntPtr(FuncUInt32UInt64Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32StringIntPtr(UInt64 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32StringIntPtr(FuncIntPtrUInt64Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt32UInt64(UInt64 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt32UInt64(ActionUInt64Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt32UInt64(UInt64 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt32UInt64(FuncUInt64UInt64Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt32UInt64(UInt64 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt32UInt64(FuncInt32UInt64Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt32UInt64(UInt64 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt32UInt64(FuncStringUInt64Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt32UInt64(UInt64 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt32UInt64(FuncUInt32UInt64Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt32UInt64(UInt64 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt32UInt64(FuncIntPtrUInt64Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt32Int32(UInt64 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt32Int32(ActionUInt64Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt32Int32(UInt64 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt32Int32(FuncUInt64UInt64Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt32Int32(UInt64 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt32Int32(FuncInt32UInt64Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt32Int32(UInt64 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt32Int32(FuncStringUInt64Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt32Int32(UInt64 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt32Int32(FuncUInt32UInt64Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt32Int32(UInt64 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt32Int32(FuncIntPtrUInt64Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt32String(UInt64 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt32String(ActionUInt64Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt32String(UInt64 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt32String(FuncUInt64UInt64Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt32String(UInt64 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt32String(FuncInt32UInt64Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt32String(UInt64 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt32String(FuncStringUInt64Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt32String(UInt64 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt32String(FuncUInt32UInt64Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt32String(UInt64 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt32String(FuncIntPtrUInt64Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt32UInt32(UInt64 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt32UInt32(ActionUInt64Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt32UInt32(UInt64 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt32UInt32(FuncUInt64UInt64Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt32UInt32(UInt64 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt32UInt32(FuncInt32UInt64Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt32UInt32(UInt64 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt32UInt32(FuncStringUInt64Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt32UInt32(UInt64 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt32UInt32(FuncUInt32UInt64Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt32UInt32(UInt64 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt32UInt32(FuncIntPtrUInt64Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32UInt32IntPtr(UInt64 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32UInt32IntPtr(ActionUInt64Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32UInt32IntPtr(UInt64 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32UInt32IntPtr(FuncUInt64UInt64Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32UInt32IntPtr(UInt64 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32UInt32IntPtr(FuncInt32UInt64Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32UInt32IntPtr(UInt64 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32UInt32IntPtr(FuncStringUInt64Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32UInt32IntPtr(UInt64 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32UInt32IntPtr(FuncUInt32UInt64Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32UInt32IntPtr(UInt64 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32UInt32IntPtr(FuncIntPtrUInt64Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32IntPtrUInt64(UInt64 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32IntPtrUInt64(ActionUInt64Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32IntPtrUInt64(UInt64 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32IntPtrUInt64(FuncUInt64UInt64Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32IntPtrUInt64(UInt64 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32IntPtrUInt64(FuncInt32UInt64Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32IntPtrUInt64(UInt64 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32IntPtrUInt64(FuncStringUInt64Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32IntPtrUInt64(UInt64 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32IntPtrUInt64(FuncUInt32UInt64Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32IntPtrUInt64(UInt64 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32IntPtrUInt64(FuncIntPtrUInt64Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32IntPtrInt32(UInt64 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32IntPtrInt32(ActionUInt64Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32IntPtrInt32(UInt64 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32IntPtrInt32(FuncUInt64UInt64Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32IntPtrInt32(UInt64 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32IntPtrInt32(FuncInt32UInt64Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32IntPtrInt32(UInt64 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32IntPtrInt32(FuncStringUInt64Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32IntPtrInt32(UInt64 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32IntPtrInt32(FuncUInt32UInt64Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32IntPtrInt32(UInt64 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32IntPtrInt32(FuncIntPtrUInt64Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32IntPtrString(UInt64 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32IntPtrString(ActionUInt64Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32IntPtrString(UInt64 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32IntPtrString(FuncUInt64UInt64Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32IntPtrString(UInt64 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32IntPtrString(FuncInt32UInt64Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32IntPtrString(UInt64 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32IntPtrString(FuncStringUInt64Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32IntPtrString(UInt64 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32IntPtrString(FuncUInt32UInt64Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32IntPtrString(UInt64 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32IntPtrString(FuncIntPtrUInt64Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32IntPtrUInt32(UInt64 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32IntPtrUInt32(ActionUInt64Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32IntPtrUInt32(UInt64 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32IntPtrUInt32(FuncUInt64UInt64Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32IntPtrUInt32(UInt64 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32IntPtrUInt32(FuncInt32UInt64Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32IntPtrUInt32(UInt64 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32IntPtrUInt32(FuncStringUInt64Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32IntPtrUInt32(UInt64 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32IntPtrUInt32(FuncUInt32UInt64Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32IntPtrUInt32(UInt64 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32IntPtrUInt32(FuncIntPtrUInt64Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64Int32IntPtrIntPtr(UInt64 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64Int32IntPtrIntPtr(ActionUInt64Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64Int32IntPtrIntPtr(UInt64 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64Int32IntPtrIntPtr(FuncUInt64UInt64Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64Int32IntPtrIntPtr(UInt64 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64Int32IntPtrIntPtr(FuncInt32UInt64Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64Int32IntPtrIntPtr(UInt64 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64Int32IntPtrIntPtr(FuncStringUInt64Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64Int32IntPtrIntPtr(UInt64 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64Int32IntPtrIntPtr(FuncUInt32UInt64Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64Int32IntPtrIntPtr(UInt64 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64Int32IntPtrIntPtr(FuncIntPtrUInt64Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt64UInt64(UInt64 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt64UInt64(ActionUInt64StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt64UInt64(UInt64 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt64UInt64(FuncUInt64UInt64StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt64UInt64(UInt64 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt64UInt64(FuncInt32UInt64StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt64UInt64(UInt64 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt64UInt64(FuncStringUInt64StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt64UInt64(UInt64 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt64UInt64(FuncUInt32UInt64StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt64UInt64(UInt64 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt64UInt64(FuncIntPtrUInt64StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt64Int32(UInt64 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt64Int32(ActionUInt64StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt64Int32(UInt64 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt64Int32(FuncUInt64UInt64StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt64Int32(UInt64 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt64Int32(FuncInt32UInt64StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt64Int32(UInt64 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt64Int32(FuncStringUInt64StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt64Int32(UInt64 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt64Int32(FuncUInt32UInt64StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt64Int32(UInt64 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt64Int32(FuncIntPtrUInt64StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt64String(UInt64 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt64String(ActionUInt64StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt64String(UInt64 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt64String(FuncUInt64UInt64StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt64String(UInt64 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt64String(FuncInt32UInt64StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt64String(UInt64 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt64String(FuncStringUInt64StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt64String(UInt64 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt64String(FuncUInt32UInt64StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt64String(UInt64 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt64String(FuncIntPtrUInt64StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt64UInt32(UInt64 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt64UInt32(ActionUInt64StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt64UInt32(UInt64 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt64UInt32(FuncUInt64UInt64StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt64UInt32(UInt64 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt64UInt32(FuncInt32UInt64StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt64UInt32(UInt64 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt64UInt32(FuncStringUInt64StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt64UInt32(UInt64 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt64UInt32(FuncUInt32UInt64StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt64UInt32(UInt64 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt64UInt32(FuncIntPtrUInt64StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt64IntPtr(UInt64 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt64IntPtr(ActionUInt64StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt64IntPtr(UInt64 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt64IntPtr(FuncUInt64UInt64StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt64IntPtr(UInt64 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt64IntPtr(FuncInt32UInt64StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt64IntPtr(UInt64 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt64IntPtr(FuncStringUInt64StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt64IntPtr(UInt64 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt64IntPtr(FuncUInt32UInt64StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt64IntPtr(UInt64 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt64IntPtr(FuncIntPtrUInt64StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringInt32UInt64(UInt64 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringInt32UInt64(ActionUInt64StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringInt32UInt64(UInt64 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringInt32UInt64(FuncUInt64UInt64StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringInt32UInt64(UInt64 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringInt32UInt64(FuncInt32UInt64StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringInt32UInt64(UInt64 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringInt32UInt64(FuncStringUInt64StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringInt32UInt64(UInt64 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringInt32UInt64(FuncUInt32UInt64StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringInt32UInt64(UInt64 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringInt32UInt64(FuncIntPtrUInt64StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringInt32Int32(UInt64 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringInt32Int32(ActionUInt64StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringInt32Int32(UInt64 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringInt32Int32(FuncUInt64UInt64StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringInt32Int32(UInt64 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringInt32Int32(FuncInt32UInt64StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringInt32Int32(UInt64 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringInt32Int32(FuncStringUInt64StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringInt32Int32(UInt64 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringInt32Int32(FuncUInt32UInt64StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringInt32Int32(UInt64 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringInt32Int32(FuncIntPtrUInt64StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringInt32String(UInt64 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringInt32String(ActionUInt64StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringInt32String(UInt64 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringInt32String(FuncUInt64UInt64StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringInt32String(UInt64 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringInt32String(FuncInt32UInt64StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringInt32String(UInt64 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringInt32String(FuncStringUInt64StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringInt32String(UInt64 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringInt32String(FuncUInt32UInt64StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringInt32String(UInt64 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringInt32String(FuncIntPtrUInt64StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringInt32UInt32(UInt64 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringInt32UInt32(ActionUInt64StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringInt32UInt32(UInt64 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringInt32UInt32(FuncUInt64UInt64StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringInt32UInt32(UInt64 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringInt32UInt32(FuncInt32UInt64StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringInt32UInt32(UInt64 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringInt32UInt32(FuncStringUInt64StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringInt32UInt32(UInt64 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringInt32UInt32(FuncUInt32UInt64StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringInt32UInt32(UInt64 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringInt32UInt32(FuncIntPtrUInt64StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringInt32IntPtr(UInt64 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringInt32IntPtr(ActionUInt64StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringInt32IntPtr(UInt64 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringInt32IntPtr(FuncUInt64UInt64StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringInt32IntPtr(UInt64 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringInt32IntPtr(FuncInt32UInt64StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringInt32IntPtr(UInt64 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringInt32IntPtr(FuncStringUInt64StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringInt32IntPtr(UInt64 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringInt32IntPtr(FuncUInt32UInt64StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringInt32IntPtr(UInt64 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringInt32IntPtr(FuncIntPtrUInt64StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringStringUInt64(UInt64 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringStringUInt64(ActionUInt64StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringStringUInt64(UInt64 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringStringUInt64(FuncUInt64UInt64StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringStringUInt64(UInt64 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringStringUInt64(FuncInt32UInt64StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringStringUInt64(UInt64 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringStringUInt64(FuncStringUInt64StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringStringUInt64(UInt64 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringStringUInt64(FuncUInt32UInt64StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringStringUInt64(UInt64 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringStringUInt64(FuncIntPtrUInt64StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringStringInt32(UInt64 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringStringInt32(ActionUInt64StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringStringInt32(UInt64 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringStringInt32(FuncUInt64UInt64StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringStringInt32(UInt64 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringStringInt32(FuncInt32UInt64StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringStringInt32(UInt64 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringStringInt32(FuncStringUInt64StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringStringInt32(UInt64 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringStringInt32(FuncUInt32UInt64StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringStringInt32(UInt64 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringStringInt32(FuncIntPtrUInt64StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringStringString(UInt64 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringStringString(ActionUInt64StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringStringString(UInt64 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringStringString(FuncUInt64UInt64StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringStringString(UInt64 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringStringString(FuncInt32UInt64StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringStringString(UInt64 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringStringString(FuncStringUInt64StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringStringString(UInt64 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringStringString(FuncUInt32UInt64StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringStringString(UInt64 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringStringString(FuncIntPtrUInt64StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringStringUInt32(UInt64 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringStringUInt32(ActionUInt64StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringStringUInt32(UInt64 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringStringUInt32(FuncUInt64UInt64StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringStringUInt32(UInt64 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringStringUInt32(FuncInt32UInt64StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringStringUInt32(UInt64 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringStringUInt32(FuncStringUInt64StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringStringUInt32(UInt64 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringStringUInt32(FuncUInt32UInt64StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringStringUInt32(UInt64 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringStringUInt32(FuncIntPtrUInt64StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringStringIntPtr(UInt64 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringStringIntPtr(ActionUInt64StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringStringIntPtr(UInt64 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringStringIntPtr(FuncUInt64UInt64StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringStringIntPtr(UInt64 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringStringIntPtr(FuncInt32UInt64StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringStringIntPtr(UInt64 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringStringIntPtr(FuncStringUInt64StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringStringIntPtr(UInt64 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringStringIntPtr(FuncUInt32UInt64StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringStringIntPtr(UInt64 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringStringIntPtr(FuncIntPtrUInt64StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt32UInt64(UInt64 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt32UInt64(ActionUInt64StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt32UInt64(UInt64 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt32UInt64(FuncUInt64UInt64StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt32UInt64(UInt64 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt32UInt64(FuncInt32UInt64StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt32UInt64(UInt64 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt32UInt64(FuncStringUInt64StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt32UInt64(UInt64 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt32UInt64(FuncUInt32UInt64StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt32UInt64(UInt64 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt32UInt64(FuncIntPtrUInt64StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt32Int32(UInt64 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt32Int32(ActionUInt64StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt32Int32(UInt64 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt32Int32(FuncUInt64UInt64StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt32Int32(UInt64 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt32Int32(FuncInt32UInt64StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt32Int32(UInt64 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt32Int32(FuncStringUInt64StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt32Int32(UInt64 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt32Int32(FuncUInt32UInt64StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt32Int32(UInt64 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt32Int32(FuncIntPtrUInt64StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt32String(UInt64 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt32String(ActionUInt64StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt32String(UInt64 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt32String(FuncUInt64UInt64StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt32String(UInt64 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt32String(FuncInt32UInt64StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt32String(UInt64 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt32String(FuncStringUInt64StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt32String(UInt64 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt32String(FuncUInt32UInt64StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt32String(UInt64 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt32String(FuncIntPtrUInt64StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt32UInt32(UInt64 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt32UInt32(ActionUInt64StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt32UInt32(UInt64 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt32UInt32(FuncUInt64UInt64StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt32UInt32(UInt64 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt32UInt32(FuncInt32UInt64StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt32UInt32(UInt64 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt32UInt32(FuncStringUInt64StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt32UInt32(UInt64 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt32UInt32(FuncUInt32UInt64StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt32UInt32(UInt64 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt32UInt32(FuncIntPtrUInt64StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringUInt32IntPtr(UInt64 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringUInt32IntPtr(ActionUInt64StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringUInt32IntPtr(UInt64 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringUInt32IntPtr(FuncUInt64UInt64StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringUInt32IntPtr(UInt64 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringUInt32IntPtr(FuncInt32UInt64StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringUInt32IntPtr(UInt64 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringUInt32IntPtr(FuncStringUInt64StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringUInt32IntPtr(UInt64 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringUInt32IntPtr(FuncUInt32UInt64StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringUInt32IntPtr(UInt64 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringUInt32IntPtr(FuncIntPtrUInt64StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringIntPtrUInt64(UInt64 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringIntPtrUInt64(ActionUInt64StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringIntPtrUInt64(UInt64 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringIntPtrUInt64(FuncUInt64UInt64StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringIntPtrUInt64(UInt64 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringIntPtrUInt64(FuncInt32UInt64StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringIntPtrUInt64(UInt64 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringIntPtrUInt64(FuncStringUInt64StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringIntPtrUInt64(UInt64 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringIntPtrUInt64(FuncUInt32UInt64StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringIntPtrUInt64(UInt64 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringIntPtrUInt64(FuncIntPtrUInt64StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringIntPtrInt32(UInt64 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringIntPtrInt32(ActionUInt64StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringIntPtrInt32(UInt64 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringIntPtrInt32(FuncUInt64UInt64StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringIntPtrInt32(UInt64 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringIntPtrInt32(FuncInt32UInt64StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringIntPtrInt32(UInt64 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringIntPtrInt32(FuncStringUInt64StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringIntPtrInt32(UInt64 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringIntPtrInt32(FuncUInt32UInt64StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringIntPtrInt32(UInt64 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringIntPtrInt32(FuncIntPtrUInt64StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringIntPtrString(UInt64 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringIntPtrString(ActionUInt64StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringIntPtrString(UInt64 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringIntPtrString(FuncUInt64UInt64StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringIntPtrString(UInt64 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringIntPtrString(FuncInt32UInt64StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringIntPtrString(UInt64 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringIntPtrString(FuncStringUInt64StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringIntPtrString(UInt64 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringIntPtrString(FuncUInt32UInt64StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringIntPtrString(UInt64 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringIntPtrString(FuncIntPtrUInt64StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringIntPtrUInt32(UInt64 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringIntPtrUInt32(ActionUInt64StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringIntPtrUInt32(UInt64 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringIntPtrUInt32(FuncUInt64UInt64StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringIntPtrUInt32(UInt64 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringIntPtrUInt32(FuncInt32UInt64StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringIntPtrUInt32(UInt64 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringIntPtrUInt32(FuncStringUInt64StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringIntPtrUInt32(UInt64 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringIntPtrUInt32(FuncUInt32UInt64StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringIntPtrUInt32(UInt64 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringIntPtrUInt32(FuncIntPtrUInt64StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64StringIntPtrIntPtr(UInt64 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64StringIntPtrIntPtr(ActionUInt64StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64StringIntPtrIntPtr(UInt64 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64StringIntPtrIntPtr(FuncUInt64UInt64StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64StringIntPtrIntPtr(UInt64 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64StringIntPtrIntPtr(FuncInt32UInt64StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64StringIntPtrIntPtr(UInt64 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64StringIntPtrIntPtr(FuncStringUInt64StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64StringIntPtrIntPtr(UInt64 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64StringIntPtrIntPtr(FuncUInt32UInt64StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64StringIntPtrIntPtr(UInt64 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64StringIntPtrIntPtr(FuncIntPtrUInt64StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt64UInt64(UInt64 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt64UInt64(ActionUInt64UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt64UInt64(UInt64 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt64UInt64(FuncUInt64UInt64UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt64UInt64(UInt64 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt64UInt64(FuncInt32UInt64UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt64UInt64(UInt64 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt64UInt64(FuncStringUInt64UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt64UInt64(UInt64 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt64UInt64(FuncUInt32UInt64UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt64UInt64(UInt64 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt64UInt64(FuncIntPtrUInt64UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt64Int32(UInt64 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt64Int32(ActionUInt64UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt64Int32(UInt64 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt64Int32(FuncUInt64UInt64UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt64Int32(UInt64 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt64Int32(FuncInt32UInt64UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt64Int32(UInt64 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt64Int32(FuncStringUInt64UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt64Int32(UInt64 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt64Int32(FuncUInt32UInt64UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt64Int32(UInt64 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt64Int32(FuncIntPtrUInt64UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt64String(UInt64 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt64String(ActionUInt64UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt64String(UInt64 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt64String(FuncUInt64UInt64UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt64String(UInt64 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt64String(FuncInt32UInt64UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt64String(UInt64 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt64String(FuncStringUInt64UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt64String(UInt64 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt64String(FuncUInt32UInt64UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt64String(UInt64 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt64String(FuncIntPtrUInt64UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt64UInt32(UInt64 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt64UInt32(ActionUInt64UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt64UInt32(UInt64 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt64UInt32(FuncUInt64UInt64UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt64UInt32(UInt64 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt64UInt32(FuncInt32UInt64UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt64UInt32(UInt64 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt64UInt32(FuncStringUInt64UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt64UInt32(UInt64 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt64UInt32(FuncUInt32UInt64UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt64UInt32(UInt64 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt64UInt32(FuncIntPtrUInt64UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt64IntPtr(UInt64 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt64IntPtr(ActionUInt64UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt64IntPtr(UInt64 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt64IntPtr(FuncUInt64UInt64UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt64IntPtr(UInt64 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt64IntPtr(FuncInt32UInt64UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt64IntPtr(UInt64 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt64IntPtr(FuncStringUInt64UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt64IntPtr(UInt64 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt64IntPtr(FuncUInt32UInt64UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt64IntPtr(UInt64 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt64IntPtr(FuncIntPtrUInt64UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32Int32UInt64(UInt64 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32Int32UInt64(ActionUInt64UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32Int32UInt64(UInt64 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32Int32UInt64(FuncUInt64UInt64UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32Int32UInt64(UInt64 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32Int32UInt64(FuncInt32UInt64UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32Int32UInt64(UInt64 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32Int32UInt64(FuncStringUInt64UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32Int32UInt64(UInt64 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32Int32UInt64(FuncUInt32UInt64UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32Int32UInt64(UInt64 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32Int32UInt64(FuncIntPtrUInt64UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32Int32Int32(UInt64 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32Int32Int32(ActionUInt64UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32Int32Int32(UInt64 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32Int32Int32(FuncUInt64UInt64UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32Int32Int32(UInt64 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32Int32Int32(FuncInt32UInt64UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32Int32Int32(UInt64 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32Int32Int32(FuncStringUInt64UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32Int32Int32(UInt64 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32Int32Int32(FuncUInt32UInt64UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32Int32Int32(UInt64 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32Int32Int32(FuncIntPtrUInt64UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32Int32String(UInt64 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32Int32String(ActionUInt64UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32Int32String(UInt64 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32Int32String(FuncUInt64UInt64UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32Int32String(UInt64 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32Int32String(FuncInt32UInt64UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32Int32String(UInt64 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32Int32String(FuncStringUInt64UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32Int32String(UInt64 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32Int32String(FuncUInt32UInt64UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32Int32String(UInt64 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32Int32String(FuncIntPtrUInt64UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32Int32UInt32(UInt64 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32Int32UInt32(ActionUInt64UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32Int32UInt32(UInt64 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32Int32UInt32(FuncUInt64UInt64UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32Int32UInt32(UInt64 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32Int32UInt32(FuncInt32UInt64UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32Int32UInt32(UInt64 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32Int32UInt32(FuncStringUInt64UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32Int32UInt32(UInt64 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32Int32UInt32(FuncUInt32UInt64UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32Int32UInt32(UInt64 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32Int32UInt32(FuncIntPtrUInt64UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32Int32IntPtr(UInt64 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32Int32IntPtr(ActionUInt64UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32Int32IntPtr(UInt64 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32Int32IntPtr(FuncUInt64UInt64UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32Int32IntPtr(UInt64 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32Int32IntPtr(FuncInt32UInt64UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32Int32IntPtr(UInt64 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32Int32IntPtr(FuncStringUInt64UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32Int32IntPtr(UInt64 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32Int32IntPtr(FuncUInt32UInt64UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32Int32IntPtr(UInt64 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32Int32IntPtr(FuncIntPtrUInt64UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32StringUInt64(UInt64 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32StringUInt64(ActionUInt64UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32StringUInt64(UInt64 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32StringUInt64(FuncUInt64UInt64UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32StringUInt64(UInt64 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32StringUInt64(FuncInt32UInt64UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32StringUInt64(UInt64 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32StringUInt64(FuncStringUInt64UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32StringUInt64(UInt64 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32StringUInt64(FuncUInt32UInt64UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32StringUInt64(UInt64 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32StringUInt64(FuncIntPtrUInt64UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32StringInt32(UInt64 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32StringInt32(ActionUInt64UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32StringInt32(UInt64 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32StringInt32(FuncUInt64UInt64UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32StringInt32(UInt64 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32StringInt32(FuncInt32UInt64UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32StringInt32(UInt64 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32StringInt32(FuncStringUInt64UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32StringInt32(UInt64 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32StringInt32(FuncUInt32UInt64UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32StringInt32(UInt64 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32StringInt32(FuncIntPtrUInt64UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32StringString(UInt64 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32StringString(ActionUInt64UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32StringString(UInt64 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32StringString(FuncUInt64UInt64UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32StringString(UInt64 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32StringString(FuncInt32UInt64UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32StringString(UInt64 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32StringString(FuncStringUInt64UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32StringString(UInt64 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32StringString(FuncUInt32UInt64UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32StringString(UInt64 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32StringString(FuncIntPtrUInt64UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32StringUInt32(UInt64 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32StringUInt32(ActionUInt64UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32StringUInt32(UInt64 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32StringUInt32(FuncUInt64UInt64UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32StringUInt32(UInt64 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32StringUInt32(FuncInt32UInt64UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32StringUInt32(UInt64 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32StringUInt32(FuncStringUInt64UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32StringUInt32(UInt64 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32StringUInt32(FuncUInt32UInt64UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32StringUInt32(UInt64 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32StringUInt32(FuncIntPtrUInt64UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32StringIntPtr(UInt64 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32StringIntPtr(ActionUInt64UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32StringIntPtr(UInt64 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32StringIntPtr(FuncUInt64UInt64UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32StringIntPtr(UInt64 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32StringIntPtr(FuncInt32UInt64UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32StringIntPtr(UInt64 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32StringIntPtr(FuncStringUInt64UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32StringIntPtr(UInt64 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32StringIntPtr(FuncUInt32UInt64UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32StringIntPtr(UInt64 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32StringIntPtr(FuncIntPtrUInt64UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt32UInt64(UInt64 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt32UInt64(ActionUInt64UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt32UInt64(UInt64 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt32UInt64(FuncUInt64UInt64UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt32UInt64(UInt64 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt32UInt64(FuncInt32UInt64UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt32UInt64(UInt64 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt32UInt64(FuncStringUInt64UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt32UInt64(UInt64 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt32UInt64(FuncUInt32UInt64UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt32UInt64(UInt64 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt32UInt64(FuncIntPtrUInt64UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt32Int32(UInt64 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt32Int32(ActionUInt64UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt32Int32(UInt64 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt32Int32(FuncUInt64UInt64UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt32Int32(UInt64 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt32Int32(FuncInt32UInt64UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt32Int32(UInt64 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt32Int32(FuncStringUInt64UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt32Int32(UInt64 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt32Int32(FuncUInt32UInt64UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt32Int32(UInt64 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt32Int32(FuncIntPtrUInt64UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt32String(UInt64 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt32String(ActionUInt64UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt32String(UInt64 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt32String(FuncUInt64UInt64UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt32String(UInt64 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt32String(FuncInt32UInt64UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt32String(UInt64 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt32String(FuncStringUInt64UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt32String(UInt64 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt32String(FuncUInt32UInt64UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt32String(UInt64 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt32String(FuncIntPtrUInt64UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt32UInt32(ActionUInt64UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt32UInt32(FuncUInt64UInt64UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt32UInt32(FuncInt32UInt64UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt32UInt32(FuncStringUInt64UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt32UInt32(FuncUInt32UInt64UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt32UInt32(UInt64 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt32UInt32(FuncIntPtrUInt64UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32UInt32IntPtr(UInt64 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32UInt32IntPtr(ActionUInt64UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32UInt32IntPtr(UInt64 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32UInt32IntPtr(FuncUInt64UInt64UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32UInt32IntPtr(UInt64 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32UInt32IntPtr(FuncInt32UInt64UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32UInt32IntPtr(UInt64 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32UInt32IntPtr(FuncStringUInt64UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32UInt32IntPtr(UInt64 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32UInt32IntPtr(FuncUInt32UInt64UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32UInt32IntPtr(UInt64 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32UInt32IntPtr(FuncIntPtrUInt64UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32IntPtrUInt64(UInt64 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32IntPtrUInt64(ActionUInt64UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32IntPtrUInt64(UInt64 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32IntPtrUInt64(FuncUInt64UInt64UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32IntPtrUInt64(UInt64 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32IntPtrUInt64(FuncInt32UInt64UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32IntPtrUInt64(UInt64 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32IntPtrUInt64(FuncStringUInt64UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32IntPtrUInt64(UInt64 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32IntPtrUInt64(FuncUInt32UInt64UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32IntPtrUInt64(UInt64 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32IntPtrUInt64(FuncIntPtrUInt64UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32IntPtrInt32(UInt64 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32IntPtrInt32(ActionUInt64UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32IntPtrInt32(UInt64 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32IntPtrInt32(FuncUInt64UInt64UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32IntPtrInt32(UInt64 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32IntPtrInt32(FuncInt32UInt64UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32IntPtrInt32(UInt64 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32IntPtrInt32(FuncStringUInt64UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32IntPtrInt32(UInt64 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32IntPtrInt32(FuncUInt32UInt64UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32IntPtrInt32(UInt64 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32IntPtrInt32(FuncIntPtrUInt64UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32IntPtrString(UInt64 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32IntPtrString(ActionUInt64UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32IntPtrString(UInt64 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32IntPtrString(FuncUInt64UInt64UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32IntPtrString(UInt64 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32IntPtrString(FuncInt32UInt64UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32IntPtrString(UInt64 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32IntPtrString(FuncStringUInt64UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32IntPtrString(UInt64 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32IntPtrString(FuncUInt32UInt64UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32IntPtrString(UInt64 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32IntPtrString(FuncIntPtrUInt64UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32IntPtrUInt32(UInt64 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32IntPtrUInt32(ActionUInt64UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32IntPtrUInt32(UInt64 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32IntPtrUInt32(FuncUInt64UInt64UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32IntPtrUInt32(UInt64 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32IntPtrUInt32(FuncInt32UInt64UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32IntPtrUInt32(UInt64 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32IntPtrUInt32(FuncStringUInt64UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32IntPtrUInt32(UInt64 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32IntPtrUInt32(FuncUInt32UInt64UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32IntPtrUInt32(UInt64 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32IntPtrUInt32(FuncIntPtrUInt64UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64UInt32IntPtrIntPtr(UInt64 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64UInt32IntPtrIntPtr(ActionUInt64UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64UInt32IntPtrIntPtr(UInt64 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64UInt32IntPtrIntPtr(FuncUInt64UInt64UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64UInt32IntPtrIntPtr(UInt64 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64UInt32IntPtrIntPtr(FuncInt32UInt64UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64UInt32IntPtrIntPtr(UInt64 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64UInt32IntPtrIntPtr(FuncStringUInt64UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64UInt32IntPtrIntPtr(UInt64 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64UInt32IntPtrIntPtr(FuncUInt32UInt64UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64UInt32IntPtrIntPtr(UInt64 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64UInt32IntPtrIntPtr(FuncIntPtrUInt64UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt64UInt64(UInt64 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt64UInt64(ActionUInt64IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt64UInt64(UInt64 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt64UInt64(FuncUInt64UInt64IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt64UInt64(UInt64 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt64UInt64(FuncInt32UInt64IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt64UInt64(UInt64 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt64UInt64(FuncStringUInt64IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt64UInt64(UInt64 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt64UInt64(FuncUInt32UInt64IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt64UInt64(UInt64 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt64UInt64(FuncIntPtrUInt64IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt64Int32(UInt64 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt64Int32(ActionUInt64IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt64Int32(UInt64 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt64Int32(FuncUInt64UInt64IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt64Int32(UInt64 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt64Int32(FuncInt32UInt64IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt64Int32(UInt64 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt64Int32(FuncStringUInt64IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt64Int32(UInt64 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt64Int32(FuncUInt32UInt64IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt64Int32(UInt64 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt64Int32(FuncIntPtrUInt64IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt64String(UInt64 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt64String(ActionUInt64IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt64String(UInt64 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt64String(FuncUInt64UInt64IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt64String(UInt64 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt64String(FuncInt32UInt64IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt64String(UInt64 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt64String(FuncStringUInt64IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt64String(UInt64 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt64String(FuncUInt32UInt64IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt64String(UInt64 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt64String(FuncIntPtrUInt64IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt64UInt32(UInt64 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt64UInt32(ActionUInt64IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt64UInt32(UInt64 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt64UInt32(FuncUInt64UInt64IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt64UInt32(UInt64 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt64UInt32(FuncInt32UInt64IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt64UInt32(UInt64 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt64UInt32(FuncStringUInt64IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt64UInt32(UInt64 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt64UInt32(FuncUInt32UInt64IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt64UInt32(UInt64 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt64UInt32(FuncIntPtrUInt64IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt64IntPtr(UInt64 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt64IntPtr(ActionUInt64IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt64IntPtr(UInt64 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt64IntPtr(FuncUInt64UInt64IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt64IntPtr(UInt64 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt64IntPtr(FuncInt32UInt64IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt64IntPtr(UInt64 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt64IntPtr(FuncStringUInt64IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt64IntPtr(UInt64 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt64IntPtr(FuncUInt32UInt64IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt64IntPtr(UInt64 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt64IntPtr(FuncIntPtrUInt64IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrInt32UInt64(UInt64 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrInt32UInt64(ActionUInt64IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrInt32UInt64(UInt64 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrInt32UInt64(FuncUInt64UInt64IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrInt32UInt64(UInt64 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrInt32UInt64(FuncInt32UInt64IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrInt32UInt64(UInt64 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrInt32UInt64(FuncStringUInt64IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrInt32UInt64(UInt64 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrInt32UInt64(FuncUInt32UInt64IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrInt32UInt64(UInt64 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrInt32UInt64(FuncIntPtrUInt64IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrInt32Int32(UInt64 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrInt32Int32(ActionUInt64IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrInt32Int32(UInt64 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrInt32Int32(FuncUInt64UInt64IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrInt32Int32(UInt64 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrInt32Int32(FuncInt32UInt64IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrInt32Int32(UInt64 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrInt32Int32(FuncStringUInt64IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrInt32Int32(UInt64 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrInt32Int32(FuncUInt32UInt64IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrInt32Int32(UInt64 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrInt32Int32(FuncIntPtrUInt64IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrInt32String(UInt64 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrInt32String(ActionUInt64IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrInt32String(UInt64 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrInt32String(FuncUInt64UInt64IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrInt32String(UInt64 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrInt32String(FuncInt32UInt64IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrInt32String(UInt64 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrInt32String(FuncStringUInt64IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrInt32String(UInt64 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrInt32String(FuncUInt32UInt64IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrInt32String(UInt64 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrInt32String(FuncIntPtrUInt64IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrInt32UInt32(UInt64 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrInt32UInt32(ActionUInt64IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrInt32UInt32(UInt64 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrInt32UInt32(FuncUInt64UInt64IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrInt32UInt32(UInt64 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrInt32UInt32(FuncInt32UInt64IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrInt32UInt32(UInt64 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrInt32UInt32(FuncStringUInt64IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrInt32UInt32(UInt64 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrInt32UInt32(FuncUInt32UInt64IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrInt32UInt32(UInt64 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrInt32UInt32(FuncIntPtrUInt64IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrInt32IntPtr(UInt64 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrInt32IntPtr(ActionUInt64IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrInt32IntPtr(UInt64 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrInt32IntPtr(FuncUInt64UInt64IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrInt32IntPtr(UInt64 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrInt32IntPtr(FuncInt32UInt64IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrInt32IntPtr(UInt64 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrInt32IntPtr(FuncStringUInt64IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrInt32IntPtr(UInt64 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrInt32IntPtr(FuncUInt32UInt64IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrInt32IntPtr(UInt64 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrInt32IntPtr(FuncIntPtrUInt64IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrStringUInt64(UInt64 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrStringUInt64(ActionUInt64IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrStringUInt64(UInt64 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrStringUInt64(FuncUInt64UInt64IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrStringUInt64(UInt64 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrStringUInt64(FuncInt32UInt64IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrStringUInt64(UInt64 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrStringUInt64(FuncStringUInt64IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrStringUInt64(UInt64 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrStringUInt64(FuncUInt32UInt64IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrStringUInt64(UInt64 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrStringUInt64(FuncIntPtrUInt64IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrStringInt32(UInt64 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrStringInt32(ActionUInt64IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrStringInt32(UInt64 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrStringInt32(FuncUInt64UInt64IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrStringInt32(UInt64 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrStringInt32(FuncInt32UInt64IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrStringInt32(UInt64 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrStringInt32(FuncStringUInt64IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrStringInt32(UInt64 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrStringInt32(FuncUInt32UInt64IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrStringInt32(UInt64 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrStringInt32(FuncIntPtrUInt64IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrStringString(UInt64 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrStringString(ActionUInt64IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrStringString(UInt64 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrStringString(FuncUInt64UInt64IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrStringString(UInt64 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrStringString(FuncInt32UInt64IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrStringString(UInt64 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrStringString(FuncStringUInt64IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrStringString(UInt64 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrStringString(FuncUInt32UInt64IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrStringString(UInt64 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrStringString(FuncIntPtrUInt64IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrStringUInt32(UInt64 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrStringUInt32(ActionUInt64IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrStringUInt32(UInt64 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrStringUInt32(FuncUInt64UInt64IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrStringUInt32(UInt64 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrStringUInt32(FuncInt32UInt64IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrStringUInt32(UInt64 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrStringUInt32(FuncStringUInt64IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrStringUInt32(UInt64 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrStringUInt32(FuncUInt32UInt64IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrStringUInt32(UInt64 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrStringUInt32(FuncIntPtrUInt64IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrStringIntPtr(UInt64 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrStringIntPtr(ActionUInt64IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrStringIntPtr(UInt64 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrStringIntPtr(FuncUInt64UInt64IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrStringIntPtr(UInt64 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrStringIntPtr(FuncInt32UInt64IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrStringIntPtr(UInt64 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrStringIntPtr(FuncStringUInt64IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrStringIntPtr(UInt64 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrStringIntPtr(FuncUInt32UInt64IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrStringIntPtr(UInt64 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrStringIntPtr(FuncIntPtrUInt64IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt32UInt64(UInt64 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt32UInt64(ActionUInt64IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt32UInt64(UInt64 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt32UInt64(FuncUInt64UInt64IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt32UInt64(UInt64 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt32UInt64(FuncInt32UInt64IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt32UInt64(UInt64 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt32UInt64(FuncStringUInt64IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt32UInt64(UInt64 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt32UInt64(FuncUInt32UInt64IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt32UInt64(UInt64 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt32UInt64(FuncIntPtrUInt64IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt32Int32(UInt64 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt32Int32(ActionUInt64IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt32Int32(UInt64 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt32Int32(FuncUInt64UInt64IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt32Int32(UInt64 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt32Int32(FuncInt32UInt64IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt32Int32(UInt64 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt32Int32(FuncStringUInt64IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt32Int32(UInt64 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt32Int32(FuncUInt32UInt64IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt32Int32(UInt64 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt32Int32(FuncIntPtrUInt64IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt32String(UInt64 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt32String(ActionUInt64IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt32String(UInt64 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt32String(FuncUInt64UInt64IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt32String(UInt64 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt32String(FuncInt32UInt64IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt32String(UInt64 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt32String(FuncStringUInt64IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt32String(UInt64 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt32String(FuncUInt32UInt64IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt32String(UInt64 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt32String(FuncIntPtrUInt64IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt32UInt32(UInt64 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt32UInt32(ActionUInt64IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt32UInt32(UInt64 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt32UInt32(FuncUInt64UInt64IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt32UInt32(UInt64 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt32UInt32(FuncInt32UInt64IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt32UInt32(UInt64 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt32UInt32(FuncStringUInt64IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt32UInt32(UInt64 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt32UInt32(FuncUInt32UInt64IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt32UInt32(UInt64 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt32UInt32(FuncIntPtrUInt64IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrUInt32IntPtr(UInt64 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrUInt32IntPtr(ActionUInt64IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrUInt32IntPtr(UInt64 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrUInt32IntPtr(FuncUInt64UInt64IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrUInt32IntPtr(UInt64 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrUInt32IntPtr(FuncInt32UInt64IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrUInt32IntPtr(UInt64 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrUInt32IntPtr(FuncStringUInt64IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrUInt32IntPtr(UInt64 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrUInt32IntPtr(FuncUInt32UInt64IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrUInt32IntPtr(UInt64 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrUInt32IntPtr(FuncIntPtrUInt64IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrIntPtrUInt64(UInt64 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrIntPtrUInt64(ActionUInt64IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrIntPtrUInt64(UInt64 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrIntPtrUInt64(FuncUInt64UInt64IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrIntPtrUInt64(UInt64 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrIntPtrUInt64(FuncInt32UInt64IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrIntPtrUInt64(UInt64 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrIntPtrUInt64(FuncStringUInt64IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrIntPtrUInt64(UInt64 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrIntPtrUInt64(FuncUInt32UInt64IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrIntPtrUInt64(UInt64 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrIntPtrUInt64(FuncIntPtrUInt64IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrIntPtrInt32(UInt64 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrIntPtrInt32(ActionUInt64IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrIntPtrInt32(UInt64 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrIntPtrInt32(FuncUInt64UInt64IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrIntPtrInt32(UInt64 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrIntPtrInt32(FuncInt32UInt64IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrIntPtrInt32(UInt64 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrIntPtrInt32(FuncStringUInt64IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrIntPtrInt32(UInt64 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrIntPtrInt32(FuncUInt32UInt64IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrIntPtrInt32(UInt64 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrIntPtrInt32(FuncIntPtrUInt64IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrIntPtrString(UInt64 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrIntPtrString(ActionUInt64IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrIntPtrString(UInt64 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrIntPtrString(FuncUInt64UInt64IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrIntPtrString(UInt64 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrIntPtrString(FuncInt32UInt64IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrIntPtrString(UInt64 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrIntPtrString(FuncStringUInt64IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrIntPtrString(UInt64 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrIntPtrString(FuncUInt32UInt64IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrIntPtrString(UInt64 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrIntPtrString(FuncIntPtrUInt64IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrIntPtrUInt32(UInt64 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrIntPtrUInt32(ActionUInt64IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrIntPtrUInt32(UInt64 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrIntPtrUInt32(FuncUInt64UInt64IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrIntPtrUInt32(UInt64 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrIntPtrUInt32(FuncInt32UInt64IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrIntPtrUInt32(UInt64 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrIntPtrUInt32(FuncStringUInt64IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrIntPtrUInt32(UInt64 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrIntPtrUInt32(FuncUInt32UInt64IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrIntPtrUInt32(UInt64 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrIntPtrUInt32(FuncIntPtrUInt64IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt64IntPtrIntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt64IntPtrIntPtrIntPtr(ActionUInt64IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt64IntPtrIntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt64IntPtrIntPtrIntPtr(FuncUInt64UInt64IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt64IntPtrIntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt64IntPtrIntPtrIntPtr(FuncInt32UInt64IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt64IntPtrIntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt64IntPtrIntPtrIntPtr(FuncStringUInt64IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt64IntPtrIntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt64IntPtrIntPtrIntPtr(FuncUInt32UInt64IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt64IntPtrIntPtrIntPtr(UInt64 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt64IntPtrIntPtrIntPtr(FuncIntPtrUInt64IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt64UInt64(ActionInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt64UInt64(FuncUInt64Int32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt64UInt64(FuncInt32Int32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt64UInt64(FuncStringInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt64UInt64(FuncUInt32Int32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt64UInt64(Int32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt64UInt64(FuncIntPtrInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt64Int32(Int32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt64Int32(ActionInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt64Int32(Int32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt64Int32(FuncUInt64Int32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt64Int32(Int32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt64Int32(FuncInt32Int32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt64Int32(Int32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt64Int32(FuncStringInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt64Int32(Int32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt64Int32(FuncUInt32Int32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt64Int32(Int32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt64Int32(FuncIntPtrInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt64String(Int32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt64String(ActionInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt64String(Int32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt64String(FuncUInt64Int32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt64String(Int32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt64String(FuncInt32Int32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt64String(Int32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt64String(FuncStringInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt64String(Int32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt64String(FuncUInt32Int32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt64String(Int32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt64String(FuncIntPtrInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt64UInt32(Int32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt64UInt32(ActionInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt64UInt32(Int32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt64UInt32(FuncUInt64Int32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt64UInt32(Int32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt64UInt32(FuncInt32Int32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt64UInt32(Int32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt64UInt32(FuncStringInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt64UInt32(Int32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt64UInt32(FuncUInt32Int32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt64UInt32(Int32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt64UInt32(FuncIntPtrInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt64IntPtr(Int32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt64IntPtr(ActionInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt64IntPtr(Int32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt64IntPtr(FuncUInt64Int32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt64IntPtr(Int32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt64IntPtr(FuncInt32Int32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt64IntPtr(Int32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt64IntPtr(FuncStringInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt64IntPtr(Int32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt64IntPtr(FuncUInt32Int32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt64IntPtr(Int32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt64IntPtr(FuncIntPtrInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64Int32UInt64(Int32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64Int32UInt64(ActionInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64Int32UInt64(Int32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64Int32UInt64(FuncUInt64Int32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64Int32UInt64(Int32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64Int32UInt64(FuncInt32Int32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64Int32UInt64(Int32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64Int32UInt64(FuncStringInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64Int32UInt64(Int32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64Int32UInt64(FuncUInt32Int32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64Int32UInt64(Int32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64Int32UInt64(FuncIntPtrInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64Int32Int32(Int32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64Int32Int32(ActionInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64Int32Int32(Int32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64Int32Int32(FuncUInt64Int32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64Int32Int32(Int32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64Int32Int32(FuncInt32Int32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64Int32Int32(Int32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64Int32Int32(FuncStringInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64Int32Int32(Int32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64Int32Int32(FuncUInt32Int32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64Int32Int32(Int32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64Int32Int32(FuncIntPtrInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64Int32String(Int32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64Int32String(ActionInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64Int32String(Int32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64Int32String(FuncUInt64Int32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64Int32String(Int32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64Int32String(FuncInt32Int32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64Int32String(Int32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64Int32String(FuncStringInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64Int32String(Int32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64Int32String(FuncUInt32Int32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64Int32String(Int32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64Int32String(FuncIntPtrInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64Int32UInt32(Int32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64Int32UInt32(ActionInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64Int32UInt32(Int32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64Int32UInt32(FuncUInt64Int32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64Int32UInt32(Int32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64Int32UInt32(FuncInt32Int32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64Int32UInt32(Int32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64Int32UInt32(FuncStringInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64Int32UInt32(Int32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64Int32UInt32(FuncUInt32Int32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64Int32UInt32(Int32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64Int32UInt32(FuncIntPtrInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64Int32IntPtr(Int32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64Int32IntPtr(ActionInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64Int32IntPtr(Int32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64Int32IntPtr(FuncUInt64Int32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64Int32IntPtr(Int32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64Int32IntPtr(FuncInt32Int32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64Int32IntPtr(Int32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64Int32IntPtr(FuncStringInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64Int32IntPtr(Int32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64Int32IntPtr(FuncUInt32Int32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64Int32IntPtr(Int32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64Int32IntPtr(FuncIntPtrInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64StringUInt64(Int32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64StringUInt64(ActionInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64StringUInt64(Int32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64StringUInt64(FuncUInt64Int32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64StringUInt64(Int32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64StringUInt64(FuncInt32Int32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64StringUInt64(Int32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64StringUInt64(FuncStringInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64StringUInt64(Int32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64StringUInt64(FuncUInt32Int32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64StringUInt64(Int32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64StringUInt64(FuncIntPtrInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64StringInt32(Int32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64StringInt32(ActionInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64StringInt32(Int32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64StringInt32(FuncUInt64Int32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64StringInt32(Int32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64StringInt32(FuncInt32Int32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64StringInt32(Int32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64StringInt32(FuncStringInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64StringInt32(Int32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64StringInt32(FuncUInt32Int32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64StringInt32(Int32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64StringInt32(FuncIntPtrInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64StringString(Int32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64StringString(ActionInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64StringString(Int32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64StringString(FuncUInt64Int32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64StringString(Int32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64StringString(FuncInt32Int32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64StringString(Int32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64StringString(FuncStringInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64StringString(Int32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64StringString(FuncUInt32Int32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64StringString(Int32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64StringString(FuncIntPtrInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64StringUInt32(Int32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64StringUInt32(ActionInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64StringUInt32(Int32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64StringUInt32(FuncUInt64Int32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64StringUInt32(Int32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64StringUInt32(FuncInt32Int32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64StringUInt32(Int32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64StringUInt32(FuncStringInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64StringUInt32(Int32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64StringUInt32(FuncUInt32Int32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64StringUInt32(Int32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64StringUInt32(FuncIntPtrInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64StringIntPtr(Int32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64StringIntPtr(ActionInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64StringIntPtr(Int32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64StringIntPtr(FuncUInt64Int32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64StringIntPtr(Int32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64StringIntPtr(FuncInt32Int32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64StringIntPtr(Int32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64StringIntPtr(FuncStringInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64StringIntPtr(Int32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64StringIntPtr(FuncUInt32Int32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64StringIntPtr(Int32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64StringIntPtr(FuncIntPtrInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt32UInt64(Int32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt32UInt64(ActionInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt32UInt64(Int32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt32UInt64(FuncUInt64Int32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt32UInt64(Int32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt32UInt64(FuncInt32Int32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt32UInt64(Int32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt32UInt64(FuncStringInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt32UInt64(Int32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt32UInt64(FuncUInt32Int32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt32UInt64(Int32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt32UInt64(FuncIntPtrInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt32Int32(Int32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt32Int32(ActionInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt32Int32(Int32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt32Int32(FuncUInt64Int32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt32Int32(Int32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt32Int32(FuncInt32Int32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt32Int32(Int32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt32Int32(FuncStringInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt32Int32(Int32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt32Int32(FuncUInt32Int32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt32Int32(Int32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt32Int32(FuncIntPtrInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt32String(Int32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt32String(ActionInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt32String(Int32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt32String(FuncUInt64Int32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt32String(Int32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt32String(FuncInt32Int32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt32String(Int32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt32String(FuncStringInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt32String(Int32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt32String(FuncUInt32Int32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt32String(Int32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt32String(FuncIntPtrInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt32UInt32(Int32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt32UInt32(ActionInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt32UInt32(Int32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt32UInt32(FuncUInt64Int32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt32UInt32(Int32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt32UInt32(FuncInt32Int32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt32UInt32(Int32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt32UInt32(FuncStringInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt32UInt32(Int32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt32UInt32(FuncUInt32Int32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt32UInt32(Int32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt32UInt32(FuncIntPtrInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64UInt32IntPtr(Int32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64UInt32IntPtr(ActionInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64UInt32IntPtr(Int32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64UInt32IntPtr(FuncUInt64Int32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64UInt32IntPtr(Int32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64UInt32IntPtr(FuncInt32Int32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64UInt32IntPtr(Int32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64UInt32IntPtr(FuncStringInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64UInt32IntPtr(Int32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64UInt32IntPtr(FuncUInt32Int32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64UInt32IntPtr(Int32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64UInt32IntPtr(FuncIntPtrInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64IntPtrUInt64(Int32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64IntPtrUInt64(ActionInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64IntPtrUInt64(Int32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64IntPtrUInt64(FuncUInt64Int32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64IntPtrUInt64(Int32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64IntPtrUInt64(FuncInt32Int32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64IntPtrUInt64(Int32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64IntPtrUInt64(FuncStringInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64IntPtrUInt64(Int32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64IntPtrUInt64(FuncUInt32Int32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64IntPtrUInt64(Int32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64IntPtrUInt64(FuncIntPtrInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64IntPtrInt32(Int32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64IntPtrInt32(ActionInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64IntPtrInt32(Int32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64IntPtrInt32(FuncUInt64Int32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64IntPtrInt32(Int32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64IntPtrInt32(FuncInt32Int32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64IntPtrInt32(Int32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64IntPtrInt32(FuncStringInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64IntPtrInt32(Int32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64IntPtrInt32(FuncUInt32Int32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64IntPtrInt32(Int32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64IntPtrInt32(FuncIntPtrInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64IntPtrString(Int32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64IntPtrString(ActionInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64IntPtrString(Int32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64IntPtrString(FuncUInt64Int32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64IntPtrString(Int32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64IntPtrString(FuncInt32Int32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64IntPtrString(Int32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64IntPtrString(FuncStringInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64IntPtrString(Int32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64IntPtrString(FuncUInt32Int32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64IntPtrString(Int32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64IntPtrString(FuncIntPtrInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64IntPtrUInt32(Int32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64IntPtrUInt32(ActionInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64IntPtrUInt32(Int32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64IntPtrUInt32(FuncUInt64Int32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64IntPtrUInt32(Int32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64IntPtrUInt32(FuncInt32Int32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64IntPtrUInt32(Int32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64IntPtrUInt32(FuncStringInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64IntPtrUInt32(Int32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64IntPtrUInt32(FuncUInt32Int32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64IntPtrUInt32(Int32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64IntPtrUInt32(FuncIntPtrInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt64IntPtrIntPtr(Int32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt64IntPtrIntPtr(ActionInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt64IntPtrIntPtr(Int32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt64IntPtrIntPtr(FuncUInt64Int32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt64IntPtrIntPtr(Int32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt64IntPtrIntPtr(FuncInt32Int32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt64IntPtrIntPtr(Int32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt64IntPtrIntPtr(FuncStringInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt64IntPtrIntPtr(Int32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt64IntPtrIntPtr(FuncUInt32Int32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt64IntPtrIntPtr(Int32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt64IntPtrIntPtr(FuncIntPtrInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt64UInt64(Int32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt64UInt64(ActionInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt64UInt64(Int32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt64UInt64(FuncUInt64Int32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt64UInt64(Int32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt64UInt64(FuncInt32Int32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt64UInt64(Int32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt64UInt64(FuncStringInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt64UInt64(Int32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt64UInt64(FuncUInt32Int32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt64UInt64(Int32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt64UInt64(FuncIntPtrInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt64Int32(Int32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt64Int32(ActionInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt64Int32(Int32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt64Int32(FuncUInt64Int32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt64Int32(Int32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt64Int32(FuncInt32Int32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt64Int32(Int32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt64Int32(FuncStringInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt64Int32(Int32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt64Int32(FuncUInt32Int32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt64Int32(Int32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt64Int32(FuncIntPtrInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt64String(Int32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt64String(ActionInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt64String(Int32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt64String(FuncUInt64Int32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt64String(Int32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt64String(FuncInt32Int32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt64String(Int32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt64String(FuncStringInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt64String(Int32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt64String(FuncUInt32Int32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt64String(Int32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt64String(FuncIntPtrInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt64UInt32(Int32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt64UInt32(ActionInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt64UInt32(Int32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt64UInt32(FuncUInt64Int32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt64UInt32(Int32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt64UInt32(FuncInt32Int32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt64UInt32(Int32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt64UInt32(FuncStringInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt64UInt32(Int32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt64UInt32(FuncUInt32Int32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt64UInt32(Int32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt64UInt32(FuncIntPtrInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt64IntPtr(Int32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt64IntPtr(ActionInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt64IntPtr(Int32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt64IntPtr(FuncUInt64Int32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt64IntPtr(Int32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt64IntPtr(FuncInt32Int32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt64IntPtr(Int32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt64IntPtr(FuncStringInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt64IntPtr(Int32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt64IntPtr(FuncUInt32Int32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt64IntPtr(Int32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt64IntPtr(FuncIntPtrInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32Int32UInt64(Int32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32Int32UInt64(ActionInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32Int32UInt64(Int32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32Int32UInt64(FuncUInt64Int32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32Int32UInt64(Int32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32Int32UInt64(FuncInt32Int32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32Int32UInt64(Int32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32Int32UInt64(FuncStringInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32Int32UInt64(Int32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32Int32UInt64(FuncUInt32Int32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32Int32UInt64(Int32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32Int32UInt64(FuncIntPtrInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32Int32Int32(Int32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32Int32Int32(ActionInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32Int32Int32(Int32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32Int32Int32(FuncUInt64Int32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32Int32Int32(Int32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32Int32Int32(FuncInt32Int32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32Int32Int32(Int32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32Int32Int32(FuncStringInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32Int32Int32(Int32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32Int32Int32(FuncUInt32Int32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32Int32Int32(Int32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32Int32Int32(FuncIntPtrInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32Int32String(Int32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32Int32String(ActionInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32Int32String(Int32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32Int32String(FuncUInt64Int32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32Int32String(Int32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32Int32String(FuncInt32Int32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32Int32String(Int32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32Int32String(FuncStringInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32Int32String(Int32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32Int32String(FuncUInt32Int32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32Int32String(Int32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32Int32String(FuncIntPtrInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32Int32UInt32(Int32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32Int32UInt32(ActionInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32Int32UInt32(Int32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32Int32UInt32(FuncUInt64Int32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32Int32UInt32(Int32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32Int32UInt32(FuncInt32Int32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32Int32UInt32(Int32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32Int32UInt32(FuncStringInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32Int32UInt32(Int32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32Int32UInt32(FuncUInt32Int32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32Int32UInt32(Int32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32Int32UInt32(FuncIntPtrInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32Int32IntPtr(Int32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32Int32IntPtr(ActionInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32Int32IntPtr(Int32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32Int32IntPtr(FuncUInt64Int32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32Int32IntPtr(Int32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32Int32IntPtr(FuncInt32Int32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32Int32IntPtr(Int32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32Int32IntPtr(FuncStringInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32Int32IntPtr(Int32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32Int32IntPtr(FuncUInt32Int32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32Int32IntPtr(Int32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32Int32IntPtr(FuncIntPtrInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32StringUInt64(Int32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32StringUInt64(ActionInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32StringUInt64(Int32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32StringUInt64(FuncUInt64Int32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32StringUInt64(Int32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32StringUInt64(FuncInt32Int32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32StringUInt64(Int32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32StringUInt64(FuncStringInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32StringUInt64(Int32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32StringUInt64(FuncUInt32Int32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32StringUInt64(Int32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32StringUInt64(FuncIntPtrInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32StringInt32(Int32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32StringInt32(ActionInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32StringInt32(Int32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32StringInt32(FuncUInt64Int32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32StringInt32(Int32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32StringInt32(FuncInt32Int32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32StringInt32(Int32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32StringInt32(FuncStringInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32StringInt32(Int32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32StringInt32(FuncUInt32Int32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32StringInt32(Int32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32StringInt32(FuncIntPtrInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32StringString(Int32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32StringString(ActionInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32StringString(Int32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32StringString(FuncUInt64Int32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32StringString(Int32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32StringString(FuncInt32Int32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32StringString(Int32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32StringString(FuncStringInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32StringString(Int32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32StringString(FuncUInt32Int32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32StringString(Int32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32StringString(FuncIntPtrInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32StringUInt32(Int32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32StringUInt32(ActionInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32StringUInt32(Int32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32StringUInt32(FuncUInt64Int32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32StringUInt32(Int32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32StringUInt32(FuncInt32Int32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32StringUInt32(Int32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32StringUInt32(FuncStringInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32StringUInt32(Int32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32StringUInt32(FuncUInt32Int32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32StringUInt32(Int32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32StringUInt32(FuncIntPtrInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32StringIntPtr(Int32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32StringIntPtr(ActionInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32StringIntPtr(Int32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32StringIntPtr(FuncUInt64Int32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32StringIntPtr(Int32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32StringIntPtr(FuncInt32Int32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32StringIntPtr(Int32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32StringIntPtr(FuncStringInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32StringIntPtr(Int32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32StringIntPtr(FuncUInt32Int32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32StringIntPtr(Int32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32StringIntPtr(FuncIntPtrInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt32UInt64(Int32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt32UInt64(ActionInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt32UInt64(Int32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt32UInt64(FuncUInt64Int32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt32UInt64(Int32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt32UInt64(FuncInt32Int32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt32UInt64(Int32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt32UInt64(FuncStringInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt32UInt64(Int32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt32UInt64(FuncUInt32Int32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt32UInt64(Int32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt32UInt64(FuncIntPtrInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt32Int32(Int32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt32Int32(ActionInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt32Int32(Int32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt32Int32(FuncUInt64Int32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt32Int32(Int32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt32Int32(FuncInt32Int32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt32Int32(Int32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt32Int32(FuncStringInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt32Int32(Int32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt32Int32(FuncUInt32Int32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt32Int32(Int32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt32Int32(FuncIntPtrInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt32String(Int32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt32String(ActionInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt32String(Int32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt32String(FuncUInt64Int32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt32String(Int32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt32String(FuncInt32Int32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt32String(Int32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt32String(FuncStringInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt32String(Int32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt32String(FuncUInt32Int32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt32String(Int32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt32String(FuncIntPtrInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt32UInt32(Int32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt32UInt32(ActionInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt32UInt32(Int32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt32UInt32(FuncUInt64Int32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt32UInt32(Int32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt32UInt32(FuncInt32Int32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt32UInt32(Int32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt32UInt32(FuncStringInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt32UInt32(Int32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt32UInt32(FuncUInt32Int32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt32UInt32(Int32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt32UInt32(FuncIntPtrInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32UInt32IntPtr(Int32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32UInt32IntPtr(ActionInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32UInt32IntPtr(Int32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32UInt32IntPtr(FuncUInt64Int32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32UInt32IntPtr(Int32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32UInt32IntPtr(FuncInt32Int32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32UInt32IntPtr(Int32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32UInt32IntPtr(FuncStringInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32UInt32IntPtr(Int32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32UInt32IntPtr(FuncUInt32Int32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32UInt32IntPtr(Int32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32UInt32IntPtr(FuncIntPtrInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32IntPtrUInt64(Int32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32IntPtrUInt64(ActionInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32IntPtrUInt64(Int32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32IntPtrUInt64(FuncUInt64Int32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32IntPtrUInt64(Int32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32IntPtrUInt64(FuncInt32Int32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32IntPtrUInt64(Int32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32IntPtrUInt64(FuncStringInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32IntPtrUInt64(Int32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32IntPtrUInt64(FuncUInt32Int32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32IntPtrUInt64(Int32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32IntPtrUInt64(FuncIntPtrInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32IntPtrInt32(Int32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32IntPtrInt32(ActionInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32IntPtrInt32(Int32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32IntPtrInt32(FuncUInt64Int32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32IntPtrInt32(Int32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32IntPtrInt32(FuncInt32Int32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32IntPtrInt32(Int32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32IntPtrInt32(FuncStringInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32IntPtrInt32(Int32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32IntPtrInt32(FuncUInt32Int32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32IntPtrInt32(Int32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32IntPtrInt32(FuncIntPtrInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32IntPtrString(Int32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32IntPtrString(ActionInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32IntPtrString(Int32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32IntPtrString(FuncUInt64Int32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32IntPtrString(Int32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32IntPtrString(FuncInt32Int32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32IntPtrString(Int32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32IntPtrString(FuncStringInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32IntPtrString(Int32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32IntPtrString(FuncUInt32Int32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32IntPtrString(Int32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32IntPtrString(FuncIntPtrInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32IntPtrUInt32(Int32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32IntPtrUInt32(ActionInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32IntPtrUInt32(Int32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32IntPtrUInt32(FuncUInt64Int32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32IntPtrUInt32(Int32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32IntPtrUInt32(FuncInt32Int32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32IntPtrUInt32(Int32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32IntPtrUInt32(FuncStringInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32IntPtrUInt32(Int32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32IntPtrUInt32(FuncUInt32Int32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32IntPtrUInt32(Int32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32IntPtrUInt32(FuncIntPtrInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32Int32IntPtrIntPtr(Int32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32Int32IntPtrIntPtr(ActionInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32Int32IntPtrIntPtr(Int32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32Int32IntPtrIntPtr(FuncUInt64Int32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32Int32IntPtrIntPtr(Int32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32Int32IntPtrIntPtr(FuncInt32Int32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32Int32IntPtrIntPtr(Int32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32Int32IntPtrIntPtr(FuncStringInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32Int32IntPtrIntPtr(Int32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32Int32IntPtrIntPtr(FuncUInt32Int32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32Int32IntPtrIntPtr(Int32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32Int32IntPtrIntPtr(FuncIntPtrInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt64UInt64(Int32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt64UInt64(ActionInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt64UInt64(Int32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt64UInt64(FuncUInt64Int32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt64UInt64(Int32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt64UInt64(FuncInt32Int32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt64UInt64(Int32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt64UInt64(FuncStringInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt64UInt64(Int32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt64UInt64(FuncUInt32Int32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt64UInt64(Int32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt64UInt64(FuncIntPtrInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt64Int32(Int32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt64Int32(ActionInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt64Int32(Int32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt64Int32(FuncUInt64Int32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt64Int32(Int32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt64Int32(FuncInt32Int32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt64Int32(Int32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt64Int32(FuncStringInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt64Int32(Int32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt64Int32(FuncUInt32Int32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt64Int32(Int32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt64Int32(FuncIntPtrInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt64String(Int32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt64String(ActionInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt64String(Int32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt64String(FuncUInt64Int32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt64String(Int32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt64String(FuncInt32Int32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt64String(Int32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt64String(FuncStringInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt64String(Int32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt64String(FuncUInt32Int32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt64String(Int32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt64String(FuncIntPtrInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt64UInt32(Int32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt64UInt32(ActionInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt64UInt32(Int32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt64UInt32(FuncUInt64Int32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt64UInt32(Int32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt64UInt32(FuncInt32Int32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt64UInt32(Int32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt64UInt32(FuncStringInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt64UInt32(Int32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt64UInt32(FuncUInt32Int32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt64UInt32(Int32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt64UInt32(FuncIntPtrInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt64IntPtr(Int32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt64IntPtr(ActionInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt64IntPtr(Int32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt64IntPtr(FuncUInt64Int32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt64IntPtr(Int32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt64IntPtr(FuncInt32Int32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt64IntPtr(Int32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt64IntPtr(FuncStringInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt64IntPtr(Int32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt64IntPtr(FuncUInt32Int32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt64IntPtr(Int32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt64IntPtr(FuncIntPtrInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringInt32UInt64(Int32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringInt32UInt64(ActionInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringInt32UInt64(Int32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringInt32UInt64(FuncUInt64Int32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringInt32UInt64(Int32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringInt32UInt64(FuncInt32Int32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringInt32UInt64(Int32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringInt32UInt64(FuncStringInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringInt32UInt64(Int32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringInt32UInt64(FuncUInt32Int32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringInt32UInt64(Int32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringInt32UInt64(FuncIntPtrInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringInt32Int32(Int32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringInt32Int32(ActionInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringInt32Int32(Int32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringInt32Int32(FuncUInt64Int32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringInt32Int32(Int32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringInt32Int32(FuncInt32Int32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringInt32Int32(Int32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringInt32Int32(FuncStringInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringInt32Int32(Int32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringInt32Int32(FuncUInt32Int32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringInt32Int32(Int32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringInt32Int32(FuncIntPtrInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringInt32String(Int32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringInt32String(ActionInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringInt32String(Int32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringInt32String(FuncUInt64Int32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringInt32String(Int32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringInt32String(FuncInt32Int32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringInt32String(Int32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringInt32String(FuncStringInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringInt32String(Int32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringInt32String(FuncUInt32Int32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringInt32String(Int32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringInt32String(FuncIntPtrInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringInt32UInt32(Int32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringInt32UInt32(ActionInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringInt32UInt32(Int32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringInt32UInt32(FuncUInt64Int32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringInt32UInt32(Int32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringInt32UInt32(FuncInt32Int32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringInt32UInt32(Int32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringInt32UInt32(FuncStringInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringInt32UInt32(Int32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringInt32UInt32(FuncUInt32Int32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringInt32UInt32(Int32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringInt32UInt32(FuncIntPtrInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringInt32IntPtr(Int32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringInt32IntPtr(ActionInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringInt32IntPtr(Int32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringInt32IntPtr(FuncUInt64Int32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringInt32IntPtr(Int32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringInt32IntPtr(FuncInt32Int32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringInt32IntPtr(Int32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringInt32IntPtr(FuncStringInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringInt32IntPtr(Int32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringInt32IntPtr(FuncUInt32Int32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringInt32IntPtr(Int32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringInt32IntPtr(FuncIntPtrInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringStringUInt64(Int32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringStringUInt64(ActionInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringStringUInt64(Int32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringStringUInt64(FuncUInt64Int32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringStringUInt64(Int32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringStringUInt64(FuncInt32Int32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringStringUInt64(Int32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringStringUInt64(FuncStringInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringStringUInt64(Int32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringStringUInt64(FuncUInt32Int32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringStringUInt64(Int32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringStringUInt64(FuncIntPtrInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringStringInt32(Int32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringStringInt32(ActionInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringStringInt32(Int32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringStringInt32(FuncUInt64Int32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringStringInt32(Int32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringStringInt32(FuncInt32Int32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringStringInt32(Int32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringStringInt32(FuncStringInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringStringInt32(Int32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringStringInt32(FuncUInt32Int32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringStringInt32(Int32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringStringInt32(FuncIntPtrInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringStringString(Int32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringStringString(ActionInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringStringString(Int32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringStringString(FuncUInt64Int32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringStringString(Int32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringStringString(FuncInt32Int32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringStringString(Int32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringStringString(FuncStringInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringStringString(Int32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringStringString(FuncUInt32Int32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringStringString(Int32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringStringString(FuncIntPtrInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringStringUInt32(Int32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringStringUInt32(ActionInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringStringUInt32(Int32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringStringUInt32(FuncUInt64Int32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringStringUInt32(Int32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringStringUInt32(FuncInt32Int32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringStringUInt32(Int32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringStringUInt32(FuncStringInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringStringUInt32(Int32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringStringUInt32(FuncUInt32Int32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringStringUInt32(Int32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringStringUInt32(FuncIntPtrInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringStringIntPtr(Int32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringStringIntPtr(ActionInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringStringIntPtr(Int32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringStringIntPtr(FuncUInt64Int32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringStringIntPtr(Int32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringStringIntPtr(FuncInt32Int32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringStringIntPtr(Int32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringStringIntPtr(FuncStringInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringStringIntPtr(Int32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringStringIntPtr(FuncUInt32Int32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringStringIntPtr(Int32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringStringIntPtr(FuncIntPtrInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt32UInt64(Int32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt32UInt64(ActionInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt32UInt64(Int32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt32UInt64(FuncUInt64Int32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt32UInt64(Int32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt32UInt64(FuncInt32Int32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt32UInt64(Int32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt32UInt64(FuncStringInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt32UInt64(Int32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt32UInt64(FuncUInt32Int32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt32UInt64(Int32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt32UInt64(FuncIntPtrInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt32Int32(Int32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt32Int32(ActionInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt32Int32(Int32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt32Int32(FuncUInt64Int32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt32Int32(Int32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt32Int32(FuncInt32Int32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt32Int32(Int32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt32Int32(FuncStringInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt32Int32(Int32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt32Int32(FuncUInt32Int32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt32Int32(Int32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt32Int32(FuncIntPtrInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt32String(Int32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt32String(ActionInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt32String(Int32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt32String(FuncUInt64Int32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt32String(Int32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt32String(FuncInt32Int32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt32String(Int32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt32String(FuncStringInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt32String(Int32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt32String(FuncUInt32Int32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt32String(Int32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt32String(FuncIntPtrInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt32UInt32(Int32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt32UInt32(ActionInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt32UInt32(Int32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt32UInt32(FuncUInt64Int32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt32UInt32(Int32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt32UInt32(FuncInt32Int32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt32UInt32(Int32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt32UInt32(FuncStringInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt32UInt32(Int32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt32UInt32(FuncUInt32Int32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt32UInt32(Int32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt32UInt32(FuncIntPtrInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringUInt32IntPtr(Int32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringUInt32IntPtr(ActionInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringUInt32IntPtr(Int32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringUInt32IntPtr(FuncUInt64Int32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringUInt32IntPtr(Int32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringUInt32IntPtr(FuncInt32Int32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringUInt32IntPtr(Int32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringUInt32IntPtr(FuncStringInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringUInt32IntPtr(Int32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringUInt32IntPtr(FuncUInt32Int32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringUInt32IntPtr(Int32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringUInt32IntPtr(FuncIntPtrInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringIntPtrUInt64(Int32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringIntPtrUInt64(ActionInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringIntPtrUInt64(Int32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringIntPtrUInt64(FuncUInt64Int32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringIntPtrUInt64(Int32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringIntPtrUInt64(FuncInt32Int32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringIntPtrUInt64(Int32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringIntPtrUInt64(FuncStringInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringIntPtrUInt64(Int32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringIntPtrUInt64(FuncUInt32Int32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringIntPtrUInt64(Int32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringIntPtrUInt64(FuncIntPtrInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringIntPtrInt32(Int32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringIntPtrInt32(ActionInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringIntPtrInt32(Int32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringIntPtrInt32(FuncUInt64Int32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringIntPtrInt32(Int32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringIntPtrInt32(FuncInt32Int32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringIntPtrInt32(Int32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringIntPtrInt32(FuncStringInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringIntPtrInt32(Int32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringIntPtrInt32(FuncUInt32Int32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringIntPtrInt32(Int32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringIntPtrInt32(FuncIntPtrInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringIntPtrString(Int32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringIntPtrString(ActionInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringIntPtrString(Int32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringIntPtrString(FuncUInt64Int32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringIntPtrString(Int32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringIntPtrString(FuncInt32Int32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringIntPtrString(Int32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringIntPtrString(FuncStringInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringIntPtrString(Int32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringIntPtrString(FuncUInt32Int32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringIntPtrString(Int32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringIntPtrString(FuncIntPtrInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringIntPtrUInt32(Int32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringIntPtrUInt32(ActionInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringIntPtrUInt32(Int32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringIntPtrUInt32(FuncUInt64Int32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringIntPtrUInt32(Int32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringIntPtrUInt32(FuncInt32Int32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringIntPtrUInt32(Int32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringIntPtrUInt32(FuncStringInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringIntPtrUInt32(Int32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringIntPtrUInt32(FuncUInt32Int32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringIntPtrUInt32(Int32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringIntPtrUInt32(FuncIntPtrInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32StringIntPtrIntPtr(Int32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32StringIntPtrIntPtr(ActionInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32StringIntPtrIntPtr(Int32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32StringIntPtrIntPtr(FuncUInt64Int32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32StringIntPtrIntPtr(Int32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32StringIntPtrIntPtr(FuncInt32Int32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32StringIntPtrIntPtr(Int32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32StringIntPtrIntPtr(FuncStringInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32StringIntPtrIntPtr(Int32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32StringIntPtrIntPtr(FuncUInt32Int32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32StringIntPtrIntPtr(Int32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32StringIntPtrIntPtr(FuncIntPtrInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt64UInt64(Int32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt64UInt64(ActionInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt64UInt64(Int32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt64UInt64(FuncUInt64Int32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt64UInt64(Int32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt64UInt64(FuncInt32Int32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt64UInt64(Int32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt64UInt64(FuncStringInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt64UInt64(Int32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt64UInt64(FuncUInt32Int32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt64UInt64(Int32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt64UInt64(FuncIntPtrInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt64Int32(Int32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt64Int32(ActionInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt64Int32(Int32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt64Int32(FuncUInt64Int32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt64Int32(Int32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt64Int32(FuncInt32Int32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt64Int32(Int32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt64Int32(FuncStringInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt64Int32(Int32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt64Int32(FuncUInt32Int32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt64Int32(Int32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt64Int32(FuncIntPtrInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt64String(Int32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt64String(ActionInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt64String(Int32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt64String(FuncUInt64Int32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt64String(Int32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt64String(FuncInt32Int32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt64String(Int32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt64String(FuncStringInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt64String(Int32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt64String(FuncUInt32Int32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt64String(Int32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt64String(FuncIntPtrInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt64UInt32(Int32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt64UInt32(ActionInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt64UInt32(Int32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt64UInt32(FuncUInt64Int32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt64UInt32(Int32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt64UInt32(FuncInt32Int32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt64UInt32(Int32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt64UInt32(FuncStringInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt64UInt32(Int32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt64UInt32(FuncUInt32Int32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt64UInt32(Int32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt64UInt32(FuncIntPtrInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt64IntPtr(Int32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt64IntPtr(ActionInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt64IntPtr(Int32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt64IntPtr(FuncUInt64Int32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt64IntPtr(Int32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt64IntPtr(FuncInt32Int32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt64IntPtr(Int32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt64IntPtr(FuncStringInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt64IntPtr(Int32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt64IntPtr(FuncUInt32Int32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt64IntPtr(Int32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt64IntPtr(FuncIntPtrInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32Int32UInt64(Int32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32Int32UInt64(ActionInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32Int32UInt64(Int32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32Int32UInt64(FuncUInt64Int32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32Int32UInt64(Int32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32Int32UInt64(FuncInt32Int32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32Int32UInt64(Int32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32Int32UInt64(FuncStringInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32Int32UInt64(Int32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32Int32UInt64(FuncUInt32Int32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32Int32UInt64(Int32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32Int32UInt64(FuncIntPtrInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32Int32Int32(Int32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32Int32Int32(ActionInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32Int32Int32(Int32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32Int32Int32(FuncUInt64Int32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32Int32Int32(Int32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32Int32Int32(FuncInt32Int32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32Int32Int32(Int32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32Int32Int32(FuncStringInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32Int32Int32(Int32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32Int32Int32(FuncUInt32Int32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32Int32Int32(Int32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32Int32Int32(FuncIntPtrInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32Int32String(Int32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32Int32String(ActionInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32Int32String(Int32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32Int32String(FuncUInt64Int32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32Int32String(Int32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32Int32String(FuncInt32Int32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32Int32String(Int32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32Int32String(FuncStringInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32Int32String(Int32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32Int32String(FuncUInt32Int32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32Int32String(Int32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32Int32String(FuncIntPtrInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32Int32UInt32(Int32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32Int32UInt32(ActionInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32Int32UInt32(Int32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32Int32UInt32(FuncUInt64Int32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32Int32UInt32(Int32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32Int32UInt32(FuncInt32Int32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32Int32UInt32(Int32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32Int32UInt32(FuncStringInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32Int32UInt32(Int32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32Int32UInt32(FuncUInt32Int32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32Int32UInt32(Int32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32Int32UInt32(FuncIntPtrInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32Int32IntPtr(Int32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32Int32IntPtr(ActionInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32Int32IntPtr(Int32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32Int32IntPtr(FuncUInt64Int32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32Int32IntPtr(Int32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32Int32IntPtr(FuncInt32Int32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32Int32IntPtr(Int32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32Int32IntPtr(FuncStringInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32Int32IntPtr(Int32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32Int32IntPtr(FuncUInt32Int32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32Int32IntPtr(Int32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32Int32IntPtr(FuncIntPtrInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32StringUInt64(Int32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32StringUInt64(ActionInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32StringUInt64(Int32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32StringUInt64(FuncUInt64Int32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32StringUInt64(Int32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32StringUInt64(FuncInt32Int32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32StringUInt64(Int32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32StringUInt64(FuncStringInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32StringUInt64(Int32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32StringUInt64(FuncUInt32Int32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32StringUInt64(Int32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32StringUInt64(FuncIntPtrInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32StringInt32(Int32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32StringInt32(ActionInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32StringInt32(Int32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32StringInt32(FuncUInt64Int32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32StringInt32(Int32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32StringInt32(FuncInt32Int32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32StringInt32(Int32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32StringInt32(FuncStringInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32StringInt32(Int32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32StringInt32(FuncUInt32Int32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32StringInt32(Int32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32StringInt32(FuncIntPtrInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32StringString(Int32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32StringString(ActionInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32StringString(Int32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32StringString(FuncUInt64Int32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32StringString(Int32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32StringString(FuncInt32Int32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32StringString(Int32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32StringString(FuncStringInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32StringString(Int32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32StringString(FuncUInt32Int32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32StringString(Int32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32StringString(FuncIntPtrInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32StringUInt32(Int32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32StringUInt32(ActionInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32StringUInt32(Int32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32StringUInt32(FuncUInt64Int32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32StringUInt32(Int32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32StringUInt32(FuncInt32Int32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32StringUInt32(Int32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32StringUInt32(FuncStringInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32StringUInt32(Int32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32StringUInt32(FuncUInt32Int32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32StringUInt32(Int32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32StringUInt32(FuncIntPtrInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32StringIntPtr(Int32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32StringIntPtr(ActionInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32StringIntPtr(Int32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32StringIntPtr(FuncUInt64Int32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32StringIntPtr(Int32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32StringIntPtr(FuncInt32Int32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32StringIntPtr(Int32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32StringIntPtr(FuncStringInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32StringIntPtr(Int32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32StringIntPtr(FuncUInt32Int32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32StringIntPtr(Int32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32StringIntPtr(FuncIntPtrInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt32UInt64(Int32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt32UInt64(ActionInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt32UInt64(Int32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt32UInt64(FuncUInt64Int32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt32UInt64(Int32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt32UInt64(FuncInt32Int32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt32UInt64(Int32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt32UInt64(FuncStringInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt32UInt64(Int32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt32UInt64(FuncUInt32Int32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt32UInt64(Int32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt32UInt64(FuncIntPtrInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt32Int32(Int32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt32Int32(ActionInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt32Int32(Int32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt32Int32(FuncUInt64Int32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt32Int32(Int32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt32Int32(FuncInt32Int32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt32Int32(Int32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt32Int32(FuncStringInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt32Int32(Int32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt32Int32(FuncUInt32Int32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt32Int32(Int32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt32Int32(FuncIntPtrInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt32String(Int32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt32String(ActionInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt32String(Int32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt32String(FuncUInt64Int32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt32String(Int32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt32String(FuncInt32Int32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt32String(Int32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt32String(FuncStringInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt32String(Int32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt32String(FuncUInt32Int32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt32String(Int32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt32String(FuncIntPtrInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt32UInt32(ActionInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt32UInt32(FuncUInt64Int32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt32UInt32(FuncInt32Int32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt32UInt32(FuncStringInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt32UInt32(FuncUInt32Int32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt32UInt32(Int32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt32UInt32(FuncIntPtrInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32UInt32IntPtr(Int32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32UInt32IntPtr(ActionInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32UInt32IntPtr(Int32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32UInt32IntPtr(FuncUInt64Int32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32UInt32IntPtr(Int32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32UInt32IntPtr(FuncInt32Int32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32UInt32IntPtr(Int32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32UInt32IntPtr(FuncStringInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32UInt32IntPtr(Int32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32UInt32IntPtr(FuncUInt32Int32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32UInt32IntPtr(Int32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32UInt32IntPtr(FuncIntPtrInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32IntPtrUInt64(Int32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32IntPtrUInt64(ActionInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32IntPtrUInt64(Int32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32IntPtrUInt64(FuncUInt64Int32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32IntPtrUInt64(Int32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32IntPtrUInt64(FuncInt32Int32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32IntPtrUInt64(Int32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32IntPtrUInt64(FuncStringInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32IntPtrUInt64(Int32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32IntPtrUInt64(FuncUInt32Int32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32IntPtrUInt64(Int32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32IntPtrUInt64(FuncIntPtrInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32IntPtrInt32(Int32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32IntPtrInt32(ActionInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32IntPtrInt32(Int32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32IntPtrInt32(FuncUInt64Int32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32IntPtrInt32(Int32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32IntPtrInt32(FuncInt32Int32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32IntPtrInt32(Int32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32IntPtrInt32(FuncStringInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32IntPtrInt32(Int32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32IntPtrInt32(FuncUInt32Int32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32IntPtrInt32(Int32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32IntPtrInt32(FuncIntPtrInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32IntPtrString(Int32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32IntPtrString(ActionInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32IntPtrString(Int32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32IntPtrString(FuncUInt64Int32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32IntPtrString(Int32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32IntPtrString(FuncInt32Int32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32IntPtrString(Int32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32IntPtrString(FuncStringInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32IntPtrString(Int32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32IntPtrString(FuncUInt32Int32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32IntPtrString(Int32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32IntPtrString(FuncIntPtrInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32IntPtrUInt32(Int32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32IntPtrUInt32(ActionInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32IntPtrUInt32(Int32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32IntPtrUInt32(FuncUInt64Int32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32IntPtrUInt32(Int32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32IntPtrUInt32(FuncInt32Int32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32IntPtrUInt32(Int32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32IntPtrUInt32(FuncStringInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32IntPtrUInt32(Int32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32IntPtrUInt32(FuncUInt32Int32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32IntPtrUInt32(Int32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32IntPtrUInt32(FuncIntPtrInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32UInt32IntPtrIntPtr(Int32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32UInt32IntPtrIntPtr(ActionInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32UInt32IntPtrIntPtr(Int32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32UInt32IntPtrIntPtr(FuncUInt64Int32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32UInt32IntPtrIntPtr(Int32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32UInt32IntPtrIntPtr(FuncInt32Int32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32UInt32IntPtrIntPtr(Int32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32UInt32IntPtrIntPtr(FuncStringInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32UInt32IntPtrIntPtr(Int32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32UInt32IntPtrIntPtr(FuncUInt32Int32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32UInt32IntPtrIntPtr(Int32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32UInt32IntPtrIntPtr(FuncIntPtrInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt64UInt64(Int32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt64UInt64(ActionInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt64UInt64(Int32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt64UInt64(FuncUInt64Int32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt64UInt64(Int32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt64UInt64(FuncInt32Int32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt64UInt64(Int32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt64UInt64(FuncStringInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt64UInt64(Int32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt64UInt64(FuncUInt32Int32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt64UInt64(Int32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt64UInt64(FuncIntPtrInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt64Int32(Int32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt64Int32(ActionInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt64Int32(Int32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt64Int32(FuncUInt64Int32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt64Int32(Int32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt64Int32(FuncInt32Int32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt64Int32(Int32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt64Int32(FuncStringInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt64Int32(Int32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt64Int32(FuncUInt32Int32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt64Int32(Int32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt64Int32(FuncIntPtrInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt64String(Int32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt64String(ActionInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt64String(Int32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt64String(FuncUInt64Int32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt64String(Int32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt64String(FuncInt32Int32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt64String(Int32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt64String(FuncStringInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt64String(Int32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt64String(FuncUInt32Int32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt64String(Int32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt64String(FuncIntPtrInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt64UInt32(Int32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt64UInt32(ActionInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt64UInt32(Int32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt64UInt32(FuncUInt64Int32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt64UInt32(Int32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt64UInt32(FuncInt32Int32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt64UInt32(Int32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt64UInt32(FuncStringInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt64UInt32(Int32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt64UInt32(FuncUInt32Int32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt64UInt32(Int32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt64UInt32(FuncIntPtrInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt64IntPtr(Int32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt64IntPtr(ActionInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt64IntPtr(Int32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt64IntPtr(FuncUInt64Int32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt64IntPtr(Int32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt64IntPtr(FuncInt32Int32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt64IntPtr(Int32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt64IntPtr(FuncStringInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt64IntPtr(Int32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt64IntPtr(FuncUInt32Int32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt64IntPtr(Int32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt64IntPtr(FuncIntPtrInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrInt32UInt64(Int32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrInt32UInt64(ActionInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrInt32UInt64(Int32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrInt32UInt64(FuncUInt64Int32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrInt32UInt64(Int32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrInt32UInt64(FuncInt32Int32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrInt32UInt64(Int32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrInt32UInt64(FuncStringInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrInt32UInt64(Int32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrInt32UInt64(FuncUInt32Int32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrInt32UInt64(Int32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrInt32UInt64(FuncIntPtrInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrInt32Int32(Int32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrInt32Int32(ActionInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrInt32Int32(Int32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrInt32Int32(FuncUInt64Int32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrInt32Int32(Int32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrInt32Int32(FuncInt32Int32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrInt32Int32(Int32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrInt32Int32(FuncStringInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrInt32Int32(Int32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrInt32Int32(FuncUInt32Int32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrInt32Int32(Int32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrInt32Int32(FuncIntPtrInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrInt32String(Int32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrInt32String(ActionInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrInt32String(Int32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrInt32String(FuncUInt64Int32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrInt32String(Int32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrInt32String(FuncInt32Int32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrInt32String(Int32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrInt32String(FuncStringInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrInt32String(Int32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrInt32String(FuncUInt32Int32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrInt32String(Int32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrInt32String(FuncIntPtrInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrInt32UInt32(Int32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrInt32UInt32(ActionInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrInt32UInt32(Int32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrInt32UInt32(FuncUInt64Int32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrInt32UInt32(Int32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrInt32UInt32(FuncInt32Int32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrInt32UInt32(Int32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrInt32UInt32(FuncStringInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrInt32UInt32(Int32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrInt32UInt32(FuncUInt32Int32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrInt32UInt32(Int32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrInt32UInt32(FuncIntPtrInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrInt32IntPtr(Int32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrInt32IntPtr(ActionInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrInt32IntPtr(Int32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrInt32IntPtr(FuncUInt64Int32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrInt32IntPtr(Int32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrInt32IntPtr(FuncInt32Int32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrInt32IntPtr(Int32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrInt32IntPtr(FuncStringInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrInt32IntPtr(Int32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrInt32IntPtr(FuncUInt32Int32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrInt32IntPtr(Int32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrInt32IntPtr(FuncIntPtrInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrStringUInt64(Int32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrStringUInt64(ActionInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrStringUInt64(Int32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrStringUInt64(FuncUInt64Int32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrStringUInt64(Int32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrStringUInt64(FuncInt32Int32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrStringUInt64(Int32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrStringUInt64(FuncStringInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrStringUInt64(Int32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrStringUInt64(FuncUInt32Int32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrStringUInt64(Int32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrStringUInt64(FuncIntPtrInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrStringInt32(Int32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrStringInt32(ActionInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrStringInt32(Int32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrStringInt32(FuncUInt64Int32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrStringInt32(Int32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrStringInt32(FuncInt32Int32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrStringInt32(Int32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrStringInt32(FuncStringInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrStringInt32(Int32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrStringInt32(FuncUInt32Int32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrStringInt32(Int32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrStringInt32(FuncIntPtrInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrStringString(Int32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrStringString(ActionInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrStringString(Int32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrStringString(FuncUInt64Int32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrStringString(Int32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrStringString(FuncInt32Int32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrStringString(Int32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrStringString(FuncStringInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrStringString(Int32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrStringString(FuncUInt32Int32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrStringString(Int32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrStringString(FuncIntPtrInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrStringUInt32(Int32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrStringUInt32(ActionInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrStringUInt32(Int32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrStringUInt32(FuncUInt64Int32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrStringUInt32(Int32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrStringUInt32(FuncInt32Int32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrStringUInt32(Int32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrStringUInt32(FuncStringInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrStringUInt32(Int32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrStringUInt32(FuncUInt32Int32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrStringUInt32(Int32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrStringUInt32(FuncIntPtrInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrStringIntPtr(Int32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrStringIntPtr(ActionInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrStringIntPtr(Int32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrStringIntPtr(FuncUInt64Int32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrStringIntPtr(Int32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrStringIntPtr(FuncInt32Int32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrStringIntPtr(Int32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrStringIntPtr(FuncStringInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrStringIntPtr(Int32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrStringIntPtr(FuncUInt32Int32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrStringIntPtr(Int32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrStringIntPtr(FuncIntPtrInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt32UInt64(Int32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt32UInt64(ActionInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt32UInt64(Int32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt32UInt64(FuncUInt64Int32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt32UInt64(Int32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt32UInt64(FuncInt32Int32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt32UInt64(Int32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt32UInt64(FuncStringInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt32UInt64(Int32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt32UInt64(FuncUInt32Int32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt32UInt64(Int32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt32UInt64(FuncIntPtrInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt32Int32(Int32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt32Int32(ActionInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt32Int32(Int32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt32Int32(FuncUInt64Int32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt32Int32(Int32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt32Int32(FuncInt32Int32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt32Int32(Int32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt32Int32(FuncStringInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt32Int32(Int32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt32Int32(FuncUInt32Int32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt32Int32(Int32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt32Int32(FuncIntPtrInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt32String(Int32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt32String(ActionInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt32String(Int32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt32String(FuncUInt64Int32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt32String(Int32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt32String(FuncInt32Int32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt32String(Int32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt32String(FuncStringInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt32String(Int32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt32String(FuncUInt32Int32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt32String(Int32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt32String(FuncIntPtrInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt32UInt32(Int32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt32UInt32(ActionInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt32UInt32(Int32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt32UInt32(FuncUInt64Int32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt32UInt32(Int32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt32UInt32(FuncInt32Int32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt32UInt32(Int32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt32UInt32(FuncStringInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt32UInt32(Int32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt32UInt32(FuncUInt32Int32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt32UInt32(Int32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt32UInt32(FuncIntPtrInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrUInt32IntPtr(Int32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrUInt32IntPtr(ActionInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrUInt32IntPtr(Int32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrUInt32IntPtr(FuncUInt64Int32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrUInt32IntPtr(Int32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrUInt32IntPtr(FuncInt32Int32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrUInt32IntPtr(Int32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrUInt32IntPtr(FuncStringInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrUInt32IntPtr(Int32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrUInt32IntPtr(FuncUInt32Int32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrUInt32IntPtr(Int32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrUInt32IntPtr(FuncIntPtrInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrIntPtrUInt64(Int32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrIntPtrUInt64(ActionInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrIntPtrUInt64(Int32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrIntPtrUInt64(FuncUInt64Int32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrIntPtrUInt64(Int32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrIntPtrUInt64(FuncInt32Int32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrIntPtrUInt64(Int32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrIntPtrUInt64(FuncStringInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrIntPtrUInt64(Int32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrIntPtrUInt64(FuncUInt32Int32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrIntPtrUInt64(Int32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrIntPtrUInt64(FuncIntPtrInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrIntPtrInt32(Int32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrIntPtrInt32(ActionInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrIntPtrInt32(Int32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrIntPtrInt32(FuncUInt64Int32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrIntPtrInt32(Int32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrIntPtrInt32(FuncInt32Int32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrIntPtrInt32(Int32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrIntPtrInt32(FuncStringInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrIntPtrInt32(Int32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrIntPtrInt32(FuncUInt32Int32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrIntPtrInt32(Int32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrIntPtrInt32(FuncIntPtrInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrIntPtrString(Int32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrIntPtrString(ActionInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrIntPtrString(Int32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrIntPtrString(FuncUInt64Int32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrIntPtrString(Int32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrIntPtrString(FuncInt32Int32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrIntPtrString(Int32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrIntPtrString(FuncStringInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrIntPtrString(Int32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrIntPtrString(FuncUInt32Int32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrIntPtrString(Int32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrIntPtrString(FuncIntPtrInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrIntPtrUInt32(Int32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrIntPtrUInt32(ActionInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrIntPtrUInt32(Int32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrIntPtrUInt32(FuncUInt64Int32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrIntPtrUInt32(Int32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrIntPtrUInt32(FuncInt32Int32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrIntPtrUInt32(Int32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrIntPtrUInt32(FuncStringInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrIntPtrUInt32(Int32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrIntPtrUInt32(FuncUInt32Int32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrIntPtrUInt32(Int32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrIntPtrUInt32(FuncIntPtrInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionInt32IntPtrIntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionInt32IntPtrIntPtrIntPtr(ActionInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64Int32IntPtrIntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64Int32IntPtrIntPtrIntPtr(FuncUInt64Int32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32Int32IntPtrIntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32Int32IntPtrIntPtrIntPtr(FuncInt32Int32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringInt32IntPtrIntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringInt32IntPtrIntPtrIntPtr(FuncStringInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32Int32IntPtrIntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32Int32IntPtrIntPtrIntPtr(FuncUInt32Int32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrInt32IntPtrIntPtrIntPtr(Int32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrInt32IntPtrIntPtrIntPtr(FuncIntPtrInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt64UInt64(String param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt64UInt64(ActionStringUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt64UInt64(String param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt64UInt64(FuncUInt64StringUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt64UInt64(String param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt64UInt64(FuncInt32StringUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt64UInt64(String param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt64UInt64(FuncStringStringUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt64UInt64(String param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt64UInt64(FuncUInt32StringUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt64UInt64(String param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt64UInt64(FuncIntPtrStringUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt64Int32(String param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt64Int32(ActionStringUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt64Int32(String param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt64Int32(FuncUInt64StringUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt64Int32(String param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt64Int32(FuncInt32StringUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt64Int32(String param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt64Int32(FuncStringStringUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt64Int32(String param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt64Int32(FuncUInt32StringUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt64Int32(String param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt64Int32(FuncIntPtrStringUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt64String(String param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt64String(ActionStringUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt64String(String param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt64String(FuncUInt64StringUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt64String(String param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt64String(FuncInt32StringUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt64String(String param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt64String(FuncStringStringUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt64String(String param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt64String(FuncUInt32StringUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt64String(String param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt64String(FuncIntPtrStringUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt64UInt32(String param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt64UInt32(ActionStringUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt64UInt32(String param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt64UInt32(FuncUInt64StringUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt64UInt32(String param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt64UInt32(FuncInt32StringUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt64UInt32(String param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt64UInt32(FuncStringStringUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt64UInt32(String param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt64UInt32(FuncUInt32StringUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt64UInt32(String param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt64UInt32(FuncIntPtrStringUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt64IntPtr(String param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt64IntPtr(ActionStringUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt64IntPtr(String param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt64IntPtr(FuncUInt64StringUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt64IntPtr(String param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt64IntPtr(FuncInt32StringUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt64IntPtr(String param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt64IntPtr(FuncStringStringUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt64IntPtr(String param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt64IntPtr(FuncUInt32StringUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt64IntPtr(String param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt64IntPtr(FuncIntPtrStringUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64Int32UInt64(String param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64Int32UInt64(ActionStringUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64Int32UInt64(String param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64Int32UInt64(FuncUInt64StringUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64Int32UInt64(String param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64Int32UInt64(FuncInt32StringUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64Int32UInt64(String param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64Int32UInt64(FuncStringStringUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64Int32UInt64(String param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64Int32UInt64(FuncUInt32StringUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64Int32UInt64(String param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64Int32UInt64(FuncIntPtrStringUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64Int32Int32(String param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64Int32Int32(ActionStringUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64Int32Int32(String param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64Int32Int32(FuncUInt64StringUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64Int32Int32(String param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64Int32Int32(FuncInt32StringUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64Int32Int32(String param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64Int32Int32(FuncStringStringUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64Int32Int32(String param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64Int32Int32(FuncUInt32StringUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64Int32Int32(String param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64Int32Int32(FuncIntPtrStringUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64Int32String(String param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64Int32String(ActionStringUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64Int32String(String param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64Int32String(FuncUInt64StringUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64Int32String(String param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64Int32String(FuncInt32StringUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64Int32String(String param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64Int32String(FuncStringStringUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64Int32String(String param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64Int32String(FuncUInt32StringUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64Int32String(String param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64Int32String(FuncIntPtrStringUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64Int32UInt32(String param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64Int32UInt32(ActionStringUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64Int32UInt32(String param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64Int32UInt32(FuncUInt64StringUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64Int32UInt32(String param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64Int32UInt32(FuncInt32StringUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64Int32UInt32(String param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64Int32UInt32(FuncStringStringUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64Int32UInt32(String param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64Int32UInt32(FuncUInt32StringUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64Int32UInt32(String param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64Int32UInt32(FuncIntPtrStringUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64Int32IntPtr(String param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64Int32IntPtr(ActionStringUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64Int32IntPtr(String param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64Int32IntPtr(FuncUInt64StringUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64Int32IntPtr(String param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64Int32IntPtr(FuncInt32StringUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64Int32IntPtr(String param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64Int32IntPtr(FuncStringStringUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64Int32IntPtr(String param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64Int32IntPtr(FuncUInt32StringUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64Int32IntPtr(String param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64Int32IntPtr(FuncIntPtrStringUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64StringUInt64(String param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64StringUInt64(ActionStringUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64StringUInt64(String param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64StringUInt64(FuncUInt64StringUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64StringUInt64(String param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64StringUInt64(FuncInt32StringUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64StringUInt64(String param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64StringUInt64(FuncStringStringUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64StringUInt64(String param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64StringUInt64(FuncUInt32StringUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64StringUInt64(String param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64StringUInt64(FuncIntPtrStringUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64StringInt32(String param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64StringInt32(ActionStringUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64StringInt32(String param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64StringInt32(FuncUInt64StringUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64StringInt32(String param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64StringInt32(FuncInt32StringUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64StringInt32(String param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64StringInt32(FuncStringStringUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64StringInt32(String param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64StringInt32(FuncUInt32StringUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64StringInt32(String param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64StringInt32(FuncIntPtrStringUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64StringString(String param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64StringString(ActionStringUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64StringString(String param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64StringString(FuncUInt64StringUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64StringString(String param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64StringString(FuncInt32StringUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64StringString(String param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64StringString(FuncStringStringUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64StringString(String param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64StringString(FuncUInt32StringUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64StringString(String param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64StringString(FuncIntPtrStringUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64StringUInt32(String param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64StringUInt32(ActionStringUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64StringUInt32(String param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64StringUInt32(FuncUInt64StringUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64StringUInt32(String param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64StringUInt32(FuncInt32StringUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64StringUInt32(String param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64StringUInt32(FuncStringStringUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64StringUInt32(String param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64StringUInt32(FuncUInt32StringUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64StringUInt32(String param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64StringUInt32(FuncIntPtrStringUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64StringIntPtr(String param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64StringIntPtr(ActionStringUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64StringIntPtr(String param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64StringIntPtr(FuncUInt64StringUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64StringIntPtr(String param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64StringIntPtr(FuncInt32StringUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64StringIntPtr(String param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64StringIntPtr(FuncStringStringUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64StringIntPtr(String param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64StringIntPtr(FuncUInt32StringUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64StringIntPtr(String param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64StringIntPtr(FuncIntPtrStringUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt32UInt64(String param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt32UInt64(ActionStringUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt32UInt64(String param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt32UInt64(FuncUInt64StringUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt32UInt64(String param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt32UInt64(FuncInt32StringUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt32UInt64(String param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt32UInt64(FuncStringStringUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt32UInt64(String param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt32UInt64(FuncUInt32StringUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt32UInt64(String param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt32UInt64(FuncIntPtrStringUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt32Int32(String param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt32Int32(ActionStringUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt32Int32(String param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt32Int32(FuncUInt64StringUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt32Int32(String param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt32Int32(FuncInt32StringUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt32Int32(String param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt32Int32(FuncStringStringUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt32Int32(String param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt32Int32(FuncUInt32StringUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt32Int32(String param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt32Int32(FuncIntPtrStringUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt32String(String param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt32String(ActionStringUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt32String(String param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt32String(FuncUInt64StringUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt32String(String param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt32String(FuncInt32StringUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt32String(String param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt32String(FuncStringStringUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt32String(String param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt32String(FuncUInt32StringUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt32String(String param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt32String(FuncIntPtrStringUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt32UInt32(String param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt32UInt32(ActionStringUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt32UInt32(String param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt32UInt32(FuncUInt64StringUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt32UInt32(String param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt32UInt32(FuncInt32StringUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt32UInt32(String param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt32UInt32(FuncStringStringUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt32UInt32(String param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt32UInt32(FuncUInt32StringUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt32UInt32(String param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt32UInt32(FuncIntPtrStringUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64UInt32IntPtr(String param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64UInt32IntPtr(ActionStringUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64UInt32IntPtr(String param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64UInt32IntPtr(FuncUInt64StringUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64UInt32IntPtr(String param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64UInt32IntPtr(FuncInt32StringUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64UInt32IntPtr(String param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64UInt32IntPtr(FuncStringStringUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64UInt32IntPtr(String param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64UInt32IntPtr(FuncUInt32StringUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64UInt32IntPtr(String param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64UInt32IntPtr(FuncIntPtrStringUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64IntPtrUInt64(String param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64IntPtrUInt64(ActionStringUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64IntPtrUInt64(String param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64IntPtrUInt64(FuncUInt64StringUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64IntPtrUInt64(String param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64IntPtrUInt64(FuncInt32StringUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64IntPtrUInt64(String param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64IntPtrUInt64(FuncStringStringUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64IntPtrUInt64(String param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64IntPtrUInt64(FuncUInt32StringUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64IntPtrUInt64(String param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64IntPtrUInt64(FuncIntPtrStringUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64IntPtrInt32(String param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64IntPtrInt32(ActionStringUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64IntPtrInt32(String param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64IntPtrInt32(FuncUInt64StringUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64IntPtrInt32(String param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64IntPtrInt32(FuncInt32StringUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64IntPtrInt32(String param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64IntPtrInt32(FuncStringStringUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64IntPtrInt32(String param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64IntPtrInt32(FuncUInt32StringUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64IntPtrInt32(String param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64IntPtrInt32(FuncIntPtrStringUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64IntPtrString(String param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64IntPtrString(ActionStringUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64IntPtrString(String param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64IntPtrString(FuncUInt64StringUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64IntPtrString(String param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64IntPtrString(FuncInt32StringUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64IntPtrString(String param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64IntPtrString(FuncStringStringUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64IntPtrString(String param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64IntPtrString(FuncUInt32StringUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64IntPtrString(String param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64IntPtrString(FuncIntPtrStringUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64IntPtrUInt32(String param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64IntPtrUInt32(ActionStringUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64IntPtrUInt32(String param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64IntPtrUInt32(FuncUInt64StringUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64IntPtrUInt32(String param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64IntPtrUInt32(FuncInt32StringUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64IntPtrUInt32(String param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64IntPtrUInt32(FuncStringStringUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64IntPtrUInt32(String param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64IntPtrUInt32(FuncUInt32StringUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64IntPtrUInt32(String param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64IntPtrUInt32(FuncIntPtrStringUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt64IntPtrIntPtr(String param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt64IntPtrIntPtr(ActionStringUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt64IntPtrIntPtr(String param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt64IntPtrIntPtr(FuncUInt64StringUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt64IntPtrIntPtr(String param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt64IntPtrIntPtr(FuncInt32StringUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt64IntPtrIntPtr(String param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt64IntPtrIntPtr(FuncStringStringUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt64IntPtrIntPtr(String param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt64IntPtrIntPtr(FuncUInt32StringUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt64IntPtrIntPtr(String param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt64IntPtrIntPtr(FuncIntPtrStringUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt64UInt64(String param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt64UInt64(ActionStringInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt64UInt64(String param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt64UInt64(FuncUInt64StringInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt64UInt64(String param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt64UInt64(FuncInt32StringInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt64UInt64(String param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt64UInt64(FuncStringStringInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt64UInt64(String param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt64UInt64(FuncUInt32StringInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt64UInt64(String param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt64UInt64(FuncIntPtrStringInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt64Int32(String param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt64Int32(ActionStringInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt64Int32(String param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt64Int32(FuncUInt64StringInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt64Int32(String param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt64Int32(FuncInt32StringInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt64Int32(String param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt64Int32(FuncStringStringInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt64Int32(String param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt64Int32(FuncUInt32StringInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt64Int32(String param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt64Int32(FuncIntPtrStringInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt64String(String param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt64String(ActionStringInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt64String(String param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt64String(FuncUInt64StringInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt64String(String param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt64String(FuncInt32StringInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt64String(String param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt64String(FuncStringStringInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt64String(String param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt64String(FuncUInt32StringInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt64String(String param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt64String(FuncIntPtrStringInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt64UInt32(String param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt64UInt32(ActionStringInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt64UInt32(String param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt64UInt32(FuncUInt64StringInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt64UInt32(String param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt64UInt32(FuncInt32StringInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt64UInt32(String param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt64UInt32(FuncStringStringInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt64UInt32(String param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt64UInt32(FuncUInt32StringInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt64UInt32(String param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt64UInt32(FuncIntPtrStringInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt64IntPtr(String param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt64IntPtr(ActionStringInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt64IntPtr(String param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt64IntPtr(FuncUInt64StringInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt64IntPtr(String param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt64IntPtr(FuncInt32StringInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt64IntPtr(String param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt64IntPtr(FuncStringStringInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt64IntPtr(String param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt64IntPtr(FuncUInt32StringInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt64IntPtr(String param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt64IntPtr(FuncIntPtrStringInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32Int32UInt64(String param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32Int32UInt64(ActionStringInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32Int32UInt64(String param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32Int32UInt64(FuncUInt64StringInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32Int32UInt64(String param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32Int32UInt64(FuncInt32StringInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32Int32UInt64(String param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32Int32UInt64(FuncStringStringInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32Int32UInt64(String param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32Int32UInt64(FuncUInt32StringInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32Int32UInt64(String param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32Int32UInt64(FuncIntPtrStringInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32Int32Int32(String param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32Int32Int32(ActionStringInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32Int32Int32(String param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32Int32Int32(FuncUInt64StringInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32Int32Int32(String param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32Int32Int32(FuncInt32StringInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32Int32Int32(String param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32Int32Int32(FuncStringStringInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32Int32Int32(String param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32Int32Int32(FuncUInt32StringInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32Int32Int32(String param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32Int32Int32(FuncIntPtrStringInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32Int32String(String param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32Int32String(ActionStringInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32Int32String(String param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32Int32String(FuncUInt64StringInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32Int32String(String param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32Int32String(FuncInt32StringInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32Int32String(String param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32Int32String(FuncStringStringInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32Int32String(String param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32Int32String(FuncUInt32StringInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32Int32String(String param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32Int32String(FuncIntPtrStringInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32Int32UInt32(String param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32Int32UInt32(ActionStringInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32Int32UInt32(String param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32Int32UInt32(FuncUInt64StringInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32Int32UInt32(String param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32Int32UInt32(FuncInt32StringInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32Int32UInt32(String param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32Int32UInt32(FuncStringStringInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32Int32UInt32(String param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32Int32UInt32(FuncUInt32StringInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32Int32UInt32(String param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32Int32UInt32(FuncIntPtrStringInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32Int32IntPtr(String param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32Int32IntPtr(ActionStringInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32Int32IntPtr(String param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32Int32IntPtr(FuncUInt64StringInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32Int32IntPtr(String param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32Int32IntPtr(FuncInt32StringInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32Int32IntPtr(String param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32Int32IntPtr(FuncStringStringInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32Int32IntPtr(String param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32Int32IntPtr(FuncUInt32StringInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32Int32IntPtr(String param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32Int32IntPtr(FuncIntPtrStringInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32StringUInt64(String param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32StringUInt64(ActionStringInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32StringUInt64(String param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32StringUInt64(FuncUInt64StringInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32StringUInt64(String param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32StringUInt64(FuncInt32StringInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32StringUInt64(String param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32StringUInt64(FuncStringStringInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32StringUInt64(String param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32StringUInt64(FuncUInt32StringInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32StringUInt64(String param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32StringUInt64(FuncIntPtrStringInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32StringInt32(String param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32StringInt32(ActionStringInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32StringInt32(String param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32StringInt32(FuncUInt64StringInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32StringInt32(String param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32StringInt32(FuncInt32StringInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32StringInt32(String param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32StringInt32(FuncStringStringInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32StringInt32(String param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32StringInt32(FuncUInt32StringInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32StringInt32(String param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32StringInt32(FuncIntPtrStringInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32StringString(String param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32StringString(ActionStringInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32StringString(String param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32StringString(FuncUInt64StringInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32StringString(String param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32StringString(FuncInt32StringInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32StringString(String param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32StringString(FuncStringStringInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32StringString(String param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32StringString(FuncUInt32StringInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32StringString(String param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32StringString(FuncIntPtrStringInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32StringUInt32(String param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32StringUInt32(ActionStringInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32StringUInt32(String param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32StringUInt32(FuncUInt64StringInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32StringUInt32(String param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32StringUInt32(FuncInt32StringInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32StringUInt32(String param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32StringUInt32(FuncStringStringInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32StringUInt32(String param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32StringUInt32(FuncUInt32StringInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32StringUInt32(String param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32StringUInt32(FuncIntPtrStringInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32StringIntPtr(String param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32StringIntPtr(ActionStringInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32StringIntPtr(String param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32StringIntPtr(FuncUInt64StringInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32StringIntPtr(String param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32StringIntPtr(FuncInt32StringInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32StringIntPtr(String param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32StringIntPtr(FuncStringStringInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32StringIntPtr(String param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32StringIntPtr(FuncUInt32StringInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32StringIntPtr(String param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32StringIntPtr(FuncIntPtrStringInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt32UInt64(String param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt32UInt64(ActionStringInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt32UInt64(String param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt32UInt64(FuncUInt64StringInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt32UInt64(String param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt32UInt64(FuncInt32StringInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt32UInt64(String param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt32UInt64(FuncStringStringInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt32UInt64(String param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt32UInt64(FuncUInt32StringInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt32UInt64(String param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt32UInt64(FuncIntPtrStringInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt32Int32(String param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt32Int32(ActionStringInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt32Int32(String param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt32Int32(FuncUInt64StringInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt32Int32(String param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt32Int32(FuncInt32StringInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt32Int32(String param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt32Int32(FuncStringStringInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt32Int32(String param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt32Int32(FuncUInt32StringInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt32Int32(String param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt32Int32(FuncIntPtrStringInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt32String(String param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt32String(ActionStringInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt32String(String param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt32String(FuncUInt64StringInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt32String(String param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt32String(FuncInt32StringInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt32String(String param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt32String(FuncStringStringInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt32String(String param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt32String(FuncUInt32StringInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt32String(String param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt32String(FuncIntPtrStringInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt32UInt32(String param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt32UInt32(ActionStringInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt32UInt32(String param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt32UInt32(FuncUInt64StringInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt32UInt32(String param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt32UInt32(FuncInt32StringInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt32UInt32(String param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt32UInt32(FuncStringStringInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt32UInt32(String param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt32UInt32(FuncUInt32StringInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt32UInt32(String param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt32UInt32(FuncIntPtrStringInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32UInt32IntPtr(String param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32UInt32IntPtr(ActionStringInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32UInt32IntPtr(String param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32UInt32IntPtr(FuncUInt64StringInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32UInt32IntPtr(String param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32UInt32IntPtr(FuncInt32StringInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32UInt32IntPtr(String param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32UInt32IntPtr(FuncStringStringInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32UInt32IntPtr(String param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32UInt32IntPtr(FuncUInt32StringInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32UInt32IntPtr(String param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32UInt32IntPtr(FuncIntPtrStringInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32IntPtrUInt64(String param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32IntPtrUInt64(ActionStringInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32IntPtrUInt64(String param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32IntPtrUInt64(FuncUInt64StringInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32IntPtrUInt64(String param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32IntPtrUInt64(FuncInt32StringInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32IntPtrUInt64(String param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32IntPtrUInt64(FuncStringStringInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32IntPtrUInt64(String param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32IntPtrUInt64(FuncUInt32StringInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32IntPtrUInt64(String param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32IntPtrUInt64(FuncIntPtrStringInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32IntPtrInt32(String param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32IntPtrInt32(ActionStringInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32IntPtrInt32(String param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32IntPtrInt32(FuncUInt64StringInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32IntPtrInt32(String param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32IntPtrInt32(FuncInt32StringInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32IntPtrInt32(String param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32IntPtrInt32(FuncStringStringInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32IntPtrInt32(String param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32IntPtrInt32(FuncUInt32StringInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32IntPtrInt32(String param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32IntPtrInt32(FuncIntPtrStringInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32IntPtrString(String param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32IntPtrString(ActionStringInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32IntPtrString(String param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32IntPtrString(FuncUInt64StringInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32IntPtrString(String param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32IntPtrString(FuncInt32StringInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32IntPtrString(String param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32IntPtrString(FuncStringStringInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32IntPtrString(String param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32IntPtrString(FuncUInt32StringInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32IntPtrString(String param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32IntPtrString(FuncIntPtrStringInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32IntPtrUInt32(String param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32IntPtrUInt32(ActionStringInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32IntPtrUInt32(String param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32IntPtrUInt32(FuncUInt64StringInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32IntPtrUInt32(String param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32IntPtrUInt32(FuncInt32StringInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32IntPtrUInt32(String param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32IntPtrUInt32(FuncStringStringInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32IntPtrUInt32(String param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32IntPtrUInt32(FuncUInt32StringInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32IntPtrUInt32(String param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32IntPtrUInt32(FuncIntPtrStringInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringInt32IntPtrIntPtr(String param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringInt32IntPtrIntPtr(ActionStringInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringInt32IntPtrIntPtr(String param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringInt32IntPtrIntPtr(FuncUInt64StringInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringInt32IntPtrIntPtr(String param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringInt32IntPtrIntPtr(FuncInt32StringInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringInt32IntPtrIntPtr(String param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringInt32IntPtrIntPtr(FuncStringStringInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringInt32IntPtrIntPtr(String param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringInt32IntPtrIntPtr(FuncUInt32StringInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringInt32IntPtrIntPtr(String param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringInt32IntPtrIntPtr(FuncIntPtrStringInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt64UInt64(String param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt64UInt64(ActionStringStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt64UInt64(String param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt64UInt64(FuncUInt64StringStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt64UInt64(String param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt64UInt64(FuncInt32StringStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt64UInt64(String param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt64UInt64(FuncStringStringStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt64UInt64(String param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt64UInt64(FuncUInt32StringStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt64UInt64(String param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt64UInt64(FuncIntPtrStringStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt64Int32(String param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt64Int32(ActionStringStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt64Int32(String param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt64Int32(FuncUInt64StringStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt64Int32(String param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt64Int32(FuncInt32StringStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt64Int32(String param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt64Int32(FuncStringStringStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt64Int32(String param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt64Int32(FuncUInt32StringStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt64Int32(String param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt64Int32(FuncIntPtrStringStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt64String(String param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt64String(ActionStringStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt64String(String param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt64String(FuncUInt64StringStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt64String(String param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt64String(FuncInt32StringStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt64String(String param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt64String(FuncStringStringStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt64String(String param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt64String(FuncUInt32StringStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt64String(String param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt64String(FuncIntPtrStringStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt64UInt32(String param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt64UInt32(ActionStringStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt64UInt32(String param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt64UInt32(FuncUInt64StringStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt64UInt32(String param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt64UInt32(FuncInt32StringStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt64UInt32(String param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt64UInt32(FuncStringStringStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt64UInt32(String param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt64UInt32(FuncUInt32StringStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt64UInt32(String param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt64UInt32(FuncIntPtrStringStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt64IntPtr(String param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt64IntPtr(ActionStringStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt64IntPtr(String param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt64IntPtr(FuncUInt64StringStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt64IntPtr(String param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt64IntPtr(FuncInt32StringStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt64IntPtr(String param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt64IntPtr(FuncStringStringStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt64IntPtr(String param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt64IntPtr(FuncUInt32StringStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt64IntPtr(String param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt64IntPtr(FuncIntPtrStringStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringInt32UInt64(String param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringInt32UInt64(ActionStringStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringInt32UInt64(String param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringInt32UInt64(FuncUInt64StringStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringInt32UInt64(String param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringInt32UInt64(FuncInt32StringStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringInt32UInt64(String param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringInt32UInt64(FuncStringStringStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringInt32UInt64(String param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringInt32UInt64(FuncUInt32StringStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringInt32UInt64(String param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringInt32UInt64(FuncIntPtrStringStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringInt32Int32(String param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringInt32Int32(ActionStringStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringInt32Int32(String param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringInt32Int32(FuncUInt64StringStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringInt32Int32(String param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringInt32Int32(FuncInt32StringStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringInt32Int32(String param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringInt32Int32(FuncStringStringStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringInt32Int32(String param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringInt32Int32(FuncUInt32StringStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringInt32Int32(String param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringInt32Int32(FuncIntPtrStringStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringInt32String(String param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringInt32String(ActionStringStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringInt32String(String param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringInt32String(FuncUInt64StringStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringInt32String(String param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringInt32String(FuncInt32StringStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringInt32String(String param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringInt32String(FuncStringStringStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringInt32String(String param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringInt32String(FuncUInt32StringStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringInt32String(String param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringInt32String(FuncIntPtrStringStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringInt32UInt32(String param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringInt32UInt32(ActionStringStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringInt32UInt32(String param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringInt32UInt32(FuncUInt64StringStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringInt32UInt32(String param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringInt32UInt32(FuncInt32StringStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringInt32UInt32(String param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringInt32UInt32(FuncStringStringStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringInt32UInt32(String param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringInt32UInt32(FuncUInt32StringStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringInt32UInt32(String param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringInt32UInt32(FuncIntPtrStringStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringInt32IntPtr(String param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringInt32IntPtr(ActionStringStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringInt32IntPtr(String param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringInt32IntPtr(FuncUInt64StringStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringInt32IntPtr(String param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringInt32IntPtr(FuncInt32StringStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringInt32IntPtr(String param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringInt32IntPtr(FuncStringStringStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringInt32IntPtr(String param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringInt32IntPtr(FuncUInt32StringStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringInt32IntPtr(String param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringInt32IntPtr(FuncIntPtrStringStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringStringUInt64(String param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringStringUInt64(ActionStringStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringStringUInt64(String param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringStringUInt64(FuncUInt64StringStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringStringUInt64(String param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringStringUInt64(FuncInt32StringStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringStringUInt64(String param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringStringUInt64(FuncStringStringStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringStringUInt64(String param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringStringUInt64(FuncUInt32StringStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringStringUInt64(String param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringStringUInt64(FuncIntPtrStringStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringStringInt32(String param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringStringInt32(ActionStringStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringStringInt32(String param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringStringInt32(FuncUInt64StringStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringStringInt32(String param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringStringInt32(FuncInt32StringStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringStringInt32(String param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringStringInt32(FuncStringStringStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringStringInt32(String param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringStringInt32(FuncUInt32StringStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringStringInt32(String param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringStringInt32(FuncIntPtrStringStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringStringString(String param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringStringString(ActionStringStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringStringString(String param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringStringString(FuncUInt64StringStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringStringString(String param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringStringString(FuncInt32StringStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringStringString(String param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringStringString(FuncStringStringStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringStringString(String param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringStringString(FuncUInt32StringStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringStringString(String param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringStringString(FuncIntPtrStringStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringStringUInt32(String param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringStringUInt32(ActionStringStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringStringUInt32(String param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringStringUInt32(FuncUInt64StringStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringStringUInt32(String param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringStringUInt32(FuncInt32StringStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringStringUInt32(String param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringStringUInt32(FuncStringStringStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringStringUInt32(String param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringStringUInt32(FuncUInt32StringStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringStringUInt32(String param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringStringUInt32(FuncIntPtrStringStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringStringIntPtr(String param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringStringIntPtr(ActionStringStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringStringIntPtr(String param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringStringIntPtr(FuncUInt64StringStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringStringIntPtr(String param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringStringIntPtr(FuncInt32StringStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringStringIntPtr(String param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringStringIntPtr(FuncStringStringStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringStringIntPtr(String param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringStringIntPtr(FuncUInt32StringStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringStringIntPtr(String param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringStringIntPtr(FuncIntPtrStringStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt32UInt64(String param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt32UInt64(ActionStringStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt32UInt64(String param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt32UInt64(FuncUInt64StringStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt32UInt64(String param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt32UInt64(FuncInt32StringStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt32UInt64(String param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt32UInt64(FuncStringStringStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt32UInt64(String param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt32UInt64(FuncUInt32StringStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt32UInt64(String param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt32UInt64(FuncIntPtrStringStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt32Int32(String param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt32Int32(ActionStringStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt32Int32(String param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt32Int32(FuncUInt64StringStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt32Int32(String param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt32Int32(FuncInt32StringStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt32Int32(String param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt32Int32(FuncStringStringStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt32Int32(String param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt32Int32(FuncUInt32StringStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt32Int32(String param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt32Int32(FuncIntPtrStringStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt32String(String param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt32String(ActionStringStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt32String(String param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt32String(FuncUInt64StringStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt32String(String param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt32String(FuncInt32StringStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt32String(String param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt32String(FuncStringStringStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt32String(String param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt32String(FuncUInt32StringStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt32String(String param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt32String(FuncIntPtrStringStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt32UInt32(String param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt32UInt32(ActionStringStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt32UInt32(String param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt32UInt32(FuncUInt64StringStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt32UInt32(String param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt32UInt32(FuncInt32StringStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt32UInt32(String param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt32UInt32(FuncStringStringStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt32UInt32(String param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt32UInt32(FuncUInt32StringStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt32UInt32(String param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt32UInt32(FuncIntPtrStringStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringUInt32IntPtr(String param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringUInt32IntPtr(ActionStringStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringUInt32IntPtr(String param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringUInt32IntPtr(FuncUInt64StringStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringUInt32IntPtr(String param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringUInt32IntPtr(FuncInt32StringStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringUInt32IntPtr(String param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringUInt32IntPtr(FuncStringStringStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringUInt32IntPtr(String param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringUInt32IntPtr(FuncUInt32StringStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringUInt32IntPtr(String param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringUInt32IntPtr(FuncIntPtrStringStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringIntPtrUInt64(String param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringIntPtrUInt64(ActionStringStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringIntPtrUInt64(String param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringIntPtrUInt64(FuncUInt64StringStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringIntPtrUInt64(String param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringIntPtrUInt64(FuncInt32StringStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringIntPtrUInt64(String param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringIntPtrUInt64(FuncStringStringStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringIntPtrUInt64(String param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringIntPtrUInt64(FuncUInt32StringStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringIntPtrUInt64(String param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringIntPtrUInt64(FuncIntPtrStringStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringIntPtrInt32(String param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringIntPtrInt32(ActionStringStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringIntPtrInt32(String param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringIntPtrInt32(FuncUInt64StringStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringIntPtrInt32(String param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringIntPtrInt32(FuncInt32StringStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringIntPtrInt32(String param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringIntPtrInt32(FuncStringStringStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringIntPtrInt32(String param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringIntPtrInt32(FuncUInt32StringStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringIntPtrInt32(String param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringIntPtrInt32(FuncIntPtrStringStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringIntPtrString(String param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringIntPtrString(ActionStringStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringIntPtrString(String param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringIntPtrString(FuncUInt64StringStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringIntPtrString(String param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringIntPtrString(FuncInt32StringStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringIntPtrString(String param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringIntPtrString(FuncStringStringStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringIntPtrString(String param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringIntPtrString(FuncUInt32StringStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringIntPtrString(String param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringIntPtrString(FuncIntPtrStringStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringIntPtrUInt32(String param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringIntPtrUInt32(ActionStringStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringIntPtrUInt32(String param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringIntPtrUInt32(FuncUInt64StringStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringIntPtrUInt32(String param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringIntPtrUInt32(FuncInt32StringStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringIntPtrUInt32(String param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringIntPtrUInt32(FuncStringStringStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringIntPtrUInt32(String param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringIntPtrUInt32(FuncUInt32StringStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringIntPtrUInt32(String param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringIntPtrUInt32(FuncIntPtrStringStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringStringIntPtrIntPtr(String param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringStringIntPtrIntPtr(ActionStringStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringStringIntPtrIntPtr(String param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringStringIntPtrIntPtr(FuncUInt64StringStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringStringIntPtrIntPtr(String param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringStringIntPtrIntPtr(FuncInt32StringStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringStringIntPtrIntPtr(String param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringStringIntPtrIntPtr(FuncStringStringStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringStringIntPtrIntPtr(String param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringStringIntPtrIntPtr(FuncUInt32StringStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringStringIntPtrIntPtr(String param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringStringIntPtrIntPtr(FuncIntPtrStringStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt64UInt64(String param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt64UInt64(ActionStringUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt64UInt64(String param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt64UInt64(FuncUInt64StringUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt64UInt64(String param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt64UInt64(FuncInt32StringUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt64UInt64(String param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt64UInt64(FuncStringStringUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt64UInt64(String param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt64UInt64(FuncUInt32StringUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt64UInt64(String param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt64UInt64(FuncIntPtrStringUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt64Int32(String param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt64Int32(ActionStringUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt64Int32(String param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt64Int32(FuncUInt64StringUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt64Int32(String param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt64Int32(FuncInt32StringUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt64Int32(String param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt64Int32(FuncStringStringUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt64Int32(String param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt64Int32(FuncUInt32StringUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt64Int32(String param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt64Int32(FuncIntPtrStringUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt64String(String param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt64String(ActionStringUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt64String(String param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt64String(FuncUInt64StringUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt64String(String param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt64String(FuncInt32StringUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt64String(String param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt64String(FuncStringStringUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt64String(String param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt64String(FuncUInt32StringUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt64String(String param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt64String(FuncIntPtrStringUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt64UInt32(String param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt64UInt32(ActionStringUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt64UInt32(String param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt64UInt32(FuncUInt64StringUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt64UInt32(String param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt64UInt32(FuncInt32StringUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt64UInt32(String param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt64UInt32(FuncStringStringUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt64UInt32(String param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt64UInt32(FuncUInt32StringUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt64UInt32(String param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt64UInt32(FuncIntPtrStringUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt64IntPtr(String param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt64IntPtr(ActionStringUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt64IntPtr(String param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt64IntPtr(FuncUInt64StringUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt64IntPtr(String param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt64IntPtr(FuncInt32StringUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt64IntPtr(String param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt64IntPtr(FuncStringStringUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt64IntPtr(String param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt64IntPtr(FuncUInt32StringUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt64IntPtr(String param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt64IntPtr(FuncIntPtrStringUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32Int32UInt64(String param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32Int32UInt64(ActionStringUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32Int32UInt64(String param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32Int32UInt64(FuncUInt64StringUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32Int32UInt64(String param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32Int32UInt64(FuncInt32StringUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32Int32UInt64(String param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32Int32UInt64(FuncStringStringUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32Int32UInt64(String param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32Int32UInt64(FuncUInt32StringUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32Int32UInt64(String param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32Int32UInt64(FuncIntPtrStringUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32Int32Int32(String param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32Int32Int32(ActionStringUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32Int32Int32(String param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32Int32Int32(FuncUInt64StringUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32Int32Int32(String param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32Int32Int32(FuncInt32StringUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32Int32Int32(String param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32Int32Int32(FuncStringStringUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32Int32Int32(String param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32Int32Int32(FuncUInt32StringUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32Int32Int32(String param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32Int32Int32(FuncIntPtrStringUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32Int32String(String param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32Int32String(ActionStringUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32Int32String(String param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32Int32String(FuncUInt64StringUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32Int32String(String param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32Int32String(FuncInt32StringUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32Int32String(String param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32Int32String(FuncStringStringUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32Int32String(String param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32Int32String(FuncUInt32StringUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32Int32String(String param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32Int32String(FuncIntPtrStringUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32Int32UInt32(String param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32Int32UInt32(ActionStringUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32Int32UInt32(String param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32Int32UInt32(FuncUInt64StringUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32Int32UInt32(String param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32Int32UInt32(FuncInt32StringUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32Int32UInt32(String param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32Int32UInt32(FuncStringStringUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32Int32UInt32(String param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32Int32UInt32(FuncUInt32StringUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32Int32UInt32(String param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32Int32UInt32(FuncIntPtrStringUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32Int32IntPtr(String param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32Int32IntPtr(ActionStringUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32Int32IntPtr(String param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32Int32IntPtr(FuncUInt64StringUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32Int32IntPtr(String param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32Int32IntPtr(FuncInt32StringUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32Int32IntPtr(String param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32Int32IntPtr(FuncStringStringUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32Int32IntPtr(String param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32Int32IntPtr(FuncUInt32StringUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32Int32IntPtr(String param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32Int32IntPtr(FuncIntPtrStringUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32StringUInt64(String param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32StringUInt64(ActionStringUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32StringUInt64(String param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32StringUInt64(FuncUInt64StringUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32StringUInt64(String param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32StringUInt64(FuncInt32StringUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32StringUInt64(String param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32StringUInt64(FuncStringStringUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32StringUInt64(String param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32StringUInt64(FuncUInt32StringUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32StringUInt64(String param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32StringUInt64(FuncIntPtrStringUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32StringInt32(String param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32StringInt32(ActionStringUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32StringInt32(String param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32StringInt32(FuncUInt64StringUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32StringInt32(String param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32StringInt32(FuncInt32StringUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32StringInt32(String param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32StringInt32(FuncStringStringUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32StringInt32(String param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32StringInt32(FuncUInt32StringUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32StringInt32(String param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32StringInt32(FuncIntPtrStringUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32StringString(String param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32StringString(ActionStringUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32StringString(String param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32StringString(FuncUInt64StringUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32StringString(String param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32StringString(FuncInt32StringUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32StringString(String param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32StringString(FuncStringStringUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32StringString(String param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32StringString(FuncUInt32StringUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32StringString(String param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32StringString(FuncIntPtrStringUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32StringUInt32(String param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32StringUInt32(ActionStringUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32StringUInt32(String param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32StringUInt32(FuncUInt64StringUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32StringUInt32(String param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32StringUInt32(FuncInt32StringUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32StringUInt32(String param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32StringUInt32(FuncStringStringUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32StringUInt32(String param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32StringUInt32(FuncUInt32StringUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32StringUInt32(String param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32StringUInt32(FuncIntPtrStringUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32StringIntPtr(String param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32StringIntPtr(ActionStringUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32StringIntPtr(String param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32StringIntPtr(FuncUInt64StringUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32StringIntPtr(String param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32StringIntPtr(FuncInt32StringUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32StringIntPtr(String param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32StringIntPtr(FuncStringStringUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32StringIntPtr(String param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32StringIntPtr(FuncUInt32StringUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32StringIntPtr(String param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32StringIntPtr(FuncIntPtrStringUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt32UInt64(String param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt32UInt64(ActionStringUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt32UInt64(String param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt32UInt64(FuncUInt64StringUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt32UInt64(String param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt32UInt64(FuncInt32StringUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt32UInt64(String param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt32UInt64(FuncStringStringUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt32UInt64(String param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt32UInt64(FuncUInt32StringUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt32UInt64(String param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt32UInt64(FuncIntPtrStringUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt32Int32(String param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt32Int32(ActionStringUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt32Int32(String param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt32Int32(FuncUInt64StringUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt32Int32(String param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt32Int32(FuncInt32StringUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt32Int32(String param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt32Int32(FuncStringStringUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt32Int32(String param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt32Int32(FuncUInt32StringUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt32Int32(String param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt32Int32(FuncIntPtrStringUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt32String(String param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt32String(ActionStringUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt32String(String param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt32String(FuncUInt64StringUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt32String(String param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt32String(FuncInt32StringUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt32String(String param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt32String(FuncStringStringUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt32String(String param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt32String(FuncUInt32StringUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt32String(String param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt32String(FuncIntPtrStringUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt32UInt32(String param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt32UInt32(ActionStringUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt32UInt32(String param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt32UInt32(FuncUInt64StringUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt32UInt32(String param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt32UInt32(FuncInt32StringUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt32UInt32(String param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt32UInt32(FuncStringStringUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt32UInt32(String param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt32UInt32(FuncUInt32StringUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt32UInt32(String param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt32UInt32(FuncIntPtrStringUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32UInt32IntPtr(String param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32UInt32IntPtr(ActionStringUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32UInt32IntPtr(String param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32UInt32IntPtr(FuncUInt64StringUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32UInt32IntPtr(String param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32UInt32IntPtr(FuncInt32StringUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32UInt32IntPtr(String param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32UInt32IntPtr(FuncStringStringUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32UInt32IntPtr(String param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32UInt32IntPtr(FuncUInt32StringUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32UInt32IntPtr(String param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32UInt32IntPtr(FuncIntPtrStringUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32IntPtrUInt64(String param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32IntPtrUInt64(ActionStringUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32IntPtrUInt64(String param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32IntPtrUInt64(FuncUInt64StringUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32IntPtrUInt64(String param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32IntPtrUInt64(FuncInt32StringUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32IntPtrUInt64(String param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32IntPtrUInt64(FuncStringStringUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32IntPtrUInt64(String param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32IntPtrUInt64(FuncUInt32StringUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32IntPtrUInt64(String param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32IntPtrUInt64(FuncIntPtrStringUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32IntPtrInt32(String param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32IntPtrInt32(ActionStringUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32IntPtrInt32(String param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32IntPtrInt32(FuncUInt64StringUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32IntPtrInt32(String param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32IntPtrInt32(FuncInt32StringUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32IntPtrInt32(String param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32IntPtrInt32(FuncStringStringUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32IntPtrInt32(String param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32IntPtrInt32(FuncUInt32StringUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32IntPtrInt32(String param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32IntPtrInt32(FuncIntPtrStringUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32IntPtrString(String param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32IntPtrString(ActionStringUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32IntPtrString(String param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32IntPtrString(FuncUInt64StringUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32IntPtrString(String param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32IntPtrString(FuncInt32StringUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32IntPtrString(String param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32IntPtrString(FuncStringStringUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32IntPtrString(String param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32IntPtrString(FuncUInt32StringUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32IntPtrString(String param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32IntPtrString(FuncIntPtrStringUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32IntPtrUInt32(String param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32IntPtrUInt32(ActionStringUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32IntPtrUInt32(String param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32IntPtrUInt32(FuncUInt64StringUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32IntPtrUInt32(String param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32IntPtrUInt32(FuncInt32StringUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32IntPtrUInt32(String param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32IntPtrUInt32(FuncStringStringUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32IntPtrUInt32(String param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32IntPtrUInt32(FuncUInt32StringUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32IntPtrUInt32(String param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32IntPtrUInt32(FuncIntPtrStringUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringUInt32IntPtrIntPtr(String param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringUInt32IntPtrIntPtr(ActionStringUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringUInt32IntPtrIntPtr(String param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringUInt32IntPtrIntPtr(FuncUInt64StringUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringUInt32IntPtrIntPtr(String param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringUInt32IntPtrIntPtr(FuncInt32StringUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringUInt32IntPtrIntPtr(String param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringUInt32IntPtrIntPtr(FuncStringStringUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringUInt32IntPtrIntPtr(String param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringUInt32IntPtrIntPtr(FuncUInt32StringUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringUInt32IntPtrIntPtr(String param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringUInt32IntPtrIntPtr(FuncIntPtrStringUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt64UInt64(String param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt64UInt64(ActionStringIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt64UInt64(String param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt64UInt64(FuncUInt64StringIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt64UInt64(String param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt64UInt64(FuncInt32StringIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt64UInt64(String param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt64UInt64(FuncStringStringIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt64UInt64(String param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt64UInt64(FuncUInt32StringIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt64UInt64(String param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt64UInt64(FuncIntPtrStringIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt64Int32(String param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt64Int32(ActionStringIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt64Int32(String param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt64Int32(FuncUInt64StringIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt64Int32(String param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt64Int32(FuncInt32StringIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt64Int32(String param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt64Int32(FuncStringStringIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt64Int32(String param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt64Int32(FuncUInt32StringIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt64Int32(String param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt64Int32(FuncIntPtrStringIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt64String(String param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt64String(ActionStringIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt64String(String param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt64String(FuncUInt64StringIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt64String(String param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt64String(FuncInt32StringIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt64String(String param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt64String(FuncStringStringIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt64String(String param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt64String(FuncUInt32StringIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt64String(String param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt64String(FuncIntPtrStringIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt64UInt32(String param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt64UInt32(ActionStringIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt64UInt32(String param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt64UInt32(FuncUInt64StringIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt64UInt32(String param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt64UInt32(FuncInt32StringIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt64UInt32(String param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt64UInt32(FuncStringStringIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt64UInt32(String param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt64UInt32(FuncUInt32StringIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt64UInt32(String param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt64UInt32(FuncIntPtrStringIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt64IntPtr(String param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt64IntPtr(ActionStringIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt64IntPtr(String param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt64IntPtr(FuncUInt64StringIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt64IntPtr(String param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt64IntPtr(FuncInt32StringIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt64IntPtr(String param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt64IntPtr(FuncStringStringIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt64IntPtr(String param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt64IntPtr(FuncUInt32StringIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt64IntPtr(String param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt64IntPtr(FuncIntPtrStringIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrInt32UInt64(String param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrInt32UInt64(ActionStringIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrInt32UInt64(String param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrInt32UInt64(FuncUInt64StringIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrInt32UInt64(String param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrInt32UInt64(FuncInt32StringIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrInt32UInt64(String param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrInt32UInt64(FuncStringStringIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrInt32UInt64(String param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrInt32UInt64(FuncUInt32StringIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrInt32UInt64(String param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrInt32UInt64(FuncIntPtrStringIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrInt32Int32(String param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrInt32Int32(ActionStringIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrInt32Int32(String param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrInt32Int32(FuncUInt64StringIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrInt32Int32(String param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrInt32Int32(FuncInt32StringIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrInt32Int32(String param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrInt32Int32(FuncStringStringIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrInt32Int32(String param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrInt32Int32(FuncUInt32StringIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrInt32Int32(String param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrInt32Int32(FuncIntPtrStringIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrInt32String(String param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrInt32String(ActionStringIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrInt32String(String param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrInt32String(FuncUInt64StringIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrInt32String(String param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrInt32String(FuncInt32StringIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrInt32String(String param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrInt32String(FuncStringStringIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrInt32String(String param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrInt32String(FuncUInt32StringIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrInt32String(String param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrInt32String(FuncIntPtrStringIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrInt32UInt32(String param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrInt32UInt32(ActionStringIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrInt32UInt32(String param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrInt32UInt32(FuncUInt64StringIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrInt32UInt32(String param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrInt32UInt32(FuncInt32StringIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrInt32UInt32(String param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrInt32UInt32(FuncStringStringIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrInt32UInt32(String param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrInt32UInt32(FuncUInt32StringIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrInt32UInt32(String param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrInt32UInt32(FuncIntPtrStringIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrInt32IntPtr(String param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrInt32IntPtr(ActionStringIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrInt32IntPtr(String param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrInt32IntPtr(FuncUInt64StringIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrInt32IntPtr(String param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrInt32IntPtr(FuncInt32StringIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrInt32IntPtr(String param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrInt32IntPtr(FuncStringStringIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrInt32IntPtr(String param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrInt32IntPtr(FuncUInt32StringIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrInt32IntPtr(String param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrInt32IntPtr(FuncIntPtrStringIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrStringUInt64(String param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrStringUInt64(ActionStringIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrStringUInt64(String param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrStringUInt64(FuncUInt64StringIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrStringUInt64(String param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrStringUInt64(FuncInt32StringIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrStringUInt64(String param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrStringUInt64(FuncStringStringIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrStringUInt64(String param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrStringUInt64(FuncUInt32StringIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrStringUInt64(String param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrStringUInt64(FuncIntPtrStringIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrStringInt32(String param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrStringInt32(ActionStringIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrStringInt32(String param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrStringInt32(FuncUInt64StringIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrStringInt32(String param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrStringInt32(FuncInt32StringIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrStringInt32(String param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrStringInt32(FuncStringStringIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrStringInt32(String param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrStringInt32(FuncUInt32StringIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrStringInt32(String param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrStringInt32(FuncIntPtrStringIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrStringString(String param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrStringString(ActionStringIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrStringString(String param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrStringString(FuncUInt64StringIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrStringString(String param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrStringString(FuncInt32StringIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrStringString(String param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrStringString(FuncStringStringIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrStringString(String param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrStringString(FuncUInt32StringIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrStringString(String param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrStringString(FuncIntPtrStringIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrStringUInt32(String param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrStringUInt32(ActionStringIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrStringUInt32(String param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrStringUInt32(FuncUInt64StringIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrStringUInt32(String param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrStringUInt32(FuncInt32StringIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrStringUInt32(String param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrStringUInt32(FuncStringStringIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrStringUInt32(String param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrStringUInt32(FuncUInt32StringIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrStringUInt32(String param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrStringUInt32(FuncIntPtrStringIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrStringIntPtr(String param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrStringIntPtr(ActionStringIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrStringIntPtr(String param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrStringIntPtr(FuncUInt64StringIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrStringIntPtr(String param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrStringIntPtr(FuncInt32StringIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrStringIntPtr(String param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrStringIntPtr(FuncStringStringIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrStringIntPtr(String param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrStringIntPtr(FuncUInt32StringIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrStringIntPtr(String param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrStringIntPtr(FuncIntPtrStringIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt32UInt64(String param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt32UInt64(ActionStringIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt32UInt64(String param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt32UInt64(FuncUInt64StringIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt32UInt64(String param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt32UInt64(FuncInt32StringIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt32UInt64(String param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt32UInt64(FuncStringStringIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt32UInt64(String param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt32UInt64(FuncUInt32StringIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt32UInt64(String param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt32UInt64(FuncIntPtrStringIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt32Int32(String param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt32Int32(ActionStringIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt32Int32(String param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt32Int32(FuncUInt64StringIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt32Int32(String param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt32Int32(FuncInt32StringIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt32Int32(String param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt32Int32(FuncStringStringIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt32Int32(String param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt32Int32(FuncUInt32StringIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt32Int32(String param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt32Int32(FuncIntPtrStringIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt32String(String param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt32String(ActionStringIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt32String(String param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt32String(FuncUInt64StringIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt32String(String param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt32String(FuncInt32StringIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt32String(String param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt32String(FuncStringStringIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt32String(String param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt32String(FuncUInt32StringIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt32String(String param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt32String(FuncIntPtrStringIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt32UInt32(String param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt32UInt32(ActionStringIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt32UInt32(String param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt32UInt32(FuncUInt64StringIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt32UInt32(String param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt32UInt32(FuncInt32StringIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt32UInt32(String param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt32UInt32(FuncStringStringIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt32UInt32(String param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt32UInt32(FuncUInt32StringIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt32UInt32(String param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt32UInt32(FuncIntPtrStringIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrUInt32IntPtr(String param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrUInt32IntPtr(ActionStringIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrUInt32IntPtr(String param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrUInt32IntPtr(FuncUInt64StringIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrUInt32IntPtr(String param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrUInt32IntPtr(FuncInt32StringIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrUInt32IntPtr(String param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrUInt32IntPtr(FuncStringStringIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrUInt32IntPtr(String param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrUInt32IntPtr(FuncUInt32StringIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrUInt32IntPtr(String param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrUInt32IntPtr(FuncIntPtrStringIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrIntPtrUInt64(String param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrIntPtrUInt64(ActionStringIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrIntPtrUInt64(String param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrIntPtrUInt64(FuncUInt64StringIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrIntPtrUInt64(String param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrIntPtrUInt64(FuncInt32StringIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrIntPtrUInt64(String param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrIntPtrUInt64(FuncStringStringIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrIntPtrUInt64(String param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrIntPtrUInt64(FuncUInt32StringIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrIntPtrUInt64(String param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrIntPtrUInt64(FuncIntPtrStringIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrIntPtrInt32(String param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrIntPtrInt32(ActionStringIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrIntPtrInt32(String param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrIntPtrInt32(FuncUInt64StringIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrIntPtrInt32(String param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrIntPtrInt32(FuncInt32StringIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrIntPtrInt32(String param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrIntPtrInt32(FuncStringStringIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrIntPtrInt32(String param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrIntPtrInt32(FuncUInt32StringIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrIntPtrInt32(String param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrIntPtrInt32(FuncIntPtrStringIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrIntPtrString(String param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrIntPtrString(ActionStringIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrIntPtrString(String param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrIntPtrString(FuncUInt64StringIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrIntPtrString(String param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrIntPtrString(FuncInt32StringIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrIntPtrString(String param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrIntPtrString(FuncStringStringIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrIntPtrString(String param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrIntPtrString(FuncUInt32StringIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrIntPtrString(String param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrIntPtrString(FuncIntPtrStringIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrIntPtrUInt32(String param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrIntPtrUInt32(ActionStringIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrIntPtrUInt32(String param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrIntPtrUInt32(FuncUInt64StringIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrIntPtrUInt32(String param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrIntPtrUInt32(FuncInt32StringIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrIntPtrUInt32(String param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrIntPtrUInt32(FuncStringStringIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrIntPtrUInt32(String param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrIntPtrUInt32(FuncUInt32StringIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrIntPtrUInt32(String param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrIntPtrUInt32(FuncIntPtrStringIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionStringIntPtrIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionStringIntPtrIntPtrIntPtr(ActionStringIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64StringIntPtrIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64StringIntPtrIntPtrIntPtr(FuncUInt64StringIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32StringIntPtrIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32StringIntPtrIntPtrIntPtr(FuncInt32StringIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringStringIntPtrIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringStringIntPtrIntPtrIntPtr(FuncStringStringIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32StringIntPtrIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32StringIntPtrIntPtrIntPtr(FuncUInt32StringIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrStringIntPtrIntPtrIntPtr(String param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrStringIntPtrIntPtrIntPtr(FuncIntPtrStringIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt64UInt64(ActionUInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt64UInt64(FuncUInt64UInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt64UInt64(FuncInt32UInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt64UInt64(FuncStringUInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt64UInt64(FuncUInt32UInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt64UInt64(UInt32 param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt64UInt64(FuncIntPtrUInt32UInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt64Int32(UInt32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt64Int32(ActionUInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt64Int32(UInt32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt64Int32(FuncUInt64UInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt64Int32(UInt32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt64Int32(FuncInt32UInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt64Int32(UInt32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt64Int32(FuncStringUInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt64Int32(UInt32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt64Int32(FuncUInt32UInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt64Int32(UInt32 param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt64Int32(FuncIntPtrUInt32UInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt64String(UInt32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt64String(ActionUInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt64String(UInt32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt64String(FuncUInt64UInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt64String(UInt32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt64String(FuncInt32UInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt64String(UInt32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt64String(FuncStringUInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt64String(UInt32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt64String(FuncUInt32UInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt64String(UInt32 param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt64String(FuncIntPtrUInt32UInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt64UInt32(UInt32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt64UInt32(ActionUInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt64UInt32(UInt32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt64UInt32(FuncUInt64UInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt64UInt32(UInt32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt64UInt32(FuncInt32UInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt64UInt32(UInt32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt64UInt32(FuncStringUInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt64UInt32(UInt32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt64UInt32(FuncUInt32UInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt64UInt32(UInt32 param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt64UInt32(FuncIntPtrUInt32UInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt64IntPtr(UInt32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt64IntPtr(ActionUInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt64IntPtr(UInt32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt64IntPtr(FuncUInt64UInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt64IntPtr(UInt32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt64IntPtr(FuncInt32UInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt64IntPtr(UInt32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt64IntPtr(FuncStringUInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt64IntPtr(UInt32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt64IntPtr(FuncUInt32UInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt64IntPtr(UInt32 param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt64IntPtr(FuncIntPtrUInt32UInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64Int32UInt64(UInt32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64Int32UInt64(ActionUInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64Int32UInt64(UInt32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64Int32UInt64(FuncUInt64UInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64Int32UInt64(UInt32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64Int32UInt64(FuncInt32UInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64Int32UInt64(UInt32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64Int32UInt64(FuncStringUInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64Int32UInt64(UInt32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64Int32UInt64(FuncUInt32UInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64Int32UInt64(UInt32 param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64Int32UInt64(FuncIntPtrUInt32UInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64Int32Int32(UInt32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64Int32Int32(ActionUInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64Int32Int32(UInt32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64Int32Int32(FuncUInt64UInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64Int32Int32(UInt32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64Int32Int32(FuncInt32UInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64Int32Int32(UInt32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64Int32Int32(FuncStringUInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64Int32Int32(UInt32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64Int32Int32(FuncUInt32UInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64Int32Int32(UInt32 param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64Int32Int32(FuncIntPtrUInt32UInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64Int32String(UInt32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64Int32String(ActionUInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64Int32String(UInt32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64Int32String(FuncUInt64UInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64Int32String(UInt32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64Int32String(FuncInt32UInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64Int32String(UInt32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64Int32String(FuncStringUInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64Int32String(UInt32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64Int32String(FuncUInt32UInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64Int32String(UInt32 param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64Int32String(FuncIntPtrUInt32UInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64Int32UInt32(UInt32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64Int32UInt32(ActionUInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64Int32UInt32(UInt32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64Int32UInt32(FuncUInt64UInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64Int32UInt32(UInt32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64Int32UInt32(FuncInt32UInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64Int32UInt32(UInt32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64Int32UInt32(FuncStringUInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64Int32UInt32(UInt32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64Int32UInt32(FuncUInt32UInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64Int32UInt32(UInt32 param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64Int32UInt32(FuncIntPtrUInt32UInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64Int32IntPtr(UInt32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64Int32IntPtr(ActionUInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64Int32IntPtr(UInt32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64Int32IntPtr(FuncUInt64UInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64Int32IntPtr(UInt32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64Int32IntPtr(FuncInt32UInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64Int32IntPtr(UInt32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64Int32IntPtr(FuncStringUInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64Int32IntPtr(UInt32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64Int32IntPtr(FuncUInt32UInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64Int32IntPtr(UInt32 param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64Int32IntPtr(FuncIntPtrUInt32UInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64StringUInt64(UInt32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64StringUInt64(ActionUInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64StringUInt64(UInt32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64StringUInt64(FuncUInt64UInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64StringUInt64(UInt32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64StringUInt64(FuncInt32UInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64StringUInt64(UInt32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64StringUInt64(FuncStringUInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64StringUInt64(UInt32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64StringUInt64(FuncUInt32UInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64StringUInt64(UInt32 param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64StringUInt64(FuncIntPtrUInt32UInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64StringInt32(UInt32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64StringInt32(ActionUInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64StringInt32(UInt32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64StringInt32(FuncUInt64UInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64StringInt32(UInt32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64StringInt32(FuncInt32UInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64StringInt32(UInt32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64StringInt32(FuncStringUInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64StringInt32(UInt32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64StringInt32(FuncUInt32UInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64StringInt32(UInt32 param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64StringInt32(FuncIntPtrUInt32UInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64StringString(UInt32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64StringString(ActionUInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64StringString(UInt32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64StringString(FuncUInt64UInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64StringString(UInt32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64StringString(FuncInt32UInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64StringString(UInt32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64StringString(FuncStringUInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64StringString(UInt32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64StringString(FuncUInt32UInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64StringString(UInt32 param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64StringString(FuncIntPtrUInt32UInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64StringUInt32(UInt32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64StringUInt32(ActionUInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64StringUInt32(UInt32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64StringUInt32(FuncUInt64UInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64StringUInt32(UInt32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64StringUInt32(FuncInt32UInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64StringUInt32(UInt32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64StringUInt32(FuncStringUInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64StringUInt32(UInt32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64StringUInt32(FuncUInt32UInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64StringUInt32(UInt32 param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64StringUInt32(FuncIntPtrUInt32UInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64StringIntPtr(UInt32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64StringIntPtr(ActionUInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64StringIntPtr(UInt32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64StringIntPtr(FuncUInt64UInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64StringIntPtr(UInt32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64StringIntPtr(FuncInt32UInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64StringIntPtr(UInt32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64StringIntPtr(FuncStringUInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64StringIntPtr(UInt32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64StringIntPtr(FuncUInt32UInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64StringIntPtr(UInt32 param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64StringIntPtr(FuncIntPtrUInt32UInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt32UInt64(UInt32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt32UInt64(ActionUInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt32UInt64(UInt32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt32UInt64(FuncUInt64UInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt32UInt64(UInt32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt32UInt64(FuncInt32UInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt32UInt64(UInt32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt32UInt64(FuncStringUInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt32UInt64(UInt32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt32UInt64(FuncUInt32UInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt32UInt64(UInt32 param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt32UInt64(FuncIntPtrUInt32UInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt32Int32(UInt32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt32Int32(ActionUInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt32Int32(UInt32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt32Int32(FuncUInt64UInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt32Int32(UInt32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt32Int32(FuncInt32UInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt32Int32(UInt32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt32Int32(FuncStringUInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt32Int32(UInt32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt32Int32(FuncUInt32UInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt32Int32(UInt32 param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt32Int32(FuncIntPtrUInt32UInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt32String(UInt32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt32String(ActionUInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt32String(UInt32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt32String(FuncUInt64UInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt32String(UInt32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt32String(FuncInt32UInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt32String(UInt32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt32String(FuncStringUInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt32String(UInt32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt32String(FuncUInt32UInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt32String(UInt32 param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt32String(FuncIntPtrUInt32UInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt32UInt32(UInt32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt32UInt32(ActionUInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt32UInt32(UInt32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt32UInt32(FuncUInt64UInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt32UInt32(UInt32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt32UInt32(FuncInt32UInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt32UInt32(UInt32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt32UInt32(FuncStringUInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt32UInt32(UInt32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt32UInt32(FuncUInt32UInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt32UInt32(UInt32 param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt32UInt32(FuncIntPtrUInt32UInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64UInt32IntPtr(UInt32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64UInt32IntPtr(ActionUInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64UInt32IntPtr(UInt32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64UInt32IntPtr(FuncUInt64UInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64UInt32IntPtr(UInt32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64UInt32IntPtr(FuncInt32UInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64UInt32IntPtr(UInt32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64UInt32IntPtr(FuncStringUInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64UInt32IntPtr(UInt32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64UInt32IntPtr(FuncUInt32UInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64UInt32IntPtr(UInt32 param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64UInt32IntPtr(FuncIntPtrUInt32UInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64IntPtrUInt64(UInt32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64IntPtrUInt64(ActionUInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64IntPtrUInt64(UInt32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64IntPtrUInt64(FuncUInt64UInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64IntPtrUInt64(UInt32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64IntPtrUInt64(FuncInt32UInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64IntPtrUInt64(UInt32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64IntPtrUInt64(FuncStringUInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64IntPtrUInt64(UInt32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64IntPtrUInt64(FuncUInt32UInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64IntPtrUInt64(UInt32 param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64IntPtrUInt64(FuncIntPtrUInt32UInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64IntPtrInt32(UInt32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64IntPtrInt32(ActionUInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64IntPtrInt32(UInt32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64IntPtrInt32(FuncUInt64UInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64IntPtrInt32(UInt32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64IntPtrInt32(FuncInt32UInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64IntPtrInt32(UInt32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64IntPtrInt32(FuncStringUInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64IntPtrInt32(UInt32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64IntPtrInt32(FuncUInt32UInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64IntPtrInt32(UInt32 param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64IntPtrInt32(FuncIntPtrUInt32UInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64IntPtrString(UInt32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64IntPtrString(ActionUInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64IntPtrString(UInt32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64IntPtrString(FuncUInt64UInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64IntPtrString(UInt32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64IntPtrString(FuncInt32UInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64IntPtrString(UInt32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64IntPtrString(FuncStringUInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64IntPtrString(UInt32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64IntPtrString(FuncUInt32UInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64IntPtrString(UInt32 param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64IntPtrString(FuncIntPtrUInt32UInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64IntPtrUInt32(UInt32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64IntPtrUInt32(ActionUInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64IntPtrUInt32(UInt32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64IntPtrUInt32(FuncUInt64UInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64IntPtrUInt32(UInt32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64IntPtrUInt32(FuncInt32UInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64IntPtrUInt32(UInt32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64IntPtrUInt32(FuncStringUInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64IntPtrUInt32(UInt32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64IntPtrUInt32(FuncUInt32UInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64IntPtrUInt32(UInt32 param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64IntPtrUInt32(FuncIntPtrUInt32UInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt64IntPtrIntPtr(UInt32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt64IntPtrIntPtr(ActionUInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt64IntPtrIntPtr(UInt32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt64IntPtrIntPtr(FuncUInt64UInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt64IntPtrIntPtr(UInt32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt64IntPtrIntPtr(FuncInt32UInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt64IntPtrIntPtr(UInt32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt64IntPtrIntPtr(FuncStringUInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt64IntPtrIntPtr(UInt32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt64IntPtrIntPtr(FuncUInt32UInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt64IntPtrIntPtr(UInt32 param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt64IntPtrIntPtr(FuncIntPtrUInt32UInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt64UInt64(UInt32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt64UInt64(ActionUInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt64UInt64(UInt32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt64UInt64(FuncUInt64UInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt64UInt64(UInt32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt64UInt64(FuncInt32UInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt64UInt64(UInt32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt64UInt64(FuncStringUInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt64UInt64(UInt32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt64UInt64(FuncUInt32UInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt64UInt64(UInt32 param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt64UInt64(FuncIntPtrUInt32Int32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt64Int32(UInt32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt64Int32(ActionUInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt64Int32(UInt32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt64Int32(FuncUInt64UInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt64Int32(UInt32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt64Int32(FuncInt32UInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt64Int32(UInt32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt64Int32(FuncStringUInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt64Int32(UInt32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt64Int32(FuncUInt32UInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt64Int32(UInt32 param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt64Int32(FuncIntPtrUInt32Int32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt64String(UInt32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt64String(ActionUInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt64String(UInt32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt64String(FuncUInt64UInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt64String(UInt32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt64String(FuncInt32UInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt64String(UInt32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt64String(FuncStringUInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt64String(UInt32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt64String(FuncUInt32UInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt64String(UInt32 param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt64String(FuncIntPtrUInt32Int32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt64UInt32(UInt32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt64UInt32(ActionUInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt64UInt32(UInt32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt64UInt32(FuncUInt64UInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt64UInt32(UInt32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt64UInt32(FuncInt32UInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt64UInt32(UInt32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt64UInt32(FuncStringUInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt64UInt32(UInt32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt64UInt32(FuncUInt32UInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt64UInt32(UInt32 param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt64UInt32(FuncIntPtrUInt32Int32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt64IntPtr(UInt32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt64IntPtr(ActionUInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt64IntPtr(UInt32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt64IntPtr(FuncUInt64UInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt64IntPtr(UInt32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt64IntPtr(FuncInt32UInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt64IntPtr(UInt32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt64IntPtr(FuncStringUInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt64IntPtr(UInt32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt64IntPtr(FuncUInt32UInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt64IntPtr(UInt32 param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt64IntPtr(FuncIntPtrUInt32Int32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32Int32UInt64(UInt32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32Int32UInt64(ActionUInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32Int32UInt64(UInt32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32Int32UInt64(FuncUInt64UInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32Int32UInt64(UInt32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32Int32UInt64(FuncInt32UInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32Int32UInt64(UInt32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32Int32UInt64(FuncStringUInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32Int32UInt64(UInt32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32Int32UInt64(FuncUInt32UInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32Int32UInt64(UInt32 param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32Int32UInt64(FuncIntPtrUInt32Int32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32Int32Int32(UInt32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32Int32Int32(ActionUInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32Int32Int32(UInt32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32Int32Int32(FuncUInt64UInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32Int32Int32(UInt32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32Int32Int32(FuncInt32UInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32Int32Int32(UInt32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32Int32Int32(FuncStringUInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32Int32Int32(UInt32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32Int32Int32(FuncUInt32UInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32Int32Int32(UInt32 param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32Int32Int32(FuncIntPtrUInt32Int32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32Int32String(UInt32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32Int32String(ActionUInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32Int32String(UInt32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32Int32String(FuncUInt64UInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32Int32String(UInt32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32Int32String(FuncInt32UInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32Int32String(UInt32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32Int32String(FuncStringUInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32Int32String(UInt32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32Int32String(FuncUInt32UInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32Int32String(UInt32 param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32Int32String(FuncIntPtrUInt32Int32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32Int32UInt32(UInt32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32Int32UInt32(ActionUInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32Int32UInt32(UInt32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32Int32UInt32(FuncUInt64UInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32Int32UInt32(UInt32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32Int32UInt32(FuncInt32UInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32Int32UInt32(UInt32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32Int32UInt32(FuncStringUInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32Int32UInt32(UInt32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32Int32UInt32(FuncUInt32UInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32Int32UInt32(UInt32 param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32Int32UInt32(FuncIntPtrUInt32Int32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32Int32IntPtr(UInt32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32Int32IntPtr(ActionUInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32Int32IntPtr(UInt32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32Int32IntPtr(FuncUInt64UInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32Int32IntPtr(UInt32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32Int32IntPtr(FuncInt32UInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32Int32IntPtr(UInt32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32Int32IntPtr(FuncStringUInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32Int32IntPtr(UInt32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32Int32IntPtr(FuncUInt32UInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32Int32IntPtr(UInt32 param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32Int32IntPtr(FuncIntPtrUInt32Int32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32StringUInt64(UInt32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32StringUInt64(ActionUInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32StringUInt64(UInt32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32StringUInt64(FuncUInt64UInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32StringUInt64(UInt32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32StringUInt64(FuncInt32UInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32StringUInt64(UInt32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32StringUInt64(FuncStringUInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32StringUInt64(UInt32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32StringUInt64(FuncUInt32UInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32StringUInt64(UInt32 param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32StringUInt64(FuncIntPtrUInt32Int32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32StringInt32(UInt32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32StringInt32(ActionUInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32StringInt32(UInt32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32StringInt32(FuncUInt64UInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32StringInt32(UInt32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32StringInt32(FuncInt32UInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32StringInt32(UInt32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32StringInt32(FuncStringUInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32StringInt32(UInt32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32StringInt32(FuncUInt32UInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32StringInt32(UInt32 param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32StringInt32(FuncIntPtrUInt32Int32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32StringString(UInt32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32StringString(ActionUInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32StringString(UInt32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32StringString(FuncUInt64UInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32StringString(UInt32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32StringString(FuncInt32UInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32StringString(UInt32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32StringString(FuncStringUInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32StringString(UInt32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32StringString(FuncUInt32UInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32StringString(UInt32 param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32StringString(FuncIntPtrUInt32Int32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32StringUInt32(UInt32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32StringUInt32(ActionUInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32StringUInt32(UInt32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32StringUInt32(FuncUInt64UInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32StringUInt32(UInt32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32StringUInt32(FuncInt32UInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32StringUInt32(UInt32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32StringUInt32(FuncStringUInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32StringUInt32(UInt32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32StringUInt32(FuncUInt32UInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32StringUInt32(UInt32 param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32StringUInt32(FuncIntPtrUInt32Int32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32StringIntPtr(UInt32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32StringIntPtr(ActionUInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32StringIntPtr(UInt32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32StringIntPtr(FuncUInt64UInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32StringIntPtr(UInt32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32StringIntPtr(FuncInt32UInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32StringIntPtr(UInt32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32StringIntPtr(FuncStringUInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32StringIntPtr(UInt32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32StringIntPtr(FuncUInt32UInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32StringIntPtr(UInt32 param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32StringIntPtr(FuncIntPtrUInt32Int32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt32UInt64(UInt32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt32UInt64(ActionUInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt32UInt64(UInt32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt32UInt64(FuncUInt64UInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt32UInt64(UInt32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt32UInt64(FuncInt32UInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt32UInt64(UInt32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt32UInt64(FuncStringUInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt32UInt64(UInt32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt32UInt64(FuncUInt32UInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt32UInt64(UInt32 param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt32UInt64(FuncIntPtrUInt32Int32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt32Int32(UInt32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt32Int32(ActionUInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt32Int32(UInt32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt32Int32(FuncUInt64UInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt32Int32(UInt32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt32Int32(FuncInt32UInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt32Int32(UInt32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt32Int32(FuncStringUInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt32Int32(UInt32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt32Int32(FuncUInt32UInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt32Int32(UInt32 param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt32Int32(FuncIntPtrUInt32Int32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt32String(UInt32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt32String(ActionUInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt32String(UInt32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt32String(FuncUInt64UInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt32String(UInt32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt32String(FuncInt32UInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt32String(UInt32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt32String(FuncStringUInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt32String(UInt32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt32String(FuncUInt32UInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt32String(UInt32 param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt32String(FuncIntPtrUInt32Int32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt32UInt32(UInt32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt32UInt32(ActionUInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt32UInt32(UInt32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt32UInt32(FuncUInt64UInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt32UInt32(UInt32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt32UInt32(FuncInt32UInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt32UInt32(UInt32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt32UInt32(FuncStringUInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt32UInt32(UInt32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt32UInt32(FuncUInt32UInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt32UInt32(UInt32 param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt32UInt32(FuncIntPtrUInt32Int32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32UInt32IntPtr(UInt32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32UInt32IntPtr(ActionUInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32UInt32IntPtr(UInt32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32UInt32IntPtr(FuncUInt64UInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32UInt32IntPtr(UInt32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32UInt32IntPtr(FuncInt32UInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32UInt32IntPtr(UInt32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32UInt32IntPtr(FuncStringUInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32UInt32IntPtr(UInt32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32UInt32IntPtr(FuncUInt32UInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32UInt32IntPtr(UInt32 param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32UInt32IntPtr(FuncIntPtrUInt32Int32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32IntPtrUInt64(UInt32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32IntPtrUInt64(ActionUInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32IntPtrUInt64(UInt32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32IntPtrUInt64(FuncUInt64UInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32IntPtrUInt64(UInt32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32IntPtrUInt64(FuncInt32UInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32IntPtrUInt64(UInt32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32IntPtrUInt64(FuncStringUInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32IntPtrUInt64(UInt32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32IntPtrUInt64(FuncUInt32UInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32IntPtrUInt64(UInt32 param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32IntPtrUInt64(FuncIntPtrUInt32Int32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32IntPtrInt32(UInt32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32IntPtrInt32(ActionUInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32IntPtrInt32(UInt32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32IntPtrInt32(FuncUInt64UInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32IntPtrInt32(UInt32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32IntPtrInt32(FuncInt32UInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32IntPtrInt32(UInt32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32IntPtrInt32(FuncStringUInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32IntPtrInt32(UInt32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32IntPtrInt32(FuncUInt32UInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32IntPtrInt32(UInt32 param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32IntPtrInt32(FuncIntPtrUInt32Int32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32IntPtrString(UInt32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32IntPtrString(ActionUInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32IntPtrString(UInt32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32IntPtrString(FuncUInt64UInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32IntPtrString(UInt32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32IntPtrString(FuncInt32UInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32IntPtrString(UInt32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32IntPtrString(FuncStringUInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32IntPtrString(UInt32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32IntPtrString(FuncUInt32UInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32IntPtrString(UInt32 param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32IntPtrString(FuncIntPtrUInt32Int32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32IntPtrUInt32(UInt32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32IntPtrUInt32(ActionUInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32IntPtrUInt32(UInt32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32IntPtrUInt32(FuncUInt64UInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32IntPtrUInt32(UInt32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32IntPtrUInt32(FuncInt32UInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32IntPtrUInt32(UInt32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32IntPtrUInt32(FuncStringUInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32IntPtrUInt32(UInt32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32IntPtrUInt32(FuncUInt32UInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32IntPtrUInt32(UInt32 param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32IntPtrUInt32(FuncIntPtrUInt32Int32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32Int32IntPtrIntPtr(UInt32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32Int32IntPtrIntPtr(ActionUInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32Int32IntPtrIntPtr(UInt32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32Int32IntPtrIntPtr(FuncUInt64UInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32Int32IntPtrIntPtr(UInt32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32Int32IntPtrIntPtr(FuncInt32UInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32Int32IntPtrIntPtr(UInt32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32Int32IntPtrIntPtr(FuncStringUInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32Int32IntPtrIntPtr(UInt32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32Int32IntPtrIntPtr(FuncUInt32UInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32Int32IntPtrIntPtr(UInt32 param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32Int32IntPtrIntPtr(FuncIntPtrUInt32Int32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt64UInt64(UInt32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt64UInt64(ActionUInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt64UInt64(UInt32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt64UInt64(FuncUInt64UInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt64UInt64(UInt32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt64UInt64(FuncInt32UInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt64UInt64(UInt32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt64UInt64(FuncStringUInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt64UInt64(UInt32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt64UInt64(FuncUInt32UInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt64UInt64(UInt32 param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt64UInt64(FuncIntPtrUInt32StringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt64Int32(UInt32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt64Int32(ActionUInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt64Int32(UInt32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt64Int32(FuncUInt64UInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt64Int32(UInt32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt64Int32(FuncInt32UInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt64Int32(UInt32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt64Int32(FuncStringUInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt64Int32(UInt32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt64Int32(FuncUInt32UInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt64Int32(UInt32 param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt64Int32(FuncIntPtrUInt32StringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt64String(UInt32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt64String(ActionUInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt64String(UInt32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt64String(FuncUInt64UInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt64String(UInt32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt64String(FuncInt32UInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt64String(UInt32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt64String(FuncStringUInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt64String(UInt32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt64String(FuncUInt32UInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt64String(UInt32 param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt64String(FuncIntPtrUInt32StringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt64UInt32(UInt32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt64UInt32(ActionUInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt64UInt32(UInt32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt64UInt32(FuncUInt64UInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt64UInt32(UInt32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt64UInt32(FuncInt32UInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt64UInt32(UInt32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt64UInt32(FuncStringUInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt64UInt32(UInt32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt64UInt32(FuncUInt32UInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt64UInt32(UInt32 param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt64UInt32(FuncIntPtrUInt32StringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt64IntPtr(UInt32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt64IntPtr(ActionUInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt64IntPtr(UInt32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt64IntPtr(FuncUInt64UInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt64IntPtr(UInt32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt64IntPtr(FuncInt32UInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt64IntPtr(UInt32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt64IntPtr(FuncStringUInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt64IntPtr(UInt32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt64IntPtr(FuncUInt32UInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt64IntPtr(UInt32 param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt64IntPtr(FuncIntPtrUInt32StringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringInt32UInt64(UInt32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringInt32UInt64(ActionUInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringInt32UInt64(UInt32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringInt32UInt64(FuncUInt64UInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringInt32UInt64(UInt32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringInt32UInt64(FuncInt32UInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringInt32UInt64(UInt32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringInt32UInt64(FuncStringUInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringInt32UInt64(UInt32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringInt32UInt64(FuncUInt32UInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringInt32UInt64(UInt32 param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringInt32UInt64(FuncIntPtrUInt32StringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringInt32Int32(UInt32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringInt32Int32(ActionUInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringInt32Int32(UInt32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringInt32Int32(FuncUInt64UInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringInt32Int32(UInt32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringInt32Int32(FuncInt32UInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringInt32Int32(UInt32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringInt32Int32(FuncStringUInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringInt32Int32(UInt32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringInt32Int32(FuncUInt32UInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringInt32Int32(UInt32 param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringInt32Int32(FuncIntPtrUInt32StringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringInt32String(UInt32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringInt32String(ActionUInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringInt32String(UInt32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringInt32String(FuncUInt64UInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringInt32String(UInt32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringInt32String(FuncInt32UInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringInt32String(UInt32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringInt32String(FuncStringUInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringInt32String(UInt32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringInt32String(FuncUInt32UInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringInt32String(UInt32 param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringInt32String(FuncIntPtrUInt32StringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringInt32UInt32(UInt32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringInt32UInt32(ActionUInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringInt32UInt32(UInt32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringInt32UInt32(FuncUInt64UInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringInt32UInt32(UInt32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringInt32UInt32(FuncInt32UInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringInt32UInt32(UInt32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringInt32UInt32(FuncStringUInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringInt32UInt32(UInt32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringInt32UInt32(FuncUInt32UInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringInt32UInt32(UInt32 param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringInt32UInt32(FuncIntPtrUInt32StringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringInt32IntPtr(UInt32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringInt32IntPtr(ActionUInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringInt32IntPtr(UInt32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringInt32IntPtr(FuncUInt64UInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringInt32IntPtr(UInt32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringInt32IntPtr(FuncInt32UInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringInt32IntPtr(UInt32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringInt32IntPtr(FuncStringUInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringInt32IntPtr(UInt32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringInt32IntPtr(FuncUInt32UInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringInt32IntPtr(UInt32 param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringInt32IntPtr(FuncIntPtrUInt32StringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringStringUInt64(UInt32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringStringUInt64(ActionUInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringStringUInt64(UInt32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringStringUInt64(FuncUInt64UInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringStringUInt64(UInt32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringStringUInt64(FuncInt32UInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringStringUInt64(UInt32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringStringUInt64(FuncStringUInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringStringUInt64(UInt32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringStringUInt64(FuncUInt32UInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringStringUInt64(UInt32 param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringStringUInt64(FuncIntPtrUInt32StringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringStringInt32(UInt32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringStringInt32(ActionUInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringStringInt32(UInt32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringStringInt32(FuncUInt64UInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringStringInt32(UInt32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringStringInt32(FuncInt32UInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringStringInt32(UInt32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringStringInt32(FuncStringUInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringStringInt32(UInt32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringStringInt32(FuncUInt32UInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringStringInt32(UInt32 param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringStringInt32(FuncIntPtrUInt32StringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringStringString(UInt32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringStringString(ActionUInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringStringString(UInt32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringStringString(FuncUInt64UInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringStringString(UInt32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringStringString(FuncInt32UInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringStringString(UInt32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringStringString(FuncStringUInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringStringString(UInt32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringStringString(FuncUInt32UInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringStringString(UInt32 param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringStringString(FuncIntPtrUInt32StringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringStringUInt32(UInt32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringStringUInt32(ActionUInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringStringUInt32(UInt32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringStringUInt32(FuncUInt64UInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringStringUInt32(UInt32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringStringUInt32(FuncInt32UInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringStringUInt32(UInt32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringStringUInt32(FuncStringUInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringStringUInt32(UInt32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringStringUInt32(FuncUInt32UInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringStringUInt32(UInt32 param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringStringUInt32(FuncIntPtrUInt32StringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringStringIntPtr(UInt32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringStringIntPtr(ActionUInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringStringIntPtr(UInt32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringStringIntPtr(FuncUInt64UInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringStringIntPtr(UInt32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringStringIntPtr(FuncInt32UInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringStringIntPtr(UInt32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringStringIntPtr(FuncStringUInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringStringIntPtr(UInt32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringStringIntPtr(FuncUInt32UInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringStringIntPtr(UInt32 param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringStringIntPtr(FuncIntPtrUInt32StringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt32UInt64(UInt32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt32UInt64(ActionUInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt32UInt64(UInt32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt32UInt64(FuncUInt64UInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt32UInt64(UInt32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt32UInt64(FuncInt32UInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt32UInt64(UInt32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt32UInt64(FuncStringUInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt32UInt64(UInt32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt32UInt64(FuncUInt32UInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt32UInt64(UInt32 param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt32UInt64(FuncIntPtrUInt32StringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt32Int32(UInt32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt32Int32(ActionUInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt32Int32(UInt32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt32Int32(FuncUInt64UInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt32Int32(UInt32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt32Int32(FuncInt32UInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt32Int32(UInt32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt32Int32(FuncStringUInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt32Int32(UInt32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt32Int32(FuncUInt32UInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt32Int32(UInt32 param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt32Int32(FuncIntPtrUInt32StringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt32String(UInt32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt32String(ActionUInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt32String(UInt32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt32String(FuncUInt64UInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt32String(UInt32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt32String(FuncInt32UInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt32String(UInt32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt32String(FuncStringUInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt32String(UInt32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt32String(FuncUInt32UInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt32String(UInt32 param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt32String(FuncIntPtrUInt32StringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt32UInt32(UInt32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt32UInt32(ActionUInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt32UInt32(UInt32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt32UInt32(FuncUInt64UInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt32UInt32(UInt32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt32UInt32(FuncInt32UInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt32UInt32(UInt32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt32UInt32(FuncStringUInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt32UInt32(UInt32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt32UInt32(FuncUInt32UInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt32UInt32(UInt32 param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt32UInt32(FuncIntPtrUInt32StringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringUInt32IntPtr(UInt32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringUInt32IntPtr(ActionUInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringUInt32IntPtr(UInt32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringUInt32IntPtr(FuncUInt64UInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringUInt32IntPtr(UInt32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringUInt32IntPtr(FuncInt32UInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringUInt32IntPtr(UInt32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringUInt32IntPtr(FuncStringUInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringUInt32IntPtr(UInt32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringUInt32IntPtr(FuncUInt32UInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringUInt32IntPtr(UInt32 param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringUInt32IntPtr(FuncIntPtrUInt32StringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringIntPtrUInt64(UInt32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringIntPtrUInt64(ActionUInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringIntPtrUInt64(UInt32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringIntPtrUInt64(FuncUInt64UInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringIntPtrUInt64(UInt32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringIntPtrUInt64(FuncInt32UInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringIntPtrUInt64(UInt32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringIntPtrUInt64(FuncStringUInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringIntPtrUInt64(UInt32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringIntPtrUInt64(FuncUInt32UInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringIntPtrUInt64(UInt32 param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringIntPtrUInt64(FuncIntPtrUInt32StringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringIntPtrInt32(UInt32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringIntPtrInt32(ActionUInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringIntPtrInt32(UInt32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringIntPtrInt32(FuncUInt64UInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringIntPtrInt32(UInt32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringIntPtrInt32(FuncInt32UInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringIntPtrInt32(UInt32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringIntPtrInt32(FuncStringUInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringIntPtrInt32(UInt32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringIntPtrInt32(FuncUInt32UInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringIntPtrInt32(UInt32 param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringIntPtrInt32(FuncIntPtrUInt32StringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringIntPtrString(UInt32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringIntPtrString(ActionUInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringIntPtrString(UInt32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringIntPtrString(FuncUInt64UInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringIntPtrString(UInt32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringIntPtrString(FuncInt32UInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringIntPtrString(UInt32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringIntPtrString(FuncStringUInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringIntPtrString(UInt32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringIntPtrString(FuncUInt32UInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringIntPtrString(UInt32 param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringIntPtrString(FuncIntPtrUInt32StringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringIntPtrUInt32(UInt32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringIntPtrUInt32(ActionUInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringIntPtrUInt32(UInt32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringIntPtrUInt32(FuncUInt64UInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringIntPtrUInt32(UInt32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringIntPtrUInt32(FuncInt32UInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringIntPtrUInt32(UInt32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringIntPtrUInt32(FuncStringUInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringIntPtrUInt32(UInt32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringIntPtrUInt32(FuncUInt32UInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringIntPtrUInt32(UInt32 param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringIntPtrUInt32(FuncIntPtrUInt32StringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32StringIntPtrIntPtr(UInt32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32StringIntPtrIntPtr(ActionUInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32StringIntPtrIntPtr(UInt32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32StringIntPtrIntPtr(FuncUInt64UInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32StringIntPtrIntPtr(UInt32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32StringIntPtrIntPtr(FuncInt32UInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32StringIntPtrIntPtr(UInt32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32StringIntPtrIntPtr(FuncStringUInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32StringIntPtrIntPtr(UInt32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32StringIntPtrIntPtr(FuncUInt32UInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32StringIntPtrIntPtr(UInt32 param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32StringIntPtrIntPtr(FuncIntPtrUInt32StringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt64UInt64(UInt32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt64UInt64(ActionUInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt64UInt64(UInt32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt64UInt64(FuncUInt64UInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt64UInt64(UInt32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt64UInt64(FuncInt32UInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt64UInt64(UInt32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt64UInt64(FuncStringUInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt64UInt64(UInt32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt64UInt64(FuncUInt32UInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt64UInt64(UInt32 param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt64UInt64(FuncIntPtrUInt32UInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt64Int32(UInt32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt64Int32(ActionUInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt64Int32(UInt32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt64Int32(FuncUInt64UInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt64Int32(UInt32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt64Int32(FuncInt32UInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt64Int32(UInt32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt64Int32(FuncStringUInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt64Int32(UInt32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt64Int32(FuncUInt32UInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt64Int32(UInt32 param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt64Int32(FuncIntPtrUInt32UInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt64String(UInt32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt64String(ActionUInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt64String(UInt32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt64String(FuncUInt64UInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt64String(UInt32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt64String(FuncInt32UInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt64String(UInt32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt64String(FuncStringUInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt64String(UInt32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt64String(FuncUInt32UInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt64String(UInt32 param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt64String(FuncIntPtrUInt32UInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt64UInt32(UInt32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt64UInt32(ActionUInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt64UInt32(UInt32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt64UInt32(FuncUInt64UInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt64UInt32(UInt32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt64UInt32(FuncInt32UInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt64UInt32(UInt32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt64UInt32(FuncStringUInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt64UInt32(UInt32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt64UInt32(FuncUInt32UInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt64UInt32(UInt32 param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt64UInt32(FuncIntPtrUInt32UInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt64IntPtr(UInt32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt64IntPtr(ActionUInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt64IntPtr(UInt32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt64IntPtr(FuncUInt64UInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt64IntPtr(UInt32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt64IntPtr(FuncInt32UInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt64IntPtr(UInt32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt64IntPtr(FuncStringUInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt64IntPtr(UInt32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt64IntPtr(FuncUInt32UInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt64IntPtr(UInt32 param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt64IntPtr(FuncIntPtrUInt32UInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32Int32UInt64(UInt32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32Int32UInt64(ActionUInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32Int32UInt64(UInt32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32Int32UInt64(FuncUInt64UInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32Int32UInt64(UInt32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32Int32UInt64(FuncInt32UInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32Int32UInt64(UInt32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32Int32UInt64(FuncStringUInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32Int32UInt64(UInt32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32Int32UInt64(FuncUInt32UInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32Int32UInt64(UInt32 param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32Int32UInt64(FuncIntPtrUInt32UInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32Int32Int32(UInt32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32Int32Int32(ActionUInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32Int32Int32(UInt32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32Int32Int32(FuncUInt64UInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32Int32Int32(UInt32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32Int32Int32(FuncInt32UInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32Int32Int32(UInt32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32Int32Int32(FuncStringUInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32Int32Int32(UInt32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32Int32Int32(FuncUInt32UInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32Int32Int32(UInt32 param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32Int32Int32(FuncIntPtrUInt32UInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32Int32String(UInt32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32Int32String(ActionUInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32Int32String(UInt32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32Int32String(FuncUInt64UInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32Int32String(UInt32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32Int32String(FuncInt32UInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32Int32String(UInt32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32Int32String(FuncStringUInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32Int32String(UInt32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32Int32String(FuncUInt32UInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32Int32String(UInt32 param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32Int32String(FuncIntPtrUInt32UInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32Int32UInt32(UInt32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32Int32UInt32(ActionUInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32Int32UInt32(UInt32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32Int32UInt32(FuncUInt64UInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32Int32UInt32(UInt32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32Int32UInt32(FuncInt32UInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32Int32UInt32(UInt32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32Int32UInt32(FuncStringUInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32Int32UInt32(UInt32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32Int32UInt32(FuncUInt32UInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32Int32UInt32(UInt32 param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32Int32UInt32(FuncIntPtrUInt32UInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32Int32IntPtr(UInt32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32Int32IntPtr(ActionUInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32Int32IntPtr(UInt32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32Int32IntPtr(FuncUInt64UInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32Int32IntPtr(UInt32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32Int32IntPtr(FuncInt32UInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32Int32IntPtr(UInt32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32Int32IntPtr(FuncStringUInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32Int32IntPtr(UInt32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32Int32IntPtr(FuncUInt32UInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32Int32IntPtr(UInt32 param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32Int32IntPtr(FuncIntPtrUInt32UInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32StringUInt64(UInt32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32StringUInt64(ActionUInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32StringUInt64(UInt32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32StringUInt64(FuncUInt64UInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32StringUInt64(UInt32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32StringUInt64(FuncInt32UInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32StringUInt64(UInt32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32StringUInt64(FuncStringUInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32StringUInt64(UInt32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32StringUInt64(FuncUInt32UInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32StringUInt64(UInt32 param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32StringUInt64(FuncIntPtrUInt32UInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32StringInt32(UInt32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32StringInt32(ActionUInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32StringInt32(UInt32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32StringInt32(FuncUInt64UInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32StringInt32(UInt32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32StringInt32(FuncInt32UInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32StringInt32(UInt32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32StringInt32(FuncStringUInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32StringInt32(UInt32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32StringInt32(FuncUInt32UInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32StringInt32(UInt32 param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32StringInt32(FuncIntPtrUInt32UInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32StringString(UInt32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32StringString(ActionUInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32StringString(UInt32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32StringString(FuncUInt64UInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32StringString(UInt32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32StringString(FuncInt32UInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32StringString(UInt32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32StringString(FuncStringUInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32StringString(UInt32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32StringString(FuncUInt32UInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32StringString(UInt32 param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32StringString(FuncIntPtrUInt32UInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32StringUInt32(UInt32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32StringUInt32(ActionUInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32StringUInt32(UInt32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32StringUInt32(FuncUInt64UInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32StringUInt32(UInt32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32StringUInt32(FuncInt32UInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32StringUInt32(UInt32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32StringUInt32(FuncStringUInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32StringUInt32(UInt32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32StringUInt32(FuncUInt32UInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32StringUInt32(UInt32 param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32StringUInt32(FuncIntPtrUInt32UInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32StringIntPtr(UInt32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32StringIntPtr(ActionUInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32StringIntPtr(UInt32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32StringIntPtr(FuncUInt64UInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32StringIntPtr(UInt32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32StringIntPtr(FuncInt32UInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32StringIntPtr(UInt32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32StringIntPtr(FuncStringUInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32StringIntPtr(UInt32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32StringIntPtr(FuncUInt32UInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32StringIntPtr(UInt32 param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32StringIntPtr(FuncIntPtrUInt32UInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt32UInt64(ActionUInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt32UInt64(FuncUInt64UInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt32UInt64(FuncInt32UInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt32UInt64(FuncStringUInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt32UInt64(FuncUInt32UInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt32UInt64(UInt32 param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt32UInt64(FuncIntPtrUInt32UInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt32Int32(UInt32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt32Int32(ActionUInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt32Int32(UInt32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt32Int32(FuncUInt64UInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt32Int32(UInt32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt32Int32(FuncInt32UInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt32Int32(UInt32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt32Int32(FuncStringUInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt32Int32(UInt32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt32Int32(FuncUInt32UInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt32Int32(UInt32 param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt32Int32(FuncIntPtrUInt32UInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt32String(UInt32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt32String(ActionUInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt32String(UInt32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt32String(FuncUInt64UInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt32String(UInt32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt32String(FuncInt32UInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt32String(UInt32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt32String(FuncStringUInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt32String(UInt32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt32String(FuncUInt32UInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt32String(UInt32 param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt32String(FuncIntPtrUInt32UInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt32UInt32(ActionUInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt32UInt32(FuncUInt64UInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt32UInt32(FuncInt32UInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt32UInt32(FuncStringUInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt32UInt32(FuncUInt32UInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt32UInt32(UInt32 param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt32UInt32(FuncIntPtrUInt32UInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32UInt32IntPtr(UInt32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32UInt32IntPtr(ActionUInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32UInt32IntPtr(UInt32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32UInt32IntPtr(FuncUInt64UInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32UInt32IntPtr(UInt32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32UInt32IntPtr(FuncInt32UInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32UInt32IntPtr(UInt32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32UInt32IntPtr(FuncStringUInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32UInt32IntPtr(UInt32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32UInt32IntPtr(FuncUInt32UInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32UInt32IntPtr(UInt32 param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32UInt32IntPtr(FuncIntPtrUInt32UInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32IntPtrUInt64(UInt32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32IntPtrUInt64(ActionUInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32IntPtrUInt64(UInt32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32IntPtrUInt64(FuncUInt64UInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32IntPtrUInt64(UInt32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32IntPtrUInt64(FuncInt32UInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32IntPtrUInt64(UInt32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32IntPtrUInt64(FuncStringUInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32IntPtrUInt64(UInt32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32IntPtrUInt64(FuncUInt32UInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32IntPtrUInt64(UInt32 param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32IntPtrUInt64(FuncIntPtrUInt32UInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32IntPtrInt32(UInt32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32IntPtrInt32(ActionUInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32IntPtrInt32(UInt32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32IntPtrInt32(FuncUInt64UInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32IntPtrInt32(UInt32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32IntPtrInt32(FuncInt32UInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32IntPtrInt32(UInt32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32IntPtrInt32(FuncStringUInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32IntPtrInt32(UInt32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32IntPtrInt32(FuncUInt32UInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32IntPtrInt32(UInt32 param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32IntPtrInt32(FuncIntPtrUInt32UInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32IntPtrString(UInt32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32IntPtrString(ActionUInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32IntPtrString(UInt32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32IntPtrString(FuncUInt64UInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32IntPtrString(UInt32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32IntPtrString(FuncInt32UInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32IntPtrString(UInt32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32IntPtrString(FuncStringUInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32IntPtrString(UInt32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32IntPtrString(FuncUInt32UInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32IntPtrString(UInt32 param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32IntPtrString(FuncIntPtrUInt32UInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32IntPtrUInt32(UInt32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32IntPtrUInt32(ActionUInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32IntPtrUInt32(UInt32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32IntPtrUInt32(FuncUInt64UInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32IntPtrUInt32(UInt32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32IntPtrUInt32(FuncInt32UInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32IntPtrUInt32(UInt32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32IntPtrUInt32(FuncStringUInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32IntPtrUInt32(UInt32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32IntPtrUInt32(FuncUInt32UInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32IntPtrUInt32(UInt32 param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32IntPtrUInt32(FuncIntPtrUInt32UInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32UInt32IntPtrIntPtr(UInt32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32UInt32IntPtrIntPtr(ActionUInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32UInt32IntPtrIntPtr(UInt32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32UInt32IntPtrIntPtr(FuncUInt64UInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32UInt32IntPtrIntPtr(UInt32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32UInt32IntPtrIntPtr(FuncInt32UInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32UInt32IntPtrIntPtr(UInt32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32UInt32IntPtrIntPtr(FuncStringUInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32UInt32IntPtrIntPtr(UInt32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32UInt32IntPtrIntPtr(FuncUInt32UInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32UInt32IntPtrIntPtr(UInt32 param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32UInt32IntPtrIntPtr(FuncIntPtrUInt32UInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt64UInt64(UInt32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt64UInt64(ActionUInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt64UInt64(UInt32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt64UInt64(FuncUInt64UInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt64UInt64(UInt32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt64UInt64(FuncInt32UInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt64UInt64(UInt32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt64UInt64(FuncStringUInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt64UInt64(UInt32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt64UInt64(FuncUInt32UInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt64UInt64(UInt32 param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt64UInt64(FuncIntPtrUInt32IntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt64Int32(UInt32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt64Int32(ActionUInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt64Int32(UInt32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt64Int32(FuncUInt64UInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt64Int32(UInt32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt64Int32(FuncInt32UInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt64Int32(UInt32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt64Int32(FuncStringUInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt64Int32(UInt32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt64Int32(FuncUInt32UInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt64Int32(UInt32 param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt64Int32(FuncIntPtrUInt32IntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt64String(UInt32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt64String(ActionUInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt64String(UInt32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt64String(FuncUInt64UInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt64String(UInt32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt64String(FuncInt32UInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt64String(UInt32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt64String(FuncStringUInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt64String(UInt32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt64String(FuncUInt32UInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt64String(UInt32 param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt64String(FuncIntPtrUInt32IntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt64UInt32(UInt32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt64UInt32(ActionUInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt64UInt32(UInt32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt64UInt32(FuncUInt64UInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt64UInt32(UInt32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt64UInt32(FuncInt32UInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt64UInt32(UInt32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt64UInt32(FuncStringUInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt64UInt32(UInt32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt64UInt32(FuncUInt32UInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt64UInt32(UInt32 param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt64UInt32(FuncIntPtrUInt32IntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt64IntPtr(UInt32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt64IntPtr(ActionUInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt64IntPtr(UInt32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt64IntPtr(FuncUInt64UInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt64IntPtr(UInt32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt64IntPtr(FuncInt32UInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt64IntPtr(UInt32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt64IntPtr(FuncStringUInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt64IntPtr(UInt32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt64IntPtr(FuncUInt32UInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt64IntPtr(UInt32 param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt64IntPtr(FuncIntPtrUInt32IntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrInt32UInt64(UInt32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrInt32UInt64(ActionUInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrInt32UInt64(UInt32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrInt32UInt64(FuncUInt64UInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrInt32UInt64(UInt32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrInt32UInt64(FuncInt32UInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrInt32UInt64(UInt32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrInt32UInt64(FuncStringUInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrInt32UInt64(UInt32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrInt32UInt64(FuncUInt32UInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrInt32UInt64(UInt32 param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrInt32UInt64(FuncIntPtrUInt32IntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrInt32Int32(UInt32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrInt32Int32(ActionUInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrInt32Int32(UInt32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrInt32Int32(FuncUInt64UInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrInt32Int32(UInt32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrInt32Int32(FuncInt32UInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrInt32Int32(UInt32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrInt32Int32(FuncStringUInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrInt32Int32(UInt32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrInt32Int32(FuncUInt32UInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrInt32Int32(UInt32 param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrInt32Int32(FuncIntPtrUInt32IntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrInt32String(UInt32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrInt32String(ActionUInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrInt32String(UInt32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrInt32String(FuncUInt64UInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrInt32String(UInt32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrInt32String(FuncInt32UInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrInt32String(UInt32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrInt32String(FuncStringUInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrInt32String(UInt32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrInt32String(FuncUInt32UInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrInt32String(UInt32 param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrInt32String(FuncIntPtrUInt32IntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrInt32UInt32(UInt32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrInt32UInt32(ActionUInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrInt32UInt32(UInt32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrInt32UInt32(FuncUInt64UInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrInt32UInt32(UInt32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrInt32UInt32(FuncInt32UInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrInt32UInt32(UInt32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrInt32UInt32(FuncStringUInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrInt32UInt32(UInt32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrInt32UInt32(FuncUInt32UInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrInt32UInt32(UInt32 param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrInt32UInt32(FuncIntPtrUInt32IntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrInt32IntPtr(UInt32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrInt32IntPtr(ActionUInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrInt32IntPtr(UInt32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrInt32IntPtr(FuncUInt64UInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrInt32IntPtr(UInt32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrInt32IntPtr(FuncInt32UInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrInt32IntPtr(UInt32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrInt32IntPtr(FuncStringUInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrInt32IntPtr(UInt32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrInt32IntPtr(FuncUInt32UInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrInt32IntPtr(UInt32 param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrInt32IntPtr(FuncIntPtrUInt32IntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrStringUInt64(UInt32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrStringUInt64(ActionUInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrStringUInt64(UInt32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrStringUInt64(FuncUInt64UInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrStringUInt64(UInt32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrStringUInt64(FuncInt32UInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrStringUInt64(UInt32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrStringUInt64(FuncStringUInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrStringUInt64(UInt32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrStringUInt64(FuncUInt32UInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrStringUInt64(UInt32 param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrStringUInt64(FuncIntPtrUInt32IntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrStringInt32(UInt32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrStringInt32(ActionUInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrStringInt32(UInt32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrStringInt32(FuncUInt64UInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrStringInt32(UInt32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrStringInt32(FuncInt32UInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrStringInt32(UInt32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrStringInt32(FuncStringUInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrStringInt32(UInt32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrStringInt32(FuncUInt32UInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrStringInt32(UInt32 param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrStringInt32(FuncIntPtrUInt32IntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrStringString(UInt32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrStringString(ActionUInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrStringString(UInt32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrStringString(FuncUInt64UInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrStringString(UInt32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrStringString(FuncInt32UInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrStringString(UInt32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrStringString(FuncStringUInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrStringString(UInt32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrStringString(FuncUInt32UInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrStringString(UInt32 param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrStringString(FuncIntPtrUInt32IntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrStringUInt32(UInt32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrStringUInt32(ActionUInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrStringUInt32(UInt32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrStringUInt32(FuncUInt64UInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrStringUInt32(UInt32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrStringUInt32(FuncInt32UInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrStringUInt32(UInt32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrStringUInt32(FuncStringUInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrStringUInt32(UInt32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrStringUInt32(FuncUInt32UInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrStringUInt32(UInt32 param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrStringUInt32(FuncIntPtrUInt32IntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrStringIntPtr(UInt32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrStringIntPtr(ActionUInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrStringIntPtr(UInt32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrStringIntPtr(FuncUInt64UInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrStringIntPtr(UInt32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrStringIntPtr(FuncInt32UInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrStringIntPtr(UInt32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrStringIntPtr(FuncStringUInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrStringIntPtr(UInt32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrStringIntPtr(FuncUInt32UInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrStringIntPtr(UInt32 param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrStringIntPtr(FuncIntPtrUInt32IntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt32UInt64(UInt32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt32UInt64(ActionUInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt32UInt64(UInt32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt32UInt64(FuncUInt64UInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt32UInt64(UInt32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt32UInt64(FuncInt32UInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt32UInt64(UInt32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt32UInt64(FuncStringUInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt32UInt64(UInt32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt32UInt64(FuncUInt32UInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt32UInt64(UInt32 param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt32UInt64(FuncIntPtrUInt32IntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt32Int32(UInt32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt32Int32(ActionUInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt32Int32(UInt32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt32Int32(FuncUInt64UInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt32Int32(UInt32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt32Int32(FuncInt32UInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt32Int32(UInt32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt32Int32(FuncStringUInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt32Int32(UInt32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt32Int32(FuncUInt32UInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt32Int32(UInt32 param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt32Int32(FuncIntPtrUInt32IntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt32String(UInt32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt32String(ActionUInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt32String(UInt32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt32String(FuncUInt64UInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt32String(UInt32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt32String(FuncInt32UInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt32String(UInt32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt32String(FuncStringUInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt32String(UInt32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt32String(FuncUInt32UInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt32String(UInt32 param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt32String(FuncIntPtrUInt32IntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt32UInt32(UInt32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt32UInt32(ActionUInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt32UInt32(UInt32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt32UInt32(FuncUInt64UInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt32UInt32(UInt32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt32UInt32(FuncInt32UInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt32UInt32(UInt32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt32UInt32(FuncStringUInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt32UInt32(UInt32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt32UInt32(FuncUInt32UInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt32UInt32(UInt32 param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt32UInt32(FuncIntPtrUInt32IntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrUInt32IntPtr(UInt32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrUInt32IntPtr(ActionUInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrUInt32IntPtr(UInt32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrUInt32IntPtr(FuncUInt64UInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrUInt32IntPtr(UInt32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrUInt32IntPtr(FuncInt32UInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrUInt32IntPtr(UInt32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrUInt32IntPtr(FuncStringUInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrUInt32IntPtr(UInt32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrUInt32IntPtr(FuncUInt32UInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrUInt32IntPtr(UInt32 param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrUInt32IntPtr(FuncIntPtrUInt32IntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrIntPtrUInt64(UInt32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrIntPtrUInt64(ActionUInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrIntPtrUInt64(UInt32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrIntPtrUInt64(FuncUInt64UInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrIntPtrUInt64(UInt32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrIntPtrUInt64(FuncInt32UInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrIntPtrUInt64(UInt32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrIntPtrUInt64(FuncStringUInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrIntPtrUInt64(UInt32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrIntPtrUInt64(FuncUInt32UInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrIntPtrUInt64(UInt32 param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrIntPtrUInt64(FuncIntPtrUInt32IntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrIntPtrInt32(UInt32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrIntPtrInt32(ActionUInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrIntPtrInt32(UInt32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrIntPtrInt32(FuncUInt64UInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrIntPtrInt32(UInt32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrIntPtrInt32(FuncInt32UInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrIntPtrInt32(UInt32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrIntPtrInt32(FuncStringUInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrIntPtrInt32(UInt32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrIntPtrInt32(FuncUInt32UInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrIntPtrInt32(UInt32 param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrIntPtrInt32(FuncIntPtrUInt32IntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrIntPtrString(UInt32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrIntPtrString(ActionUInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrIntPtrString(UInt32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrIntPtrString(FuncUInt64UInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrIntPtrString(UInt32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrIntPtrString(FuncInt32UInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrIntPtrString(UInt32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrIntPtrString(FuncStringUInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrIntPtrString(UInt32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrIntPtrString(FuncUInt32UInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrIntPtrString(UInt32 param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrIntPtrString(FuncIntPtrUInt32IntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrIntPtrUInt32(UInt32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrIntPtrUInt32(ActionUInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrIntPtrUInt32(UInt32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrIntPtrUInt32(FuncUInt64UInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrIntPtrUInt32(UInt32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrIntPtrUInt32(FuncInt32UInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrIntPtrUInt32(UInt32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrIntPtrUInt32(FuncStringUInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrIntPtrUInt32(UInt32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrIntPtrUInt32(FuncUInt32UInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrIntPtrUInt32(UInt32 param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrIntPtrUInt32(FuncIntPtrUInt32IntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionUInt32IntPtrIntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionUInt32IntPtrIntPtrIntPtr(ActionUInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64UInt32IntPtrIntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64UInt32IntPtrIntPtrIntPtr(FuncUInt64UInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32UInt32IntPtrIntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32UInt32IntPtrIntPtrIntPtr(FuncInt32UInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringUInt32IntPtrIntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringUInt32IntPtrIntPtrIntPtr(FuncStringUInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32UInt32IntPtrIntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32UInt32IntPtrIntPtrIntPtr(FuncUInt32UInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrUInt32IntPtrIntPtrIntPtr(UInt32 param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrUInt32IntPtrIntPtrIntPtr(FuncIntPtrUInt32IntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt64UInt64(ActionIntPtrUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt64UInt64(FuncUInt64IntPtrUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt64UInt64(FuncInt32IntPtrUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt64UInt64(FuncStringIntPtrUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt64UInt64(FuncUInt32IntPtrUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt64UInt64(IntPtr param0, UInt64 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt64UInt64(FuncIntPtrIntPtrUInt64UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt64Int32(IntPtr param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt64Int32(ActionIntPtrUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt64Int32(IntPtr param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt64Int32(FuncUInt64IntPtrUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt64Int32(IntPtr param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt64Int32(FuncInt32IntPtrUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt64Int32(IntPtr param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt64Int32(FuncStringIntPtrUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt64Int32(IntPtr param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt64Int32(FuncUInt32IntPtrUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt64Int32(IntPtr param0, UInt64 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt64Int32(FuncIntPtrIntPtrUInt64UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt64String(IntPtr param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt64String(ActionIntPtrUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt64String(IntPtr param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt64String(FuncUInt64IntPtrUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt64String(IntPtr param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt64String(FuncInt32IntPtrUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt64String(IntPtr param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt64String(FuncStringIntPtrUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt64String(IntPtr param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt64String(FuncUInt32IntPtrUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt64String(IntPtr param0, UInt64 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt64String(FuncIntPtrIntPtrUInt64UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt64UInt32(IntPtr param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt64UInt32(ActionIntPtrUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt64UInt32(IntPtr param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt64UInt32(FuncUInt64IntPtrUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt64UInt32(IntPtr param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt64UInt32(FuncInt32IntPtrUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt64UInt32(IntPtr param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt64UInt32(FuncStringIntPtrUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt64UInt32(IntPtr param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt64UInt32(FuncUInt32IntPtrUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt64UInt32(IntPtr param0, UInt64 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt64UInt32(FuncIntPtrIntPtrUInt64UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt64IntPtr(IntPtr param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt64IntPtr(ActionIntPtrUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt64IntPtr(IntPtr param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt64IntPtr(FuncUInt64IntPtrUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt64IntPtr(IntPtr param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt64IntPtr(FuncInt32IntPtrUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt64IntPtr(IntPtr param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt64IntPtr(FuncStringIntPtrUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt64IntPtr(IntPtr param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt64IntPtr(FuncUInt32IntPtrUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt64IntPtr(IntPtr param0, UInt64 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt64IntPtr(FuncIntPtrIntPtrUInt64UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64Int32UInt64(IntPtr param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64Int32UInt64(ActionIntPtrUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64Int32UInt64(IntPtr param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64Int32UInt64(FuncUInt64IntPtrUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64Int32UInt64(IntPtr param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64Int32UInt64(FuncInt32IntPtrUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64Int32UInt64(IntPtr param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64Int32UInt64(FuncStringIntPtrUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64Int32UInt64(IntPtr param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64Int32UInt64(FuncUInt32IntPtrUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64Int32UInt64(IntPtr param0, UInt64 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64Int32UInt64(FuncIntPtrIntPtrUInt64Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64Int32Int32(IntPtr param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64Int32Int32(ActionIntPtrUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64Int32Int32(IntPtr param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64Int32Int32(FuncUInt64IntPtrUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64Int32Int32(IntPtr param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64Int32Int32(FuncInt32IntPtrUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64Int32Int32(IntPtr param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64Int32Int32(FuncStringIntPtrUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64Int32Int32(IntPtr param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64Int32Int32(FuncUInt32IntPtrUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64Int32Int32(IntPtr param0, UInt64 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64Int32Int32(FuncIntPtrIntPtrUInt64Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64Int32String(IntPtr param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64Int32String(ActionIntPtrUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64Int32String(IntPtr param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64Int32String(FuncUInt64IntPtrUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64Int32String(IntPtr param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64Int32String(FuncInt32IntPtrUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64Int32String(IntPtr param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64Int32String(FuncStringIntPtrUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64Int32String(IntPtr param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64Int32String(FuncUInt32IntPtrUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64Int32String(IntPtr param0, UInt64 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64Int32String(FuncIntPtrIntPtrUInt64Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64Int32UInt32(IntPtr param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64Int32UInt32(ActionIntPtrUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64Int32UInt32(IntPtr param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64Int32UInt32(FuncUInt64IntPtrUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64Int32UInt32(IntPtr param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64Int32UInt32(FuncInt32IntPtrUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64Int32UInt32(IntPtr param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64Int32UInt32(FuncStringIntPtrUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64Int32UInt32(IntPtr param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64Int32UInt32(FuncUInt32IntPtrUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64Int32UInt32(IntPtr param0, UInt64 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64Int32UInt32(FuncIntPtrIntPtrUInt64Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64Int32IntPtr(IntPtr param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64Int32IntPtr(ActionIntPtrUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64Int32IntPtr(IntPtr param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64Int32IntPtr(FuncUInt64IntPtrUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64Int32IntPtr(IntPtr param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64Int32IntPtr(FuncInt32IntPtrUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64Int32IntPtr(IntPtr param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64Int32IntPtr(FuncStringIntPtrUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64Int32IntPtr(IntPtr param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64Int32IntPtr(FuncUInt32IntPtrUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64Int32IntPtr(IntPtr param0, UInt64 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64Int32IntPtr(FuncIntPtrIntPtrUInt64Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64StringUInt64(IntPtr param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64StringUInt64(ActionIntPtrUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64StringUInt64(IntPtr param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64StringUInt64(FuncUInt64IntPtrUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64StringUInt64(IntPtr param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64StringUInt64(FuncInt32IntPtrUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64StringUInt64(IntPtr param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64StringUInt64(FuncStringIntPtrUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64StringUInt64(IntPtr param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64StringUInt64(FuncUInt32IntPtrUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64StringUInt64(IntPtr param0, UInt64 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64StringUInt64(FuncIntPtrIntPtrUInt64StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64StringInt32(IntPtr param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64StringInt32(ActionIntPtrUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64StringInt32(IntPtr param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64StringInt32(FuncUInt64IntPtrUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64StringInt32(IntPtr param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64StringInt32(FuncInt32IntPtrUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64StringInt32(IntPtr param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64StringInt32(FuncStringIntPtrUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64StringInt32(IntPtr param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64StringInt32(FuncUInt32IntPtrUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64StringInt32(IntPtr param0, UInt64 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64StringInt32(FuncIntPtrIntPtrUInt64StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64StringString(IntPtr param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64StringString(ActionIntPtrUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64StringString(IntPtr param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64StringString(FuncUInt64IntPtrUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64StringString(IntPtr param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64StringString(FuncInt32IntPtrUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64StringString(IntPtr param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64StringString(FuncStringIntPtrUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64StringString(IntPtr param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64StringString(FuncUInt32IntPtrUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64StringString(IntPtr param0, UInt64 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64StringString(FuncIntPtrIntPtrUInt64StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64StringUInt32(IntPtr param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64StringUInt32(ActionIntPtrUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64StringUInt32(IntPtr param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64StringUInt32(FuncUInt64IntPtrUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64StringUInt32(IntPtr param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64StringUInt32(FuncInt32IntPtrUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64StringUInt32(IntPtr param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64StringUInt32(FuncStringIntPtrUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64StringUInt32(IntPtr param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64StringUInt32(FuncUInt32IntPtrUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64StringUInt32(IntPtr param0, UInt64 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64StringUInt32(FuncIntPtrIntPtrUInt64StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64StringIntPtr(IntPtr param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64StringIntPtr(ActionIntPtrUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64StringIntPtr(IntPtr param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64StringIntPtr(FuncUInt64IntPtrUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64StringIntPtr(IntPtr param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64StringIntPtr(FuncInt32IntPtrUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64StringIntPtr(IntPtr param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64StringIntPtr(FuncStringIntPtrUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64StringIntPtr(IntPtr param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64StringIntPtr(FuncUInt32IntPtrUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64StringIntPtr(IntPtr param0, UInt64 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64StringIntPtr(FuncIntPtrIntPtrUInt64StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt32UInt64(IntPtr param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt32UInt64(ActionIntPtrUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt32UInt64(IntPtr param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt32UInt64(FuncUInt64IntPtrUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt32UInt64(IntPtr param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt32UInt64(FuncInt32IntPtrUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt32UInt64(IntPtr param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt32UInt64(FuncStringIntPtrUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt32UInt64(IntPtr param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt32UInt64(FuncUInt32IntPtrUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt32UInt64(IntPtr param0, UInt64 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt32UInt64(FuncIntPtrIntPtrUInt64UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt32Int32(IntPtr param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt32Int32(ActionIntPtrUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt32Int32(IntPtr param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt32Int32(FuncUInt64IntPtrUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt32Int32(IntPtr param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt32Int32(FuncInt32IntPtrUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt32Int32(IntPtr param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt32Int32(FuncStringIntPtrUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt32Int32(IntPtr param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt32Int32(FuncUInt32IntPtrUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt32Int32(IntPtr param0, UInt64 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt32Int32(FuncIntPtrIntPtrUInt64UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt32String(IntPtr param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt32String(ActionIntPtrUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt32String(IntPtr param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt32String(FuncUInt64IntPtrUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt32String(IntPtr param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt32String(FuncInt32IntPtrUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt32String(IntPtr param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt32String(FuncStringIntPtrUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt32String(IntPtr param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt32String(FuncUInt32IntPtrUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt32String(IntPtr param0, UInt64 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt32String(FuncIntPtrIntPtrUInt64UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt32UInt32(IntPtr param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt32UInt32(ActionIntPtrUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt32UInt32(IntPtr param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt32UInt32(FuncUInt64IntPtrUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt32UInt32(IntPtr param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt32UInt32(FuncInt32IntPtrUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt32UInt32(IntPtr param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt32UInt32(FuncStringIntPtrUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt32UInt32(IntPtr param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt32UInt32(FuncUInt32IntPtrUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt32UInt32(IntPtr param0, UInt64 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt32UInt32(FuncIntPtrIntPtrUInt64UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64UInt32IntPtr(IntPtr param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64UInt32IntPtr(ActionIntPtrUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64UInt32IntPtr(IntPtr param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64UInt32IntPtr(FuncUInt64IntPtrUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64UInt32IntPtr(IntPtr param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64UInt32IntPtr(FuncInt32IntPtrUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64UInt32IntPtr(IntPtr param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64UInt32IntPtr(FuncStringIntPtrUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64UInt32IntPtr(IntPtr param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64UInt32IntPtr(FuncUInt32IntPtrUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64UInt32IntPtr(IntPtr param0, UInt64 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64UInt32IntPtr(FuncIntPtrIntPtrUInt64UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64IntPtrUInt64(IntPtr param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64IntPtrUInt64(ActionIntPtrUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64IntPtrUInt64(IntPtr param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64IntPtrUInt64(FuncUInt64IntPtrUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64IntPtrUInt64(IntPtr param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64IntPtrUInt64(FuncInt32IntPtrUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64IntPtrUInt64(IntPtr param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64IntPtrUInt64(FuncStringIntPtrUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64IntPtrUInt64(IntPtr param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64IntPtrUInt64(FuncUInt32IntPtrUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64IntPtrUInt64(IntPtr param0, UInt64 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64IntPtrUInt64(FuncIntPtrIntPtrUInt64IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64IntPtrInt32(IntPtr param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64IntPtrInt32(ActionIntPtrUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64IntPtrInt32(IntPtr param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64IntPtrInt32(FuncUInt64IntPtrUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64IntPtrInt32(IntPtr param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64IntPtrInt32(FuncInt32IntPtrUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64IntPtrInt32(IntPtr param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64IntPtrInt32(FuncStringIntPtrUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64IntPtrInt32(IntPtr param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64IntPtrInt32(FuncUInt32IntPtrUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64IntPtrInt32(IntPtr param0, UInt64 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64IntPtrInt32(FuncIntPtrIntPtrUInt64IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64IntPtrString(IntPtr param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64IntPtrString(ActionIntPtrUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64IntPtrString(IntPtr param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64IntPtrString(FuncUInt64IntPtrUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64IntPtrString(IntPtr param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64IntPtrString(FuncInt32IntPtrUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64IntPtrString(IntPtr param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64IntPtrString(FuncStringIntPtrUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64IntPtrString(IntPtr param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64IntPtrString(FuncUInt32IntPtrUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64IntPtrString(IntPtr param0, UInt64 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64IntPtrString(FuncIntPtrIntPtrUInt64IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64IntPtrUInt32(IntPtr param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64IntPtrUInt32(ActionIntPtrUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64IntPtrUInt32(IntPtr param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64IntPtrUInt32(FuncUInt64IntPtrUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64IntPtrUInt32(IntPtr param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64IntPtrUInt32(FuncInt32IntPtrUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64IntPtrUInt32(IntPtr param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64IntPtrUInt32(FuncStringIntPtrUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64IntPtrUInt32(IntPtr param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64IntPtrUInt32(FuncUInt32IntPtrUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64IntPtrUInt32(IntPtr param0, UInt64 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64IntPtrUInt32(FuncIntPtrIntPtrUInt64IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt64IntPtrIntPtr(IntPtr param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt64IntPtrIntPtr(ActionIntPtrUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt64IntPtrIntPtr(IntPtr param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt64IntPtrIntPtr(FuncUInt64IntPtrUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt64IntPtrIntPtr(IntPtr param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt64IntPtrIntPtr(FuncInt32IntPtrUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt64IntPtrIntPtr(IntPtr param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt64IntPtrIntPtr(FuncStringIntPtrUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt64IntPtrIntPtr(IntPtr param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt64IntPtrIntPtr(FuncUInt32IntPtrUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt64IntPtrIntPtr(IntPtr param0, UInt64 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt64IntPtrIntPtr(FuncIntPtrIntPtrUInt64IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt64UInt64(IntPtr param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt64UInt64(ActionIntPtrInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt64UInt64(IntPtr param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt64UInt64(FuncUInt64IntPtrInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt64UInt64(IntPtr param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt64UInt64(FuncInt32IntPtrInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt64UInt64(IntPtr param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt64UInt64(FuncStringIntPtrInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt64UInt64(IntPtr param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt64UInt64(FuncUInt32IntPtrInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt64UInt64(IntPtr param0, Int32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt64UInt64(FuncIntPtrIntPtrInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt64Int32(IntPtr param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt64Int32(ActionIntPtrInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt64Int32(IntPtr param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt64Int32(FuncUInt64IntPtrInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt64Int32(IntPtr param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt64Int32(FuncInt32IntPtrInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt64Int32(IntPtr param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt64Int32(FuncStringIntPtrInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt64Int32(IntPtr param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt64Int32(FuncUInt32IntPtrInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt64Int32(IntPtr param0, Int32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt64Int32(FuncIntPtrIntPtrInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt64String(IntPtr param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt64String(ActionIntPtrInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt64String(IntPtr param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt64String(FuncUInt64IntPtrInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt64String(IntPtr param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt64String(FuncInt32IntPtrInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt64String(IntPtr param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt64String(FuncStringIntPtrInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt64String(IntPtr param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt64String(FuncUInt32IntPtrInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt64String(IntPtr param0, Int32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt64String(FuncIntPtrIntPtrInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt64UInt32(IntPtr param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt64UInt32(ActionIntPtrInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt64UInt32(IntPtr param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt64UInt32(FuncUInt64IntPtrInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt64UInt32(IntPtr param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt64UInt32(FuncInt32IntPtrInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt64UInt32(IntPtr param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt64UInt32(FuncStringIntPtrInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt64UInt32(IntPtr param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt64UInt32(FuncUInt32IntPtrInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt64UInt32(IntPtr param0, Int32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt64UInt32(FuncIntPtrIntPtrInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt64IntPtr(IntPtr param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt64IntPtr(ActionIntPtrInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt64IntPtr(IntPtr param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt64IntPtr(FuncUInt64IntPtrInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt64IntPtr(IntPtr param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt64IntPtr(FuncInt32IntPtrInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt64IntPtr(IntPtr param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt64IntPtr(FuncStringIntPtrInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt64IntPtr(IntPtr param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt64IntPtr(FuncUInt32IntPtrInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt64IntPtr(IntPtr param0, Int32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt64IntPtr(FuncIntPtrIntPtrInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32Int32UInt64(IntPtr param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32Int32UInt64(ActionIntPtrInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32Int32UInt64(IntPtr param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32Int32UInt64(FuncUInt64IntPtrInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32Int32UInt64(IntPtr param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32Int32UInt64(FuncInt32IntPtrInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32Int32UInt64(IntPtr param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32Int32UInt64(FuncStringIntPtrInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32Int32UInt64(IntPtr param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32Int32UInt64(FuncUInt32IntPtrInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32Int32UInt64(IntPtr param0, Int32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32Int32UInt64(FuncIntPtrIntPtrInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32Int32Int32(IntPtr param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32Int32Int32(ActionIntPtrInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32Int32Int32(IntPtr param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32Int32Int32(FuncUInt64IntPtrInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32Int32Int32(IntPtr param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32Int32Int32(FuncInt32IntPtrInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32Int32Int32(IntPtr param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32Int32Int32(FuncStringIntPtrInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32Int32Int32(IntPtr param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32Int32Int32(FuncUInt32IntPtrInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32Int32Int32(IntPtr param0, Int32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32Int32Int32(FuncIntPtrIntPtrInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32Int32String(IntPtr param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32Int32String(ActionIntPtrInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32Int32String(IntPtr param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32Int32String(FuncUInt64IntPtrInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32Int32String(IntPtr param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32Int32String(FuncInt32IntPtrInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32Int32String(IntPtr param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32Int32String(FuncStringIntPtrInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32Int32String(IntPtr param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32Int32String(FuncUInt32IntPtrInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32Int32String(IntPtr param0, Int32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32Int32String(FuncIntPtrIntPtrInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32Int32UInt32(IntPtr param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32Int32UInt32(ActionIntPtrInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32Int32UInt32(IntPtr param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32Int32UInt32(FuncUInt64IntPtrInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32Int32UInt32(IntPtr param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32Int32UInt32(FuncInt32IntPtrInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32Int32UInt32(IntPtr param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32Int32UInt32(FuncStringIntPtrInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32Int32UInt32(IntPtr param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32Int32UInt32(FuncUInt32IntPtrInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32Int32UInt32(IntPtr param0, Int32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32Int32UInt32(FuncIntPtrIntPtrInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32Int32IntPtr(IntPtr param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32Int32IntPtr(ActionIntPtrInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32Int32IntPtr(IntPtr param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32Int32IntPtr(FuncUInt64IntPtrInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32Int32IntPtr(IntPtr param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32Int32IntPtr(FuncInt32IntPtrInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32Int32IntPtr(IntPtr param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32Int32IntPtr(FuncStringIntPtrInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32Int32IntPtr(IntPtr param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32Int32IntPtr(FuncUInt32IntPtrInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32Int32IntPtr(IntPtr param0, Int32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32Int32IntPtr(FuncIntPtrIntPtrInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32StringUInt64(IntPtr param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32StringUInt64(ActionIntPtrInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32StringUInt64(IntPtr param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32StringUInt64(FuncUInt64IntPtrInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32StringUInt64(IntPtr param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32StringUInt64(FuncInt32IntPtrInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32StringUInt64(IntPtr param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32StringUInt64(FuncStringIntPtrInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32StringUInt64(IntPtr param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32StringUInt64(FuncUInt32IntPtrInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32StringUInt64(IntPtr param0, Int32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32StringUInt64(FuncIntPtrIntPtrInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32StringInt32(IntPtr param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32StringInt32(ActionIntPtrInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32StringInt32(IntPtr param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32StringInt32(FuncUInt64IntPtrInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32StringInt32(IntPtr param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32StringInt32(FuncInt32IntPtrInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32StringInt32(IntPtr param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32StringInt32(FuncStringIntPtrInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32StringInt32(IntPtr param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32StringInt32(FuncUInt32IntPtrInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32StringInt32(IntPtr param0, Int32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32StringInt32(FuncIntPtrIntPtrInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32StringString(IntPtr param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32StringString(ActionIntPtrInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32StringString(IntPtr param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32StringString(FuncUInt64IntPtrInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32StringString(IntPtr param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32StringString(FuncInt32IntPtrInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32StringString(IntPtr param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32StringString(FuncStringIntPtrInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32StringString(IntPtr param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32StringString(FuncUInt32IntPtrInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32StringString(IntPtr param0, Int32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32StringString(FuncIntPtrIntPtrInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32StringUInt32(IntPtr param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32StringUInt32(ActionIntPtrInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32StringUInt32(IntPtr param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32StringUInt32(FuncUInt64IntPtrInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32StringUInt32(IntPtr param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32StringUInt32(FuncInt32IntPtrInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32StringUInt32(IntPtr param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32StringUInt32(FuncStringIntPtrInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32StringUInt32(IntPtr param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32StringUInt32(FuncUInt32IntPtrInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32StringUInt32(IntPtr param0, Int32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32StringUInt32(FuncIntPtrIntPtrInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32StringIntPtr(IntPtr param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32StringIntPtr(ActionIntPtrInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32StringIntPtr(IntPtr param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32StringIntPtr(FuncUInt64IntPtrInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32StringIntPtr(IntPtr param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32StringIntPtr(FuncInt32IntPtrInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32StringIntPtr(IntPtr param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32StringIntPtr(FuncStringIntPtrInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32StringIntPtr(IntPtr param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32StringIntPtr(FuncUInt32IntPtrInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32StringIntPtr(IntPtr param0, Int32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32StringIntPtr(FuncIntPtrIntPtrInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt32UInt64(IntPtr param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt32UInt64(ActionIntPtrInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt32UInt64(IntPtr param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt32UInt64(FuncUInt64IntPtrInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt32UInt64(IntPtr param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt32UInt64(FuncInt32IntPtrInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt32UInt64(IntPtr param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt32UInt64(FuncStringIntPtrInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt32UInt64(IntPtr param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt32UInt64(FuncUInt32IntPtrInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt32UInt64(IntPtr param0, Int32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt32UInt64(FuncIntPtrIntPtrInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt32Int32(IntPtr param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt32Int32(ActionIntPtrInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt32Int32(IntPtr param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt32Int32(FuncUInt64IntPtrInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt32Int32(IntPtr param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt32Int32(FuncInt32IntPtrInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt32Int32(IntPtr param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt32Int32(FuncStringIntPtrInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt32Int32(IntPtr param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt32Int32(FuncUInt32IntPtrInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt32Int32(IntPtr param0, Int32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt32Int32(FuncIntPtrIntPtrInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt32String(IntPtr param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt32String(ActionIntPtrInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt32String(IntPtr param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt32String(FuncUInt64IntPtrInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt32String(IntPtr param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt32String(FuncInt32IntPtrInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt32String(IntPtr param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt32String(FuncStringIntPtrInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt32String(IntPtr param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt32String(FuncUInt32IntPtrInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt32String(IntPtr param0, Int32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt32String(FuncIntPtrIntPtrInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt32UInt32(ActionIntPtrInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt32UInt32(FuncUInt64IntPtrInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt32UInt32(FuncInt32IntPtrInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt32UInt32(FuncStringIntPtrInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt32UInt32(FuncUInt32IntPtrInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt32UInt32(IntPtr param0, Int32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt32UInt32(FuncIntPtrIntPtrInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32UInt32IntPtr(IntPtr param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32UInt32IntPtr(ActionIntPtrInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32UInt32IntPtr(IntPtr param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32UInt32IntPtr(FuncUInt64IntPtrInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32UInt32IntPtr(IntPtr param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32UInt32IntPtr(FuncInt32IntPtrInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32UInt32IntPtr(IntPtr param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32UInt32IntPtr(FuncStringIntPtrInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32UInt32IntPtr(IntPtr param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32UInt32IntPtr(FuncUInt32IntPtrInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32UInt32IntPtr(IntPtr param0, Int32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32UInt32IntPtr(FuncIntPtrIntPtrInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32IntPtrUInt64(IntPtr param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32IntPtrUInt64(ActionIntPtrInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32IntPtrUInt64(IntPtr param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32IntPtrUInt64(FuncUInt64IntPtrInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32IntPtrUInt64(IntPtr param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32IntPtrUInt64(FuncInt32IntPtrInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32IntPtrUInt64(IntPtr param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32IntPtrUInt64(FuncStringIntPtrInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32IntPtrUInt64(IntPtr param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32IntPtrUInt64(FuncUInt32IntPtrInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32IntPtrUInt64(IntPtr param0, Int32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32IntPtrUInt64(FuncIntPtrIntPtrInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32IntPtrInt32(IntPtr param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32IntPtrInt32(ActionIntPtrInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32IntPtrInt32(IntPtr param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32IntPtrInt32(FuncUInt64IntPtrInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32IntPtrInt32(IntPtr param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32IntPtrInt32(FuncInt32IntPtrInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32IntPtrInt32(IntPtr param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32IntPtrInt32(FuncStringIntPtrInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32IntPtrInt32(IntPtr param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32IntPtrInt32(FuncUInt32IntPtrInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32IntPtrInt32(IntPtr param0, Int32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32IntPtrInt32(FuncIntPtrIntPtrInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32IntPtrString(IntPtr param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32IntPtrString(ActionIntPtrInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32IntPtrString(IntPtr param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32IntPtrString(FuncUInt64IntPtrInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32IntPtrString(IntPtr param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32IntPtrString(FuncInt32IntPtrInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32IntPtrString(IntPtr param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32IntPtrString(FuncStringIntPtrInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32IntPtrString(IntPtr param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32IntPtrString(FuncUInt32IntPtrInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32IntPtrString(IntPtr param0, Int32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32IntPtrString(FuncIntPtrIntPtrInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32IntPtrUInt32(IntPtr param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32IntPtrUInt32(ActionIntPtrInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32IntPtrUInt32(IntPtr param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32IntPtrUInt32(FuncUInt64IntPtrInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32IntPtrUInt32(IntPtr param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32IntPtrUInt32(FuncInt32IntPtrInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32IntPtrUInt32(IntPtr param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32IntPtrUInt32(FuncStringIntPtrInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32IntPtrUInt32(IntPtr param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32IntPtrUInt32(FuncUInt32IntPtrInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32IntPtrUInt32(IntPtr param0, Int32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32IntPtrUInt32(FuncIntPtrIntPtrInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrInt32IntPtrIntPtr(IntPtr param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrInt32IntPtrIntPtr(ActionIntPtrInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrInt32IntPtrIntPtr(IntPtr param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrInt32IntPtrIntPtr(FuncUInt64IntPtrInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrInt32IntPtrIntPtr(IntPtr param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrInt32IntPtrIntPtr(FuncInt32IntPtrInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrInt32IntPtrIntPtr(IntPtr param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrInt32IntPtrIntPtr(FuncStringIntPtrInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrInt32IntPtrIntPtr(IntPtr param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrInt32IntPtrIntPtr(FuncUInt32IntPtrInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrInt32IntPtrIntPtr(IntPtr param0, Int32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrInt32IntPtrIntPtr(FuncIntPtrIntPtrInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt64UInt64(IntPtr param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt64UInt64(ActionIntPtrStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt64UInt64(IntPtr param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt64UInt64(FuncUInt64IntPtrStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt64UInt64(IntPtr param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt64UInt64(FuncInt32IntPtrStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt64UInt64(IntPtr param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt64UInt64(FuncStringIntPtrStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt64UInt64(IntPtr param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt64UInt64(FuncUInt32IntPtrStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt64UInt64(IntPtr param0, String param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt64UInt64(FuncIntPtrIntPtrStringUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt64Int32(IntPtr param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt64Int32(ActionIntPtrStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt64Int32(IntPtr param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt64Int32(FuncUInt64IntPtrStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt64Int32(IntPtr param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt64Int32(FuncInt32IntPtrStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt64Int32(IntPtr param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt64Int32(FuncStringIntPtrStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt64Int32(IntPtr param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt64Int32(FuncUInt32IntPtrStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt64Int32(IntPtr param0, String param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt64Int32(FuncIntPtrIntPtrStringUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt64String(IntPtr param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt64String(ActionIntPtrStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt64String(IntPtr param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt64String(FuncUInt64IntPtrStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt64String(IntPtr param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt64String(FuncInt32IntPtrStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt64String(IntPtr param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt64String(FuncStringIntPtrStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt64String(IntPtr param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt64String(FuncUInt32IntPtrStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt64String(IntPtr param0, String param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt64String(FuncIntPtrIntPtrStringUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt64UInt32(IntPtr param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt64UInt32(ActionIntPtrStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt64UInt32(IntPtr param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt64UInt32(FuncUInt64IntPtrStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt64UInt32(IntPtr param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt64UInt32(FuncInt32IntPtrStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt64UInt32(IntPtr param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt64UInt32(FuncStringIntPtrStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt64UInt32(IntPtr param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt64UInt32(FuncUInt32IntPtrStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt64UInt32(IntPtr param0, String param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt64UInt32(FuncIntPtrIntPtrStringUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt64IntPtr(IntPtr param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt64IntPtr(ActionIntPtrStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt64IntPtr(IntPtr param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt64IntPtr(FuncUInt64IntPtrStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt64IntPtr(IntPtr param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt64IntPtr(FuncInt32IntPtrStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt64IntPtr(IntPtr param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt64IntPtr(FuncStringIntPtrStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt64IntPtr(IntPtr param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt64IntPtr(FuncUInt32IntPtrStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt64IntPtr(IntPtr param0, String param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt64IntPtr(FuncIntPtrIntPtrStringUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringInt32UInt64(IntPtr param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringInt32UInt64(ActionIntPtrStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringInt32UInt64(IntPtr param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringInt32UInt64(FuncUInt64IntPtrStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringInt32UInt64(IntPtr param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringInt32UInt64(FuncInt32IntPtrStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringInt32UInt64(IntPtr param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringInt32UInt64(FuncStringIntPtrStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringInt32UInt64(IntPtr param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringInt32UInt64(FuncUInt32IntPtrStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringInt32UInt64(IntPtr param0, String param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringInt32UInt64(FuncIntPtrIntPtrStringInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringInt32Int32(IntPtr param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringInt32Int32(ActionIntPtrStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringInt32Int32(IntPtr param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringInt32Int32(FuncUInt64IntPtrStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringInt32Int32(IntPtr param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringInt32Int32(FuncInt32IntPtrStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringInt32Int32(IntPtr param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringInt32Int32(FuncStringIntPtrStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringInt32Int32(IntPtr param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringInt32Int32(FuncUInt32IntPtrStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringInt32Int32(IntPtr param0, String param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringInt32Int32(FuncIntPtrIntPtrStringInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringInt32String(IntPtr param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringInt32String(ActionIntPtrStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringInt32String(IntPtr param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringInt32String(FuncUInt64IntPtrStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringInt32String(IntPtr param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringInt32String(FuncInt32IntPtrStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringInt32String(IntPtr param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringInt32String(FuncStringIntPtrStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringInt32String(IntPtr param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringInt32String(FuncUInt32IntPtrStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringInt32String(IntPtr param0, String param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringInt32String(FuncIntPtrIntPtrStringInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringInt32UInt32(IntPtr param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringInt32UInt32(ActionIntPtrStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringInt32UInt32(IntPtr param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringInt32UInt32(FuncUInt64IntPtrStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringInt32UInt32(IntPtr param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringInt32UInt32(FuncInt32IntPtrStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringInt32UInt32(IntPtr param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringInt32UInt32(FuncStringIntPtrStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringInt32UInt32(IntPtr param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringInt32UInt32(FuncUInt32IntPtrStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringInt32UInt32(IntPtr param0, String param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringInt32UInt32(FuncIntPtrIntPtrStringInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringInt32IntPtr(IntPtr param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringInt32IntPtr(ActionIntPtrStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringInt32IntPtr(IntPtr param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringInt32IntPtr(FuncUInt64IntPtrStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringInt32IntPtr(IntPtr param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringInt32IntPtr(FuncInt32IntPtrStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringInt32IntPtr(IntPtr param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringInt32IntPtr(FuncStringIntPtrStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringInt32IntPtr(IntPtr param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringInt32IntPtr(FuncUInt32IntPtrStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringInt32IntPtr(IntPtr param0, String param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringInt32IntPtr(FuncIntPtrIntPtrStringInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringStringUInt64(IntPtr param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringStringUInt64(ActionIntPtrStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringStringUInt64(IntPtr param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringStringUInt64(FuncUInt64IntPtrStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringStringUInt64(IntPtr param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringStringUInt64(FuncInt32IntPtrStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringStringUInt64(IntPtr param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringStringUInt64(FuncStringIntPtrStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringStringUInt64(IntPtr param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringStringUInt64(FuncUInt32IntPtrStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringStringUInt64(IntPtr param0, String param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringStringUInt64(FuncIntPtrIntPtrStringStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringStringInt32(IntPtr param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringStringInt32(ActionIntPtrStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringStringInt32(IntPtr param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringStringInt32(FuncUInt64IntPtrStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringStringInt32(IntPtr param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringStringInt32(FuncInt32IntPtrStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringStringInt32(IntPtr param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringStringInt32(FuncStringIntPtrStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringStringInt32(IntPtr param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringStringInt32(FuncUInt32IntPtrStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringStringInt32(IntPtr param0, String param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringStringInt32(FuncIntPtrIntPtrStringStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringStringString(IntPtr param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringStringString(ActionIntPtrStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringStringString(IntPtr param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringStringString(FuncUInt64IntPtrStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringStringString(IntPtr param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringStringString(FuncInt32IntPtrStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringStringString(IntPtr param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringStringString(FuncStringIntPtrStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringStringString(IntPtr param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringStringString(FuncUInt32IntPtrStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringStringString(IntPtr param0, String param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringStringString(FuncIntPtrIntPtrStringStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringStringUInt32(IntPtr param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringStringUInt32(ActionIntPtrStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringStringUInt32(IntPtr param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringStringUInt32(FuncUInt64IntPtrStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringStringUInt32(IntPtr param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringStringUInt32(FuncInt32IntPtrStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringStringUInt32(IntPtr param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringStringUInt32(FuncStringIntPtrStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringStringUInt32(IntPtr param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringStringUInt32(FuncUInt32IntPtrStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringStringUInt32(IntPtr param0, String param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringStringUInt32(FuncIntPtrIntPtrStringStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringStringIntPtr(IntPtr param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringStringIntPtr(ActionIntPtrStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringStringIntPtr(IntPtr param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringStringIntPtr(FuncUInt64IntPtrStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringStringIntPtr(IntPtr param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringStringIntPtr(FuncInt32IntPtrStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringStringIntPtr(IntPtr param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringStringIntPtr(FuncStringIntPtrStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringStringIntPtr(IntPtr param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringStringIntPtr(FuncUInt32IntPtrStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringStringIntPtr(IntPtr param0, String param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringStringIntPtr(FuncIntPtrIntPtrStringStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt32UInt64(IntPtr param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt32UInt64(ActionIntPtrStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt32UInt64(IntPtr param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt32UInt64(FuncUInt64IntPtrStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt32UInt64(IntPtr param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt32UInt64(FuncInt32IntPtrStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt32UInt64(IntPtr param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt32UInt64(FuncStringIntPtrStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt32UInt64(IntPtr param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt32UInt64(FuncUInt32IntPtrStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt32UInt64(IntPtr param0, String param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt32UInt64(FuncIntPtrIntPtrStringUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt32Int32(IntPtr param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt32Int32(ActionIntPtrStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt32Int32(IntPtr param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt32Int32(FuncUInt64IntPtrStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt32Int32(IntPtr param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt32Int32(FuncInt32IntPtrStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt32Int32(IntPtr param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt32Int32(FuncStringIntPtrStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt32Int32(IntPtr param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt32Int32(FuncUInt32IntPtrStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt32Int32(IntPtr param0, String param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt32Int32(FuncIntPtrIntPtrStringUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt32String(IntPtr param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt32String(ActionIntPtrStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt32String(IntPtr param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt32String(FuncUInt64IntPtrStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt32String(IntPtr param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt32String(FuncInt32IntPtrStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt32String(IntPtr param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt32String(FuncStringIntPtrStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt32String(IntPtr param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt32String(FuncUInt32IntPtrStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt32String(IntPtr param0, String param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt32String(FuncIntPtrIntPtrStringUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt32UInt32(IntPtr param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt32UInt32(ActionIntPtrStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt32UInt32(IntPtr param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt32UInt32(FuncUInt64IntPtrStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt32UInt32(IntPtr param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt32UInt32(FuncInt32IntPtrStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt32UInt32(IntPtr param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt32UInt32(FuncStringIntPtrStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt32UInt32(IntPtr param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt32UInt32(FuncUInt32IntPtrStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt32UInt32(IntPtr param0, String param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt32UInt32(FuncIntPtrIntPtrStringUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringUInt32IntPtr(IntPtr param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringUInt32IntPtr(ActionIntPtrStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringUInt32IntPtr(IntPtr param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringUInt32IntPtr(FuncUInt64IntPtrStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringUInt32IntPtr(IntPtr param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringUInt32IntPtr(FuncInt32IntPtrStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringUInt32IntPtr(IntPtr param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringUInt32IntPtr(FuncStringIntPtrStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringUInt32IntPtr(IntPtr param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringUInt32IntPtr(FuncUInt32IntPtrStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringUInt32IntPtr(IntPtr param0, String param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringUInt32IntPtr(FuncIntPtrIntPtrStringUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringIntPtrUInt64(IntPtr param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringIntPtrUInt64(ActionIntPtrStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringIntPtrUInt64(IntPtr param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringIntPtrUInt64(FuncUInt64IntPtrStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringIntPtrUInt64(IntPtr param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringIntPtrUInt64(FuncInt32IntPtrStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringIntPtrUInt64(IntPtr param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringIntPtrUInt64(FuncStringIntPtrStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringIntPtrUInt64(IntPtr param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringIntPtrUInt64(FuncUInt32IntPtrStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringIntPtrUInt64(IntPtr param0, String param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringIntPtrUInt64(FuncIntPtrIntPtrStringIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringIntPtrInt32(IntPtr param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringIntPtrInt32(ActionIntPtrStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringIntPtrInt32(IntPtr param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringIntPtrInt32(FuncUInt64IntPtrStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringIntPtrInt32(IntPtr param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringIntPtrInt32(FuncInt32IntPtrStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringIntPtrInt32(IntPtr param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringIntPtrInt32(FuncStringIntPtrStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringIntPtrInt32(IntPtr param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringIntPtrInt32(FuncUInt32IntPtrStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringIntPtrInt32(IntPtr param0, String param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringIntPtrInt32(FuncIntPtrIntPtrStringIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringIntPtrString(IntPtr param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringIntPtrString(ActionIntPtrStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringIntPtrString(IntPtr param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringIntPtrString(FuncUInt64IntPtrStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringIntPtrString(IntPtr param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringIntPtrString(FuncInt32IntPtrStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringIntPtrString(IntPtr param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringIntPtrString(FuncStringIntPtrStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringIntPtrString(IntPtr param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringIntPtrString(FuncUInt32IntPtrStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringIntPtrString(IntPtr param0, String param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringIntPtrString(FuncIntPtrIntPtrStringIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringIntPtrUInt32(IntPtr param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringIntPtrUInt32(ActionIntPtrStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringIntPtrUInt32(IntPtr param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringIntPtrUInt32(FuncUInt64IntPtrStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringIntPtrUInt32(IntPtr param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringIntPtrUInt32(FuncInt32IntPtrStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringIntPtrUInt32(IntPtr param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringIntPtrUInt32(FuncStringIntPtrStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringIntPtrUInt32(IntPtr param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringIntPtrUInt32(FuncUInt32IntPtrStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringIntPtrUInt32(IntPtr param0, String param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringIntPtrUInt32(FuncIntPtrIntPtrStringIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrStringIntPtrIntPtr(IntPtr param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrStringIntPtrIntPtr(ActionIntPtrStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrStringIntPtrIntPtr(IntPtr param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrStringIntPtrIntPtr(FuncUInt64IntPtrStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrStringIntPtrIntPtr(IntPtr param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrStringIntPtrIntPtr(FuncInt32IntPtrStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrStringIntPtrIntPtr(IntPtr param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrStringIntPtrIntPtr(FuncStringIntPtrStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrStringIntPtrIntPtr(IntPtr param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrStringIntPtrIntPtr(FuncUInt32IntPtrStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrStringIntPtrIntPtr(IntPtr param0, String param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrStringIntPtrIntPtr(FuncIntPtrIntPtrStringIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt64UInt64(IntPtr param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt64UInt64(ActionIntPtrUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt64UInt64(IntPtr param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt64UInt64(FuncUInt64IntPtrUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt64UInt64(IntPtr param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt64UInt64(FuncInt32IntPtrUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt64UInt64(IntPtr param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt64UInt64(FuncStringIntPtrUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt64UInt64(IntPtr param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt64UInt64(FuncUInt32IntPtrUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt64UInt64(IntPtr param0, UInt32 param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt64UInt64(FuncIntPtrIntPtrUInt32UInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt64Int32(IntPtr param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt64Int32(ActionIntPtrUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt64Int32(IntPtr param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt64Int32(FuncUInt64IntPtrUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt64Int32(IntPtr param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt64Int32(FuncInt32IntPtrUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt64Int32(IntPtr param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt64Int32(FuncStringIntPtrUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt64Int32(IntPtr param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt64Int32(FuncUInt32IntPtrUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt64Int32(IntPtr param0, UInt32 param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt64Int32(FuncIntPtrIntPtrUInt32UInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt64String(IntPtr param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt64String(ActionIntPtrUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt64String(IntPtr param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt64String(FuncUInt64IntPtrUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt64String(IntPtr param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt64String(FuncInt32IntPtrUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt64String(IntPtr param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt64String(FuncStringIntPtrUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt64String(IntPtr param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt64String(FuncUInt32IntPtrUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt64String(IntPtr param0, UInt32 param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt64String(FuncIntPtrIntPtrUInt32UInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt64UInt32(IntPtr param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt64UInt32(ActionIntPtrUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt64UInt32(IntPtr param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt64UInt32(FuncUInt64IntPtrUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt64UInt32(IntPtr param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt64UInt32(FuncInt32IntPtrUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt64UInt32(IntPtr param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt64UInt32(FuncStringIntPtrUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt64UInt32(IntPtr param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt64UInt32(FuncUInt32IntPtrUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt64UInt32(IntPtr param0, UInt32 param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt64UInt32(FuncIntPtrIntPtrUInt32UInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt64IntPtr(IntPtr param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt64IntPtr(ActionIntPtrUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt64IntPtr(IntPtr param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt64IntPtr(FuncUInt64IntPtrUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt64IntPtr(IntPtr param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt64IntPtr(FuncInt32IntPtrUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt64IntPtr(IntPtr param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt64IntPtr(FuncStringIntPtrUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt64IntPtr(IntPtr param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt64IntPtr(FuncUInt32IntPtrUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt64IntPtr(IntPtr param0, UInt32 param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt64IntPtr(FuncIntPtrIntPtrUInt32UInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32Int32UInt64(IntPtr param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32Int32UInt64(ActionIntPtrUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32Int32UInt64(IntPtr param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32Int32UInt64(FuncUInt64IntPtrUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32Int32UInt64(IntPtr param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32Int32UInt64(FuncInt32IntPtrUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32Int32UInt64(IntPtr param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32Int32UInt64(FuncStringIntPtrUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32Int32UInt64(IntPtr param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32Int32UInt64(FuncUInt32IntPtrUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32Int32UInt64(IntPtr param0, UInt32 param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32Int32UInt64(FuncIntPtrIntPtrUInt32Int32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32Int32Int32(IntPtr param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32Int32Int32(ActionIntPtrUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32Int32Int32(IntPtr param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32Int32Int32(FuncUInt64IntPtrUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32Int32Int32(IntPtr param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32Int32Int32(FuncInt32IntPtrUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32Int32Int32(IntPtr param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32Int32Int32(FuncStringIntPtrUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32Int32Int32(IntPtr param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32Int32Int32(FuncUInt32IntPtrUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32Int32Int32(IntPtr param0, UInt32 param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32Int32Int32(FuncIntPtrIntPtrUInt32Int32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32Int32String(IntPtr param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32Int32String(ActionIntPtrUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32Int32String(IntPtr param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32Int32String(FuncUInt64IntPtrUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32Int32String(IntPtr param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32Int32String(FuncInt32IntPtrUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32Int32String(IntPtr param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32Int32String(FuncStringIntPtrUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32Int32String(IntPtr param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32Int32String(FuncUInt32IntPtrUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32Int32String(IntPtr param0, UInt32 param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32Int32String(FuncIntPtrIntPtrUInt32Int32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32Int32UInt32(IntPtr param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32Int32UInt32(ActionIntPtrUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32Int32UInt32(IntPtr param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32Int32UInt32(FuncUInt64IntPtrUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32Int32UInt32(IntPtr param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32Int32UInt32(FuncInt32IntPtrUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32Int32UInt32(IntPtr param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32Int32UInt32(FuncStringIntPtrUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32Int32UInt32(IntPtr param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32Int32UInt32(FuncUInt32IntPtrUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32Int32UInt32(IntPtr param0, UInt32 param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32Int32UInt32(FuncIntPtrIntPtrUInt32Int32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32Int32IntPtr(IntPtr param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32Int32IntPtr(ActionIntPtrUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32Int32IntPtr(IntPtr param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32Int32IntPtr(FuncUInt64IntPtrUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32Int32IntPtr(IntPtr param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32Int32IntPtr(FuncInt32IntPtrUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32Int32IntPtr(IntPtr param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32Int32IntPtr(FuncStringIntPtrUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32Int32IntPtr(IntPtr param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32Int32IntPtr(FuncUInt32IntPtrUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32Int32IntPtr(IntPtr param0, UInt32 param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32Int32IntPtr(FuncIntPtrIntPtrUInt32Int32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32StringUInt64(IntPtr param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32StringUInt64(ActionIntPtrUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32StringUInt64(IntPtr param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32StringUInt64(FuncUInt64IntPtrUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32StringUInt64(IntPtr param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32StringUInt64(FuncInt32IntPtrUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32StringUInt64(IntPtr param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32StringUInt64(FuncStringIntPtrUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32StringUInt64(IntPtr param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32StringUInt64(FuncUInt32IntPtrUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32StringUInt64(IntPtr param0, UInt32 param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32StringUInt64(FuncIntPtrIntPtrUInt32StringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32StringInt32(IntPtr param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32StringInt32(ActionIntPtrUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32StringInt32(IntPtr param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32StringInt32(FuncUInt64IntPtrUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32StringInt32(IntPtr param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32StringInt32(FuncInt32IntPtrUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32StringInt32(IntPtr param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32StringInt32(FuncStringIntPtrUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32StringInt32(IntPtr param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32StringInt32(FuncUInt32IntPtrUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32StringInt32(IntPtr param0, UInt32 param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32StringInt32(FuncIntPtrIntPtrUInt32StringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32StringString(IntPtr param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32StringString(ActionIntPtrUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32StringString(IntPtr param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32StringString(FuncUInt64IntPtrUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32StringString(IntPtr param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32StringString(FuncInt32IntPtrUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32StringString(IntPtr param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32StringString(FuncStringIntPtrUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32StringString(IntPtr param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32StringString(FuncUInt32IntPtrUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32StringString(IntPtr param0, UInt32 param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32StringString(FuncIntPtrIntPtrUInt32StringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32StringUInt32(IntPtr param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32StringUInt32(ActionIntPtrUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32StringUInt32(IntPtr param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32StringUInt32(FuncUInt64IntPtrUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32StringUInt32(IntPtr param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32StringUInt32(FuncInt32IntPtrUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32StringUInt32(IntPtr param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32StringUInt32(FuncStringIntPtrUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32StringUInt32(IntPtr param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32StringUInt32(FuncUInt32IntPtrUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32StringUInt32(IntPtr param0, UInt32 param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32StringUInt32(FuncIntPtrIntPtrUInt32StringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32StringIntPtr(IntPtr param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32StringIntPtr(ActionIntPtrUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32StringIntPtr(IntPtr param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32StringIntPtr(FuncUInt64IntPtrUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32StringIntPtr(IntPtr param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32StringIntPtr(FuncInt32IntPtrUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32StringIntPtr(IntPtr param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32StringIntPtr(FuncStringIntPtrUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32StringIntPtr(IntPtr param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32StringIntPtr(FuncUInt32IntPtrUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32StringIntPtr(IntPtr param0, UInt32 param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32StringIntPtr(FuncIntPtrIntPtrUInt32StringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt32UInt64(IntPtr param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt32UInt64(ActionIntPtrUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt32UInt64(IntPtr param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt32UInt64(FuncUInt64IntPtrUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt32UInt64(IntPtr param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt32UInt64(FuncInt32IntPtrUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt32UInt64(IntPtr param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt32UInt64(FuncStringIntPtrUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt32UInt64(IntPtr param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt32UInt64(FuncUInt32IntPtrUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt32UInt64(IntPtr param0, UInt32 param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt32UInt64(FuncIntPtrIntPtrUInt32UInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt32Int32(IntPtr param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt32Int32(ActionIntPtrUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt32Int32(IntPtr param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt32Int32(FuncUInt64IntPtrUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt32Int32(IntPtr param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt32Int32(FuncInt32IntPtrUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt32Int32(IntPtr param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt32Int32(FuncStringIntPtrUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt32Int32(IntPtr param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt32Int32(FuncUInt32IntPtrUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt32Int32(IntPtr param0, UInt32 param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt32Int32(FuncIntPtrIntPtrUInt32UInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt32String(IntPtr param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt32String(ActionIntPtrUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt32String(IntPtr param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt32String(FuncUInt64IntPtrUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt32String(IntPtr param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt32String(FuncInt32IntPtrUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt32String(IntPtr param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt32String(FuncStringIntPtrUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt32String(IntPtr param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt32String(FuncUInt32IntPtrUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt32String(IntPtr param0, UInt32 param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt32String(FuncIntPtrIntPtrUInt32UInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt32UInt32(ActionIntPtrUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt32UInt32(FuncUInt64IntPtrUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt32UInt32(FuncInt32IntPtrUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt32UInt32(FuncStringIntPtrUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt32UInt32(FuncUInt32IntPtrUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt32UInt32(IntPtr param0, UInt32 param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt32UInt32(FuncIntPtrIntPtrUInt32UInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32UInt32IntPtr(IntPtr param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32UInt32IntPtr(ActionIntPtrUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32UInt32IntPtr(IntPtr param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32UInt32IntPtr(FuncUInt64IntPtrUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32UInt32IntPtr(IntPtr param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32UInt32IntPtr(FuncInt32IntPtrUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32UInt32IntPtr(IntPtr param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32UInt32IntPtr(FuncStringIntPtrUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32UInt32IntPtr(IntPtr param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32UInt32IntPtr(FuncUInt32IntPtrUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32UInt32IntPtr(IntPtr param0, UInt32 param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32UInt32IntPtr(FuncIntPtrIntPtrUInt32UInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32IntPtrUInt64(IntPtr param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32IntPtrUInt64(ActionIntPtrUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32IntPtrUInt64(IntPtr param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32IntPtrUInt64(FuncUInt64IntPtrUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32IntPtrUInt64(IntPtr param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32IntPtrUInt64(FuncInt32IntPtrUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32IntPtrUInt64(IntPtr param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32IntPtrUInt64(FuncStringIntPtrUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32IntPtrUInt64(IntPtr param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32IntPtrUInt64(FuncUInt32IntPtrUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32IntPtrUInt64(IntPtr param0, UInt32 param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32IntPtrUInt64(FuncIntPtrIntPtrUInt32IntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32IntPtrInt32(IntPtr param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32IntPtrInt32(ActionIntPtrUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32IntPtrInt32(IntPtr param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32IntPtrInt32(FuncUInt64IntPtrUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32IntPtrInt32(IntPtr param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32IntPtrInt32(FuncInt32IntPtrUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32IntPtrInt32(IntPtr param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32IntPtrInt32(FuncStringIntPtrUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32IntPtrInt32(IntPtr param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32IntPtrInt32(FuncUInt32IntPtrUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32IntPtrInt32(IntPtr param0, UInt32 param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32IntPtrInt32(FuncIntPtrIntPtrUInt32IntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32IntPtrString(IntPtr param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32IntPtrString(ActionIntPtrUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32IntPtrString(IntPtr param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32IntPtrString(FuncUInt64IntPtrUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32IntPtrString(IntPtr param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32IntPtrString(FuncInt32IntPtrUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32IntPtrString(IntPtr param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32IntPtrString(FuncStringIntPtrUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32IntPtrString(IntPtr param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32IntPtrString(FuncUInt32IntPtrUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32IntPtrString(IntPtr param0, UInt32 param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32IntPtrString(FuncIntPtrIntPtrUInt32IntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32IntPtrUInt32(IntPtr param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32IntPtrUInt32(ActionIntPtrUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32IntPtrUInt32(IntPtr param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32IntPtrUInt32(FuncUInt64IntPtrUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32IntPtrUInt32(IntPtr param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32IntPtrUInt32(FuncInt32IntPtrUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32IntPtrUInt32(IntPtr param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32IntPtrUInt32(FuncStringIntPtrUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32IntPtrUInt32(IntPtr param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32IntPtrUInt32(FuncUInt32IntPtrUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32IntPtrUInt32(IntPtr param0, UInt32 param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32IntPtrUInt32(FuncIntPtrIntPtrUInt32IntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrUInt32IntPtrIntPtr(IntPtr param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrUInt32IntPtrIntPtr(ActionIntPtrUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrUInt32IntPtrIntPtr(IntPtr param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrUInt32IntPtrIntPtr(FuncUInt64IntPtrUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrUInt32IntPtrIntPtr(IntPtr param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrUInt32IntPtrIntPtr(FuncInt32IntPtrUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrUInt32IntPtrIntPtr(IntPtr param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrUInt32IntPtrIntPtr(FuncStringIntPtrUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrUInt32IntPtrIntPtr(IntPtr param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrUInt32IntPtrIntPtr(FuncUInt32IntPtrUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrUInt32IntPtrIntPtr(IntPtr param0, UInt32 param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrUInt32IntPtrIntPtr(FuncIntPtrIntPtrUInt32IntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt64UInt64(IntPtr param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt64UInt64(ActionIntPtrIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt64UInt64(IntPtr param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt64UInt64(FuncUInt64IntPtrIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt64UInt64(IntPtr param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt64UInt64(FuncInt32IntPtrIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt64UInt64(IntPtr param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt64UInt64(FuncStringIntPtrIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt64UInt64(IntPtr param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt64UInt64(FuncUInt32IntPtrIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt64UInt64(IntPtr param0, IntPtr param1, UInt64 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt64UInt64(FuncIntPtrIntPtrIntPtrUInt64UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt64Int32(IntPtr param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt64Int32(ActionIntPtrIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt64Int32(IntPtr param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt64Int32(FuncUInt64IntPtrIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt64Int32(IntPtr param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt64Int32(FuncInt32IntPtrIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt64Int32(IntPtr param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt64Int32(FuncStringIntPtrIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt64Int32(IntPtr param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt64Int32(FuncUInt32IntPtrIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt64Int32(IntPtr param0, IntPtr param1, UInt64 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt64Int32(FuncIntPtrIntPtrIntPtrUInt64Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt64String(IntPtr param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt64String(ActionIntPtrIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt64String(IntPtr param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt64String(FuncUInt64IntPtrIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt64String(IntPtr param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt64String(FuncInt32IntPtrIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt64String(IntPtr param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt64String(FuncStringIntPtrIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt64String(IntPtr param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt64String(FuncUInt32IntPtrIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt64String(IntPtr param0, IntPtr param1, UInt64 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt64String(FuncIntPtrIntPtrIntPtrUInt64String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt64UInt32(IntPtr param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt64UInt32(ActionIntPtrIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt64UInt32(IntPtr param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt64UInt32(FuncUInt64IntPtrIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt64UInt32(IntPtr param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt64UInt32(FuncInt32IntPtrIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt64UInt32(IntPtr param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt64UInt32(FuncStringIntPtrIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt64UInt32(IntPtr param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt64UInt32(FuncUInt32IntPtrIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt64UInt32(IntPtr param0, IntPtr param1, UInt64 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt64UInt32(FuncIntPtrIntPtrIntPtrUInt64UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt64IntPtr(IntPtr param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt64IntPtr(ActionIntPtrIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt64IntPtr(IntPtr param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt64IntPtr(FuncUInt64IntPtrIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt64IntPtr(IntPtr param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt64IntPtr(FuncInt32IntPtrIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt64IntPtr(IntPtr param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt64IntPtr(FuncStringIntPtrIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt64IntPtr(IntPtr param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt64IntPtr(FuncUInt32IntPtrIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt64IntPtr(IntPtr param0, IntPtr param1, UInt64 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt64IntPtr(FuncIntPtrIntPtrIntPtrUInt64IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrInt32UInt64(IntPtr param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrInt32UInt64(ActionIntPtrIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrInt32UInt64(IntPtr param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrInt32UInt64(FuncUInt64IntPtrIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrInt32UInt64(IntPtr param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrInt32UInt64(FuncInt32IntPtrIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrInt32UInt64(IntPtr param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrInt32UInt64(FuncStringIntPtrIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrInt32UInt64(IntPtr param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrInt32UInt64(FuncUInt32IntPtrIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrInt32UInt64(IntPtr param0, IntPtr param1, Int32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrInt32UInt64(FuncIntPtrIntPtrIntPtrInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrInt32Int32(IntPtr param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrInt32Int32(ActionIntPtrIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrInt32Int32(IntPtr param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrInt32Int32(FuncUInt64IntPtrIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrInt32Int32(IntPtr param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrInt32Int32(FuncInt32IntPtrIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrInt32Int32(IntPtr param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrInt32Int32(FuncStringIntPtrIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrInt32Int32(IntPtr param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrInt32Int32(FuncUInt32IntPtrIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrInt32Int32(IntPtr param0, IntPtr param1, Int32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrInt32Int32(FuncIntPtrIntPtrIntPtrInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrInt32String(IntPtr param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrInt32String(ActionIntPtrIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrInt32String(IntPtr param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrInt32String(FuncUInt64IntPtrIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrInt32String(IntPtr param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrInt32String(FuncInt32IntPtrIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrInt32String(IntPtr param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrInt32String(FuncStringIntPtrIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrInt32String(IntPtr param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrInt32String(FuncUInt32IntPtrIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrInt32String(IntPtr param0, IntPtr param1, Int32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrInt32String(FuncIntPtrIntPtrIntPtrInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrInt32UInt32(IntPtr param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrInt32UInt32(ActionIntPtrIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrInt32UInt32(IntPtr param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrInt32UInt32(FuncUInt64IntPtrIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrInt32UInt32(IntPtr param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrInt32UInt32(FuncInt32IntPtrIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrInt32UInt32(IntPtr param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrInt32UInt32(FuncStringIntPtrIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrInt32UInt32(IntPtr param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrInt32UInt32(FuncUInt32IntPtrIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrInt32UInt32(IntPtr param0, IntPtr param1, Int32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrInt32UInt32(FuncIntPtrIntPtrIntPtrInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrInt32IntPtr(IntPtr param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrInt32IntPtr(ActionIntPtrIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrInt32IntPtr(IntPtr param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrInt32IntPtr(FuncUInt64IntPtrIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrInt32IntPtr(IntPtr param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrInt32IntPtr(FuncInt32IntPtrIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrInt32IntPtr(IntPtr param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrInt32IntPtr(FuncStringIntPtrIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrInt32IntPtr(IntPtr param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrInt32IntPtr(FuncUInt32IntPtrIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrInt32IntPtr(IntPtr param0, IntPtr param1, Int32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrInt32IntPtr(FuncIntPtrIntPtrIntPtrInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrStringUInt64(IntPtr param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrStringUInt64(ActionIntPtrIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrStringUInt64(IntPtr param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrStringUInt64(FuncUInt64IntPtrIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrStringUInt64(IntPtr param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrStringUInt64(FuncInt32IntPtrIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrStringUInt64(IntPtr param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrStringUInt64(FuncStringIntPtrIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrStringUInt64(IntPtr param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrStringUInt64(FuncUInt32IntPtrIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrStringUInt64(IntPtr param0, IntPtr param1, String param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrStringUInt64(FuncIntPtrIntPtrIntPtrStringUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrStringInt32(IntPtr param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrStringInt32(ActionIntPtrIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrStringInt32(IntPtr param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrStringInt32(FuncUInt64IntPtrIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrStringInt32(IntPtr param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrStringInt32(FuncInt32IntPtrIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrStringInt32(IntPtr param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrStringInt32(FuncStringIntPtrIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrStringInt32(IntPtr param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrStringInt32(FuncUInt32IntPtrIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrStringInt32(IntPtr param0, IntPtr param1, String param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrStringInt32(FuncIntPtrIntPtrIntPtrStringInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrStringString(IntPtr param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrStringString(ActionIntPtrIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrStringString(IntPtr param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrStringString(FuncUInt64IntPtrIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrStringString(IntPtr param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrStringString(FuncInt32IntPtrIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrStringString(IntPtr param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrStringString(FuncStringIntPtrIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrStringString(IntPtr param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrStringString(FuncUInt32IntPtrIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrStringString(IntPtr param0, IntPtr param1, String param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrStringString(FuncIntPtrIntPtrIntPtrStringString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrStringUInt32(IntPtr param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrStringUInt32(ActionIntPtrIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrStringUInt32(IntPtr param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrStringUInt32(FuncUInt64IntPtrIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrStringUInt32(IntPtr param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrStringUInt32(FuncInt32IntPtrIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrStringUInt32(IntPtr param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrStringUInt32(FuncStringIntPtrIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrStringUInt32(IntPtr param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrStringUInt32(FuncUInt32IntPtrIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrStringUInt32(IntPtr param0, IntPtr param1, String param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrStringUInt32(FuncIntPtrIntPtrIntPtrStringUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrStringIntPtr(IntPtr param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrStringIntPtr(ActionIntPtrIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrStringIntPtr(IntPtr param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrStringIntPtr(FuncUInt64IntPtrIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrStringIntPtr(IntPtr param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrStringIntPtr(FuncInt32IntPtrIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrStringIntPtr(IntPtr param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrStringIntPtr(FuncStringIntPtrIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrStringIntPtr(IntPtr param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrStringIntPtr(FuncUInt32IntPtrIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrStringIntPtr(IntPtr param0, IntPtr param1, String param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrStringIntPtr(FuncIntPtrIntPtrIntPtrStringIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt32UInt64(IntPtr param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt32UInt64(ActionIntPtrIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt32UInt64(IntPtr param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt32UInt64(FuncUInt64IntPtrIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt32UInt64(IntPtr param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt32UInt64(FuncInt32IntPtrIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt32UInt64(IntPtr param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt32UInt64(FuncStringIntPtrIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt32UInt64(IntPtr param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt32UInt64(FuncUInt32IntPtrIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt32UInt64(IntPtr param0, IntPtr param1, UInt32 param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt32UInt64(FuncIntPtrIntPtrIntPtrUInt32UInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt32Int32(IntPtr param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt32Int32(ActionIntPtrIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt32Int32(IntPtr param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt32Int32(FuncUInt64IntPtrIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt32Int32(IntPtr param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt32Int32(FuncInt32IntPtrIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt32Int32(IntPtr param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt32Int32(FuncStringIntPtrIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt32Int32(IntPtr param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt32Int32(FuncUInt32IntPtrIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt32Int32(IntPtr param0, IntPtr param1, UInt32 param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt32Int32(FuncIntPtrIntPtrIntPtrUInt32Int32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt32String(IntPtr param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt32String(ActionIntPtrIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt32String(IntPtr param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt32String(FuncUInt64IntPtrIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt32String(IntPtr param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt32String(FuncInt32IntPtrIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt32String(IntPtr param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt32String(FuncStringIntPtrIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt32String(IntPtr param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt32String(FuncUInt32IntPtrIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt32String(IntPtr param0, IntPtr param1, UInt32 param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt32String(FuncIntPtrIntPtrIntPtrUInt32String param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt32UInt32(IntPtr param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt32UInt32(ActionIntPtrIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt32UInt32(IntPtr param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt32UInt32(FuncUInt64IntPtrIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt32UInt32(IntPtr param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt32UInt32(FuncInt32IntPtrIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt32UInt32(IntPtr param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt32UInt32(FuncStringIntPtrIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt32UInt32(IntPtr param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt32UInt32(FuncUInt32IntPtrIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt32UInt32(IntPtr param0, IntPtr param1, UInt32 param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt32UInt32(FuncIntPtrIntPtrIntPtrUInt32UInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrUInt32IntPtr(IntPtr param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrUInt32IntPtr(ActionIntPtrIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrUInt32IntPtr(IntPtr param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrUInt32IntPtr(FuncUInt64IntPtrIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrUInt32IntPtr(IntPtr param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrUInt32IntPtr(FuncInt32IntPtrIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrUInt32IntPtr(IntPtr param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrUInt32IntPtr(FuncStringIntPtrIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrUInt32IntPtr(IntPtr param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrUInt32IntPtr(FuncUInt32IntPtrIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrUInt32IntPtr(IntPtr param0, IntPtr param1, UInt32 param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrUInt32IntPtr(FuncIntPtrIntPtrIntPtrUInt32IntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrIntPtrUInt64(ActionIntPtrIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrIntPtrUInt64(FuncUInt64IntPtrIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrIntPtrUInt64(FuncInt32IntPtrIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrIntPtrUInt64(FuncStringIntPtrIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrIntPtrUInt64(FuncUInt32IntPtrIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrIntPtrUInt64(IntPtr param0, IntPtr param1, IntPtr param2, UInt64 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrIntPtrUInt64(FuncIntPtrIntPtrIntPtrIntPtrUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrIntPtrInt32(IntPtr param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrIntPtrInt32(ActionIntPtrIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrIntPtrInt32(IntPtr param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrIntPtrInt32(FuncUInt64IntPtrIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrIntPtrInt32(IntPtr param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrIntPtrInt32(FuncInt32IntPtrIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrIntPtrInt32(IntPtr param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrIntPtrInt32(FuncStringIntPtrIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrIntPtrInt32(IntPtr param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrIntPtrInt32(FuncUInt32IntPtrIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrIntPtrInt32(IntPtr param0, IntPtr param1, IntPtr param2, Int32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrIntPtrInt32(FuncIntPtrIntPtrIntPtrIntPtrInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrIntPtrString(IntPtr param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrIntPtrString(ActionIntPtrIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrIntPtrString(IntPtr param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrIntPtrString(FuncUInt64IntPtrIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrIntPtrString(IntPtr param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrIntPtrString(FuncInt32IntPtrIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrIntPtrString(IntPtr param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrIntPtrString(FuncStringIntPtrIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrIntPtrString(IntPtr param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrIntPtrString(FuncUInt32IntPtrIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrIntPtrString(IntPtr param0, IntPtr param1, IntPtr param2, String param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrIntPtrString(FuncIntPtrIntPtrIntPtrIntPtrString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrIntPtrUInt32(ActionIntPtrIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrIntPtrUInt32(FuncUInt64IntPtrIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrIntPtrUInt32(FuncInt32IntPtrIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrIntPtrUInt32(FuncStringIntPtrIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrIntPtrUInt32(FuncUInt32IntPtrIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrIntPtrUInt32(IntPtr param0, IntPtr param1, IntPtr param2, UInt32 param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrIntPtrUInt32(FuncIntPtrIntPtrIntPtrIntPtrUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void ActionIntPtrIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachActionIntPtrIntPtrIntPtrIntPtr(ActionIntPtrIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64IntPtrIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64IntPtrIntPtrIntPtrIntPtr(FuncUInt64IntPtrIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32IntPtrIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32IntPtrIntPtrIntPtrIntPtr(FuncInt32IntPtrIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncStringIntPtrIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncStringIntPtrIntPtrIntPtrIntPtr(FuncStringIntPtrIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32IntPtrIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32IntPtrIntPtrIntPtrIntPtr(FuncUInt32IntPtrIntPtrIntPtrIntPtr param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtrIntPtrIntPtrIntPtrIntPtr(IntPtr param0, IntPtr param1, IntPtr param2, IntPtr param3);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtrIntPtrIntPtrIntPtrIntPtr(FuncIntPtrIntPtrIntPtrIntPtrIntPtr param);

  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachAction(System.Action param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt64 FuncUInt64();
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt64(FuncUInt64 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate Int32 FuncInt32();
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncInt32(FuncInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate String FuncString();
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncString(FuncString param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate UInt32 FuncUInt32();
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncUInt32(FuncUInt32 param);
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate IntPtr FuncIntPtr();
  [UnmanagedFunctionPointer(CallingConvention.Cdecl)]
  public delegate void AttachFuncIntPtr(FuncIntPtr param);
}
